clc
clear all
close all

%% Note !!!!! After finishing post-processing using this script Save!!!
%% the workspace as 'Curvature_post_processed.mat'. It will be used
%% afterwards for the comparative study

%% Loading curvature data for the 20 examined current velocities
C1 = load('sima_elmcur_1.asc', '-ascii');
C2 = load('sima_elmcur_2.asc', '-ascii');
C3 = load('sima_elmcur_3.asc', '-ascii');
C4 = load('sima_elmcur_4.asc', '-ascii');
C5 = load('sima_elmcur_5.asc', '-ascii');
C6 = load('sima_elmcur_6.asc', '-ascii');
C7 = load('sima_elmcur_7.asc', '-ascii');
C8 = load('sima_elmcur_8.asc', '-ascii');
C9 = load('sima_elmcur_9.asc', '-ascii');
C10 = load('sima_elmcur_10.asc', '-ascii');
C11 = load('sima_elmcur_11.asc', '-ascii');
C12 = load('sima_elmcur_12.asc', '-ascii');
C13 = load('sima_elmcur_13.asc', '-ascii');
C14 = load('sima_elmcur_14.asc', '-ascii');
C15 = load('sima_elmcur_15.asc', '-ascii');
C16 = load('sima_elmcur_16.asc', '-ascii');
C17 = load('sima_elmcur_17.asc', '-ascii');
C18 = load('sima_elmcur_18.asc', '-ascii');
C19 = load('sima_elmcur_19.asc', '-ascii');
C20 = load('sima_elmcur_20.asc', '-ascii');

%% Load Static Configuration
Static_yz = load('Static_yz.asc', '-ascii');
 
%% Load Static Curvature
Static_cur = load('Static_cur.asc', '-ascii');

%% Removing transient
C1(1:23999,:)=[];
C2(1:23999,:)=[];
C3(1:23999,:)=[];
C4(1:23999,:)=[];
C5(1:23999,:)=[];
C6(1:23999,:)=[];
C7(1:23999,:)=[];
C8(1:23999,:)=[];
C9(1:23999,:)=[];
C10(1:23999,:)=[];
C11(1:23999,:)=[];
C12(1:23999,:)=[];
% C13(1:23999,:)=[];
C13(1:69999,:)=[];% a smaller timestep was used for this velocity
C14(1:23999,:)=[];
C15(1:23999,:)=[];
C16(1:23999,:)=[];
C17(1:23999,:)=[];
C18(1:23999,:)=[];
C19(1:23999,:)=[];
C20(1:23999,:)=[];

%%
%% Time series of Curvature about y axis
for n=1:(length(C1(1,:))-1)/4 
    counter=4*n-2;
Cur_y_1(:,n)=C1(:,counter);
Cur_y_2(:,n)=C2(:,counter);
Cur_y_3(:,n)=C3(:,counter);
Cur_y_4(:,n)=C4(:,counter);
Cur_y_5(:,n)=C5(:,counter);
Cur_y_6(:,n)=C6(:,counter);
Cur_y_7(:,n)=C7(:,counter);
Cur_y_8(:,n)=C8(:,counter);
Cur_y_9(:,n)=C9(:,counter);
Cur_y_10(:,n)=C10(:,counter);
Cur_y_11(:,n)=C11(:,counter);
Cur_y_12(:,n)=C12(:,counter);
Cur_y_13(:,n)=C13(:,counter);
Cur_y_14(:,n)=C14(:,counter);
Cur_y_15(:,n)=C15(:,counter);
Cur_y_16(:,n)=C16(:,counter);
Cur_y_17(:,n)=C17(:,counter);
Cur_y_18(:,n)=C18(:,counter);
Cur_y_19(:,n)=C19(:,counter);
Cur_y_20(:,n)=C20(:,counter);
end

Cur_y_1(:,n+1)=C1(:,end-2);
Cur_y_2(:,n+1)=C2(:,end-2);
Cur_y_3(:,n+1)=C3(:,end-2);
Cur_y_4(:,n+1)=C4(:,end-2);
Cur_y_5(:,n+1)=C5(:,end-2);
Cur_y_6(:,n+1)=C6(:,end-2);
Cur_y_7(:,n+1)=C7(:,end-2);
Cur_y_8(:,n+1)=C8(:,end-2);
Cur_y_9(:,n+1)=C9(:,end-2);
Cur_y_10(:,n+1)=C10(:,end-2);
Cur_y_11(:,n+1)=C11(:,end-2);
Cur_y_12(:,n+1)=C12(:,end-2);
Cur_y_13(:,n+1)=C13(:,end-2);
Cur_y_14(:,n+1)=C14(:,end-2);
Cur_y_15(:,n+1)=C15(:,end-2);
Cur_y_16(:,n+1)=C16(:,end-2);
Cur_y_17(:,n+1)=C17(:,end-2);
Cur_y_18(:,n+1)=C18(:,end-2);
Cur_y_19(:,n+1)=C19(:,end-2);
Cur_y_20(:,n+1)=C20(:,end-2);


%%
%% Time series of Curvature about z axis
for n=1:(length(C1(1,:))-1)/4 
    counter=4*n;
Cur_z_1(:,n)=C1(:,counter);
Cur_z_2(:,n)=C2(:,counter);
Cur_z_3(:,n)=C3(:,counter);
Cur_z_4(:,n)=C4(:,counter);
Cur_z_5(:,n)=C5(:,counter);
Cur_z_6(:,n)=C6(:,counter);
Cur_z_7(:,n)=C7(:,counter);
Cur_z_8(:,n)=C8(:,counter);
Cur_z_9(:,n)=C9(:,counter);
Cur_z_10(:,n)=C10(:,counter);
Cur_z_11(:,n)=C11(:,counter);
Cur_z_12(:,n)=C12(:,counter);
Cur_z_13(:,n)=C13(:,counter);
Cur_z_14(:,n)=C14(:,counter);
Cur_z_15(:,n)=C15(:,counter);
Cur_z_16(:,n)=C16(:,counter);
Cur_z_17(:,n)=C17(:,counter);
Cur_z_18(:,n)=C18(:,counter);
Cur_z_19(:,n)=C19(:,counter);
Cur_z_20(:,n)=C20(:,counter);
end

Cur_z_1(:,n+1)=C1(:,end);
Cur_z_2(:,n+1)=C2(:,end);
Cur_z_3(:,n+1)=C3(:,end);
Cur_z_4(:,n+1)=C4(:,end);
Cur_z_5(:,n+1)=C5(:,end);
Cur_z_6(:,n+1)=C6(:,end);
Cur_z_7(:,n+1)=C7(:,end);
Cur_z_8(:,n+1)=C8(:,end);
Cur_z_9(:,n+1)=C9(:,end);
Cur_z_10(:,n+1)=C10(:,end);
Cur_z_11(:,n+1)=C11(:,end);
Cur_z_12(:,n+1)=C12(:,end);
Cur_z_13(:,n+1)=C13(:,end);
Cur_z_14(:,n+1)=C14(:,end);
Cur_z_15(:,n+1)=C15(:,end);
Cur_z_16(:,n+1)=C16(:,end);
Cur_z_17(:,n+1)=C17(:,end);
Cur_z_18(:,n+1)=C18(:,end);
Cur_z_19(:,n+1)=C19(:,end);
Cur_z_20(:,n+1)=C20(:,end);

%%
%% General Input
D=0.702;                        % Hydrodynamic Diameter [m]
Ds=0.61;                        % Steel Pipe Diameter [m]
L=114;                          %Length [m]
nnod=length(Cur_y_1(1,:));      %Number of nodes
cord(1:61)=0:30/60:30;          %Length coordinates along the pipe
cord(61:81)=30:20.25/20:50.25;
cord(81:95)=50.25:13.5/14:63.75;
cord(95:115)=63.75:20.25/20:84;
cord(115:175)=84:30/60:114;
t13=C13(:,1)-C13(1,1);          %Time vector for the special case
ns13=length(t13);               %Number of data points for the special case
dt13=t13(2)-t13(1);             %Time step of sample for the special case
Fs13=1/dt13;                    %Sampling frequency for the special case

t=C1(:,1)-C1(1,1);              %Time vector
ns=length(t);                   %Number of data points
dt=t(2)-t(1);                   %Time step of sample
Fs=1/dt;                        %Sampling frequency
u_cur=0.5:0.1:2.4;              %Current velocities

%% Seafloor Configurations
Seafloor_disp = load('Seafloor_disp.asc', '-ascii');
Seafloor_z_initial=zeros(1,175);
Seafloor_x_initial=cord;
Seafloor_z_initial(1:61)=-399.8;
Seafloor_z_initial(62:114)=-401.0;
Seafloor_z_initial(115:175)=-399.8;
Seafloor_x_final=zeros(20,175);
Seafloor_z_final=zeros(20,175);
for n=1:20
    counter=2*n-1;
    Seafloor_x_final(n,:)=Seafloor_x_initial+Seafloor_disp(:,counter)';
end
for n=1:20
    counter=2*n;
    Seafloor_z_final(n,:)=Seafloor_z_initial-Seafloor_disp(:,counter)';
    Seafloor_z_final(n,61)=Static_yz(61,counter)';
end

 %%
%% Remove Static Curvature about y axis
for n=1:(length(Cur_y_1(1,:)))
%     for n=1:nnod
        Cur_y_1(:,n)=Cur_y_1(:,n)-Static_cur(n,1);
        Cur_y_2(:,n)=Cur_y_2(:,n)-Static_cur(n,3);
        Cur_y_3(:,n)=Cur_y_3(:,n)-Static_cur(n,5);
        Cur_y_4(:,n)=Cur_y_4(:,n)-Static_cur(n,7);
        Cur_y_5(:,n)=Cur_y_5(:,n)-Static_cur(n,9);
        Cur_y_6(:,n)=Cur_y_6(:,n)-Static_cur(n,11);
        Cur_y_7(:,n)=Cur_y_7(:,n)-Static_cur(n,13);
        Cur_y_8(:,n)=Cur_y_8(:,n)-Static_cur(n,15);
        Cur_y_9(:,n)=Cur_y_9(:,n)-Static_cur(n,17);
        Cur_y_10(:,n)=Cur_y_10(:,n)-Static_cur(n,19);
        Cur_y_11(:,n)=Cur_y_11(:,n)-Static_cur(n,21);
        Cur_y_12(:,n)=Cur_y_12(:,n)-Static_cur(n,23);
        Cur_y_13(:,n)=Cur_y_13(:,n)-Static_cur(n,25);
        Cur_y_14(:,n)=Cur_y_14(:,n)-Static_cur(n,27);
        Cur_y_15(:,n)=Cur_y_15(:,n)-Static_cur(n,29);
        Cur_y_16(:,n)=Cur_y_16(:,n)-Static_cur(n,31);
        Cur_y_17(:,n)=Cur_y_17(:,n)-Static_cur(n,33);
        Cur_y_18(:,n)=Cur_y_18(:,n)-Static_cur(n,35);
        Cur_y_19(:,n)=Cur_y_19(:,n)-Static_cur(n,37);
        Cur_y_20(:,n)=Cur_y_20(:,n)-Static_cur(n,39);
end
    
  %%
%% Remove Static Curvature about z axis
for n=1:(length(Cur_z_1(1,:)))
%     for n=1:nnod
        Cur_z_1(:,n)=Cur_z_1(:,n)-Static_cur(n,2);
        Cur_z_2(:,n)=Cur_z_2(:,n)-Static_cur(n,4);
        Cur_z_3(:,n)=Cur_z_3(:,n)-Static_cur(n,6);
        Cur_z_4(:,n)=Cur_z_4(:,n)-Static_cur(n,8);
        Cur_z_5(:,n)=Cur_z_5(:,n)-Static_cur(n,10);
        Cur_z_6(:,n)=Cur_z_6(:,n)-Static_cur(n,12);
        Cur_z_7(:,n)=Cur_z_7(:,n)-Static_cur(n,14);
        Cur_z_8(:,n)=Cur_z_8(:,n)-Static_cur(n,16);
        Cur_z_9(:,n)=Cur_z_9(:,n)-Static_cur(n,18);
        Cur_z_10(:,n)=Cur_z_10(:,n)-Static_cur(n,20);
        Cur_z_11(:,n)=Cur_z_11(:,n)-Static_cur(n,22);
        Cur_z_12(:,n)=Cur_z_12(:,n)-Static_cur(n,24);
        Cur_z_13(:,n)=Cur_z_13(:,n)-Static_cur(n,26);
        Cur_z_14(:,n)=Cur_z_14(:,n)-Static_cur(n,28);
        Cur_z_15(:,n)=Cur_z_15(:,n)-Static_cur(n,30);
        Cur_z_16(:,n)=Cur_z_16(:,n)-Static_cur(n,32);
        Cur_z_17(:,n)=Cur_z_17(:,n)-Static_cur(n,34);
        Cur_z_18(:,n)=Cur_z_18(:,n)-Static_cur(n,36);
        Cur_z_19(:,n)=Cur_z_19(:,n)-Static_cur(n,38);
        Cur_z_20(:,n)=Cur_z_20(:,n)-Static_cur(n,40);
end
   
%%  Stress calculation
    E=2.07*10^11;
    Isyz=1.4*10^(-3);
    Isx=2*Isyz;
    Area=0.03185;
    %% Bending stress (MPa) cross-flow and in-line Based on Curvature
    %% Cross-flow
    SCur_y_1=E*Cur_y_1*Ds/2*1e-6; 
    SCur_y_2=E*Cur_y_2*Ds/2*1e-6;
    SCur_y_3=E*Cur_y_3*Ds/2*1e-6;
    SCur_y_4=E*Cur_y_4*Ds/2*1e-6;
    SCur_y_5=E*Cur_y_5*Ds/2*1e-6;
    SCur_y_6=E*Cur_y_6*Ds/2*1e-6;
    SCur_y_7=E*Cur_y_7*Ds/2*1e-6;
    SCur_y_8=E*Cur_y_8*Ds/2*1e-6;
    SCur_y_9=E*Cur_y_9*Ds/2*1e-6;
    SCur_y_10=E*Cur_y_10*Ds/2*1e-6;
    SCur_y_11=E*Cur_y_11*Ds/2*1e-6;
    SCur_y_12=E*Cur_y_12*Ds/2*1e-6;
    SCur_y_13=E*Cur_y_13*Ds/2*1e-6;
    SCur_y_14=E*Cur_y_14*Ds/2*1e-6;
    SCur_y_15=E*Cur_y_15*Ds/2*1e-6;
    SCur_y_16=E*Cur_y_16*Ds/2*1e-6;
    SCur_y_17=E*Cur_y_17*Ds/2*1e-6;
    SCur_y_18=E*Cur_y_18*Ds/2*1e-6;
    SCur_y_19=E*Cur_y_19*Ds/2*1e-6;
    SCur_y_20=E*Cur_y_20*Ds/2*1e-6;
    
    %% In-line 
    SCur_z_1=E*Cur_z_1*Ds/2*1e-6; 
    SCur_z_2=E*Cur_z_2*Ds/2*1e-6;
    SCur_z_3=E*Cur_z_3*Ds/2*1e-6;
    SCur_z_4=E*Cur_z_4*Ds/2*1e-6;
    SCur_z_5=E*Cur_z_5*Ds/2*1e-6;
    SCur_z_6=E*Cur_z_6*Ds/2*1e-6;
    SCur_z_7=E*Cur_z_7*Ds/2*1e-6;
    SCur_z_8=E*Cur_z_8*Ds/2*1e-6;
    SCur_z_9=E*Cur_z_9*Ds/2*1e-6;
    SCur_z_10=E*Cur_z_10*Ds/2*1e-6;
    SCur_z_11=E*Cur_z_11*Ds/2*1e-6;
    SCur_z_12=E*Cur_z_12*Ds/2*1e-6;
    SCur_z_13=E*Cur_z_13*Ds/2*1e-6;
    SCur_z_14=E*Cur_z_14*Ds/2*1e-6;
    SCur_z_15=E*Cur_z_15*Ds/2*1e-6;
    SCur_z_16=E*Cur_z_16*Ds/2*1e-6;
    SCur_z_17=E*Cur_z_17*Ds/2*1e-6;
    SCur_z_18=E*Cur_z_18*Ds/2*1e-6;
    SCur_z_19=E*Cur_z_19*Ds/2*1e-6;
    SCur_z_20=E*Cur_z_20*Ds/2*1e-6;

    %% Finding Maximum Stress
    %% Cross-flow
    SCur_y_max_1=max((SCur_y_1)); 
    SCur_y_max_2=max((SCur_y_2));
    SCur_y_max_3=max((SCur_y_3));
    SCur_y_max_4=max((SCur_y_4));
    SCur_y_max_5=max((SCur_y_5));
    SCur_y_max_6=max((SCur_y_6));
    SCur_y_max_7=max((SCur_y_7));
    SCur_y_max_8=max((SCur_y_8));
    SCur_y_max_9=max((SCur_y_9));
    SCur_y_max_10=max((SCur_y_10));
    SCur_y_max_11=max((SCur_y_11));
    SCur_y_max_12=max((SCur_y_12));
    SCur_y_max_13=max((SCur_y_13));
    SCur_y_max_14=max((SCur_y_14));
    SCur_y_max_15=max((SCur_y_15));
    SCur_y_max_16=max((SCur_y_16));
    SCur_y_max_17=max((SCur_y_17));
    SCur_y_max_18=max((SCur_y_18));
    SCur_y_max_19=max((SCur_y_19));
    SCur_y_max_20=max((SCur_y_20));

    %% In-line
    SCur_z_max_1=max((SCur_z_1)); 
    SCur_z_max_2=max((SCur_z_2));
    SCur_z_max_3=max((SCur_z_3));
    SCur_z_max_4=max((SCur_z_4));
    SCur_z_max_5=max((SCur_z_5));
    SCur_z_max_6=max((SCur_z_6));
    SCur_z_max_7=max((SCur_z_7));
    SCur_z_max_8=max((SCur_z_8));
    SCur_z_max_9=max((SCur_z_9));
    SCur_z_max_10=max((SCur_z_10));
    SCur_z_max_11=max((SCur_z_11));
    SCur_z_max_12=max((SCur_z_12));
    SCur_z_max_13=max((SCur_z_13));
    SCur_z_max_14=max((SCur_z_14));
    SCur_z_max_15=max((SCur_z_15));
    SCur_z_max_16=max((SCur_z_16));
    SCur_z_max_17=max((SCur_z_17));
    SCur_z_max_18=max((SCur_z_18));
    SCur_z_max_19=max((SCur_z_19));
    SCur_z_max_20=max((SCur_z_20));
    
    %% Finding Minimum Stress
    %% Cross-flow
    SCur_y_min_1=min((SCur_y_1)); 
    SCur_y_min_2=min((SCur_y_2));
    SCur_y_min_3=min((SCur_y_3));
    SCur_y_min_4=min((SCur_y_4));
    SCur_y_min_5=min((SCur_y_5));
    SCur_y_min_6=min((SCur_y_6));
    SCur_y_min_7=min((SCur_y_7));
    SCur_y_min_8=min((SCur_y_8));
    SCur_y_min_9=min((SCur_y_9));
    SCur_y_min_10=min((SCur_y_10));
    SCur_y_min_11=min((SCur_y_11));
    SCur_y_min_12=min((SCur_y_12));
    SCur_y_min_13=min((SCur_y_13));
    SCur_y_min_14=min((SCur_y_14));
    SCur_y_min_15=min((SCur_y_15));
    SCur_y_min_16=min((SCur_y_16));
    SCur_y_min_17=min((SCur_y_17));
    SCur_y_min_18=min((SCur_y_18));
    SCur_y_min_19=min((SCur_y_19));
    SCur_y_min_20=min((SCur_y_20));

    %% In-line
    SCur_z_min_1=min((SCur_z_1)); 
    SCur_z_min_2=min((SCur_z_2));
    SCur_z_min_3=min((SCur_z_3));
    SCur_z_min_4=min((SCur_z_4));
    SCur_z_min_5=min((SCur_z_5));
    SCur_z_min_6=min((SCur_z_6));
    SCur_z_min_7=min((SCur_z_7));
    SCur_z_min_8=min((SCur_z_8));
    SCur_z_min_9=min((SCur_z_9));
    SCur_z_min_10=min((SCur_z_10));
    SCur_z_min_11=min((SCur_z_11));
    SCur_z_min_12=min((SCur_z_12));
    SCur_z_min_13=min((SCur_z_13));
    SCur_z_min_14=min((SCur_z_14));
    SCur_z_min_15=min((SCur_z_15));
    SCur_z_min_16=min((SCur_z_16));
    SCur_z_min_17=min((SCur_z_17));
    SCur_z_min_18=min((SCur_z_18));
    SCur_z_min_19=min((SCur_z_19));
    SCur_z_min_20=min((SCur_z_20));
    
    %% Finding Mean Stress
    %% Cross-flow
    SCur_y_mean_1=mean((SCur_y_1)); 
    SCur_y_mean_2=mean((SCur_y_2));
    SCur_y_mean_3=mean((SCur_y_3));
    SCur_y_mean_4=mean((SCur_y_4));
    SCur_y_mean_5=mean((SCur_y_5));
    SCur_y_mean_6=mean((SCur_y_6));
    SCur_y_mean_7=mean((SCur_y_7));
    SCur_y_mean_8=mean((SCur_y_8));
    SCur_y_mean_9=mean((SCur_y_9));
    SCur_y_mean_10=mean((SCur_y_10));
    SCur_y_mean_11=mean((SCur_y_11));
    SCur_y_mean_12=mean((SCur_y_12));
    SCur_y_mean_13=mean((SCur_y_13));
    SCur_y_mean_14=mean((SCur_y_14));
    SCur_y_mean_15=mean((SCur_y_15));
    SCur_y_mean_16=mean((SCur_y_16));
    SCur_y_mean_17=mean((SCur_y_17));
    SCur_y_mean_18=mean((SCur_y_18));
    SCur_y_mean_19=mean((SCur_y_19));
    SCur_y_mean_20=mean((SCur_y_20));

    %% In-line
    SCur_z_mean_1=mean((SCur_z_1)); 
    SCur_z_mean_2=mean((SCur_z_2));
    SCur_z_mean_3=mean((SCur_z_3));
    SCur_z_mean_4=mean((SCur_z_4));
    SCur_z_mean_5=mean((SCur_z_5));
    SCur_z_mean_6=mean((SCur_z_6));
    SCur_z_mean_7=mean((SCur_z_7));
    SCur_z_mean_8=mean((SCur_z_8));
    SCur_z_mean_9=mean((SCur_z_9));
    SCur_z_mean_10=mean((SCur_z_10));
    SCur_z_mean_11=mean((SCur_z_11));
    SCur_z_mean_12=mean((SCur_z_12));
    SCur_z_mean_13=mean((SCur_z_13));
    SCur_z_mean_14=mean((SCur_z_14));
    SCur_z_mean_15=mean((SCur_z_15));
    SCur_z_mean_16=mean((SCur_z_16));
    SCur_z_mean_17=mean((SCur_z_17));
    SCur_z_mean_18=mean((SCur_z_18));
    SCur_z_mean_19=mean((SCur_z_19));
    SCur_z_mean_20=mean((SCur_z_20));
    
    %%  Fatigue calculation
    % SN curve parameters
    m0=3;
    K0=10^(-11.63);
    % Rain-flow counting
 
    for i=1:length(SCur_y_1(1,:))
        %Find turning points in stress time series
        TP_SCur_y_1=dat2tp(SCur_y_1(:,i)); 
        TP_SCur_y_2=dat2tp(SCur_y_2(:,i));
        TP_SCur_y_3=dat2tp(SCur_y_3(:,i));
        TP_SCur_y_4=dat2tp(SCur_y_4(:,i));
        TP_SCur_y_5=dat2tp(SCur_y_5(:,i));
        TP_SCur_y_6=dat2tp(SCur_y_6(:,i));
        TP_SCur_y_7=dat2tp(SCur_y_7(:,i));
        TP_SCur_y_8=dat2tp(SCur_y_8(:,i));
        TP_SCur_y_9=dat2tp(SCur_y_9(:,i));
        TP_SCur_y_10=dat2tp(SCur_y_10(:,i));
        TP_SCur_y_11=dat2tp(SCur_y_11(:,i));
        TP_SCur_y_12=dat2tp(SCur_y_12(:,i));
        TP_SCur_y_13=dat2tp(SCur_y_13(:,i));
        TP_SCur_y_14=dat2tp(SCur_y_14(:,i));
        TP_SCur_y_15=dat2tp(SCur_y_15(:,i));
        TP_SCur_y_16=dat2tp(SCur_y_16(:,i));
        TP_SCur_y_17=dat2tp(SCur_y_17(:,i));
        TP_SCur_y_18=dat2tp(SCur_y_18(:,i));
        TP_SCur_y_19=dat2tp(SCur_y_19(:,i));
        TP_SCur_y_20=dat2tp(SCur_y_20(:,i));

       
        
        TP_SCur_z_1=dat2tp(SCur_z_1(:,i)); 
        TP_SCur_z_2=dat2tp(SCur_z_2(:,i));
        TP_SCur_z_3=dat2tp(SCur_z_3(:,i));
        TP_SCur_z_4=dat2tp(SCur_z_4(:,i));
        TP_SCur_z_5=dat2tp(SCur_z_5(:,i));
        TP_SCur_z_6=dat2tp(SCur_z_6(:,i));
        TP_SCur_z_7=dat2tp(SCur_z_7(:,i));
        TP_SCur_z_8=dat2tp(SCur_z_8(:,i));
        TP_SCur_z_9=dat2tp(SCur_z_9(:,i));
        TP_SCur_z_10=dat2tp(SCur_z_10(:,i));
        TP_SCur_z_11=dat2tp(SCur_z_11(:,i));
        TP_SCur_z_12=dat2tp(SCur_z_12(:,i));
        TP_SCur_z_13=dat2tp(SCur_z_13(:,i));
        TP_SCur_z_14=dat2tp(SCur_z_14(:,i));
        TP_SCur_z_15=dat2tp(SCur_z_15(:,i));
        TP_SCur_z_16=dat2tp(SCur_z_16(:,i));
        TP_SCur_z_17=dat2tp(SCur_z_17(:,i));
        TP_SCur_z_18=dat2tp(SCur_z_18(:,i));
        TP_SCur_z_19=dat2tp(SCur_z_19(:,i));
        TP_SCur_z_20=dat2tp(SCur_z_20(:,i));

        
        %Find rainflow stress cycles
        [RFC_SCur_y_1] = tp2rfc(TP_SCur_y_1);
        [RFC_SCur_y_2] = tp2rfc(TP_SCur_y_2);
        [RFC_SCur_y_3] = tp2rfc(TP_SCur_y_3);
        [RFC_SCur_y_4] = tp2rfc(TP_SCur_y_4);
        [RFC_SCur_y_5] = tp2rfc(TP_SCur_y_5);
        [RFC_SCur_y_6] = tp2rfc(TP_SCur_y_6);
        [RFC_SCur_y_7] = tp2rfc(TP_SCur_y_7);
        [RFC_SCur_y_8] = tp2rfc(TP_SCur_y_8);
        [RFC_SCur_y_9] = tp2rfc(TP_SCur_y_9);
        [RFC_SCur_y_10] = tp2rfc(TP_SCur_y_10);
        [RFC_SCur_y_11] = tp2rfc(TP_SCur_y_11);
        [RFC_SCur_y_12] = tp2rfc(TP_SCur_y_12);
        [RFC_SCur_y_13] = tp2rfc(TP_SCur_y_13);
        [RFC_SCur_y_14] = tp2rfc(TP_SCur_y_14);
        [RFC_SCur_y_15] = tp2rfc(TP_SCur_y_15);
        [RFC_SCur_y_16] = tp2rfc(TP_SCur_y_16);
        [RFC_SCur_y_17] = tp2rfc(TP_SCur_y_17);
        [RFC_SCur_y_18] = tp2rfc(TP_SCur_y_18);
        [RFC_SCur_y_19] = tp2rfc(TP_SCur_y_19);
        [RFC_SCur_y_20] = tp2rfc(TP_SCur_y_20);

        
        [RFC_SCur_z_1] = tp2rfc(TP_SCur_z_1);
        [RFC_SCur_z_2] = tp2rfc(TP_SCur_z_2);
        [RFC_SCur_z_3] = tp2rfc(TP_SCur_z_3);
        [RFC_SCur_z_4] = tp2rfc(TP_SCur_z_4);
        [RFC_SCur_z_5] = tp2rfc(TP_SCur_z_5);
        [RFC_SCur_z_6] = tp2rfc(TP_SCur_z_6);
        [RFC_SCur_z_7] = tp2rfc(TP_SCur_z_7);
        [RFC_SCur_z_8] = tp2rfc(TP_SCur_z_8);
        [RFC_SCur_z_9] = tp2rfc(TP_SCur_z_9);
        [RFC_SCur_z_10] = tp2rfc(TP_SCur_z_10);
        [RFC_SCur_z_11] = tp2rfc(TP_SCur_z_11);
        [RFC_SCur_z_12] = tp2rfc(TP_SCur_z_12);
        [RFC_SCur_z_13] = tp2rfc(TP_SCur_z_13);
        [RFC_SCur_z_14] = tp2rfc(TP_SCur_z_14);
        [RFC_SCur_z_15] = tp2rfc(TP_SCur_z_15);
        [RFC_SCur_z_16] = tp2rfc(TP_SCur_z_16);
        [RFC_SCur_z_17] = tp2rfc(TP_SCur_z_17);
        [RFC_SCur_z_18] = tp2rfc(TP_SCur_z_18);
        [RFC_SCur_z_19] = tp2rfc(TP_SCur_z_19);
        [RFC_SCur_z_20] = tp2rfc(TP_SCur_z_20);

        
        % One-year fatigue damage
        D_SCur_y_1(i) = cc2dam(RFC_SCur_y_1,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_2(i) = cc2dam(RFC_SCur_y_2,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_3(i) = cc2dam(RFC_SCur_y_3,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_4(i) = cc2dam(RFC_SCur_y_4,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_5(i) = cc2dam(RFC_SCur_y_5,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_6(i) = cc2dam(RFC_SCur_y_6,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_7(i) = cc2dam(RFC_SCur_y_7,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_8(i) = cc2dam(RFC_SCur_y_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_9(i) = cc2dam(RFC_SCur_y_9,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_10(i) = cc2dam(RFC_SCur_y_10,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_11(i) = cc2dam(RFC_SCur_y_11,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_12(i) = cc2dam(RFC_SCur_y_12,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_13(i) = cc2dam(RFC_SCur_y_13,m0,K0)*2^m0/(ns13*dt13)*3600*24*365;
        D_SCur_y_14(i) = cc2dam(RFC_SCur_y_14,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_15(i) = cc2dam(RFC_SCur_y_15,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_16(i) = cc2dam(RFC_SCur_y_16,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_17(i) = cc2dam(RFC_SCur_y_17,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_18(i) = cc2dam(RFC_SCur_y_18,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_19(i) = cc2dam(RFC_SCur_y_19,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_20(i) = cc2dam(RFC_SCur_y_20,m0,K0)*2^m0/(ns*dt)*3600*24*365;

        
        D_SCur_z_1(i) = cc2dam(RFC_SCur_z_1,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_2(i) = cc2dam(RFC_SCur_z_2,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_3(i) = cc2dam(RFC_SCur_z_3,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_4(i) = cc2dam(RFC_SCur_z_4,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_5(i) = cc2dam(RFC_SCur_z_5,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_6(i) = cc2dam(RFC_SCur_z_6,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_7(i) = cc2dam(RFC_SCur_z_7,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_8(i) = cc2dam(RFC_SCur_z_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_9(i) = cc2dam(RFC_SCur_z_9,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_10(i) = cc2dam(RFC_SCur_z_10,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_11(i) = cc2dam(RFC_SCur_z_11,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_12(i) = cc2dam(RFC_SCur_z_12,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_13(i) = cc2dam(RFC_SCur_z_13,m0,K0)*2^m0/(ns13*dt13)*3600*24*365;
        D_SCur_z_14(i) = cc2dam(RFC_SCur_z_14,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_15(i) = cc2dam(RFC_SCur_z_15,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_16(i) = cc2dam(RFC_SCur_z_16,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_17(i) = cc2dam(RFC_SCur_z_17,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_18(i) = cc2dam(RFC_SCur_z_18,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_19(i) = cc2dam(RFC_SCur_z_19,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_20(i) = cc2dam(RFC_SCur_z_20,m0,K0)*2^m0/(ns*dt)*3600*24*365;

 
    end
    
    %% 8 points around the circumference
    
    for theta=0:pi/4:7*pi/4
    SCur_1=(E*Cur_y_1*Ds/2*sin(theta)+E*Cur_z_1*Ds/2*cos(theta))*1e-6; 
    SCur_2=(E*Cur_y_2*Ds/2*sin(theta)+E*Cur_z_2*Ds/2*cos(theta))*1e-6;
    SCur_3=(E*Cur_y_3*Ds/2*sin(theta)+E*Cur_z_3*Ds/2*cos(theta))*1e-6;
    SCur_4=(E*Cur_y_4*Ds/2*sin(theta)+E*Cur_z_4*Ds/2*cos(theta))*1e-6;
    SCur_5=(E*Cur_y_5*Ds/2*sin(theta)+E*Cur_z_5*Ds/2*cos(theta))*1e-6;
    SCur_6=(E*Cur_y_6*Ds/2*sin(theta)+E*Cur_z_6*Ds/2*cos(theta))*1e-6;
    SCur_7=(E*Cur_y_7*Ds/2*sin(theta)+E*Cur_z_7*Ds/2*cos(theta))*1e-6;
    SCur_8=(E*Cur_y_8*Ds/2*sin(theta)+E*Cur_z_8*Ds/2*cos(theta))*1e-6;
    SCur_9=(E*Cur_y_9*Ds/2*sin(theta)+E*Cur_z_9*Ds/2*cos(theta))*1e-6;
    SCur_10=(E*Cur_y_10*Ds/2*sin(theta)+E*Cur_z_10*Ds/2*cos(theta))*1e-6;
    SCur_11=(E*Cur_y_11*Ds/2*sin(theta)+E*Cur_z_11*Ds/2*cos(theta))*1e-6;
    SCur_12=(E*Cur_y_12*Ds/2*sin(theta)+E*Cur_z_12*Ds/2*cos(theta))*1e-6;
    SCur_13=(E*Cur_y_13*Ds/2*sin(theta)+E*Cur_z_13*Ds/2*cos(theta))*1e-6;
    SCur_14=(E*Cur_y_14*Ds/2*sin(theta)+E*Cur_z_14*Ds/2*cos(theta))*1e-6;
    SCur_15=(E*Cur_y_15*Ds/2*sin(theta)+E*Cur_z_15*Ds/2*cos(theta))*1e-6;
    SCur_16=(E*Cur_y_16*Ds/2*sin(theta)+E*Cur_z_16*Ds/2*cos(theta))*1e-6;
    SCur_17=(E*Cur_y_17*Ds/2*sin(theta)+E*Cur_z_17*Ds/2*cos(theta))*1e-6;
    SCur_18=(E*Cur_y_18*Ds/2*sin(theta)+E*Cur_z_18*Ds/2*cos(theta))*1e-6;
    SCur_19=(E*Cur_y_19*Ds/2*sin(theta)+E*Cur_z_19*Ds/2*cos(theta))*1e-6;
    SCur_20=(E*Cur_y_20*Ds/2*sin(theta)+E*Cur_z_20*Ds/2*cos(theta))*1e-6;

    
    for i=1:length(SCur_y_1(1,:))
        %Find turning points in stress time series
        TP_SCur_1=dat2tp(SCur_1(:,i)); 
        TP_SCur_2=dat2tp(SCur_2(:,i));
        TP_SCur_3=dat2tp(SCur_3(:,i));
        TP_SCur_4=dat2tp(SCur_4(:,i));
        TP_SCur_5=dat2tp(SCur_5(:,i));
        TP_SCur_6=dat2tp(SCur_6(:,i));
        TP_SCur_7=dat2tp(SCur_7(:,i));
        TP_SCur_8=dat2tp(SCur_8(:,i));
        TP_SCur_9=dat2tp(SCur_9(:,i));
        TP_SCur_10=dat2tp(SCur_10(:,i));
        TP_SCur_11=dat2tp(SCur_11(:,i));
        TP_SCur_12=dat2tp(SCur_12(:,i));
        TP_SCur_13=dat2tp(SCur_13(:,i));
        TP_SCur_14=dat2tp(SCur_14(:,i));
        TP_SCur_15=dat2tp(SCur_15(:,i));
        TP_SCur_16=dat2tp(SCur_16(:,i));
        TP_SCur_17=dat2tp(SCur_17(:,i));
        TP_SCur_18=dat2tp(SCur_18(:,i));
        TP_SCur_19=dat2tp(SCur_19(:,i));
        TP_SCur_20=dat2tp(SCur_20(:,i));

        
        %Find rainflow stress cycles
        [RFC_SCur_1] = tp2rfc(TP_SCur_1);
        [RFC_SCur_2] = tp2rfc(TP_SCur_2);
        [RFC_SCur_3] = tp2rfc(TP_SCur_3);
        [RFC_SCur_4] = tp2rfc(TP_SCur_4);
        [RFC_SCur_5] = tp2rfc(TP_SCur_5);
        [RFC_SCur_6] = tp2rfc(TP_SCur_6);
        [RFC_SCur_7] = tp2rfc(TP_SCur_7);
        [RFC_SCur_8] = tp2rfc(TP_SCur_8);
        [RFC_SCur_9] = tp2rfc(TP_SCur_9);
        [RFC_SCur_10] = tp2rfc(TP_SCur_10);
        [RFC_SCur_11] = tp2rfc(TP_SCur_11);
        [RFC_SCur_12] = tp2rfc(TP_SCur_12);
        [RFC_SCur_13] = tp2rfc(TP_SCur_13);
        [RFC_SCur_14] = tp2rfc(TP_SCur_14);
        [RFC_SCur_15] = tp2rfc(TP_SCur_15);
        [RFC_SCur_16] = tp2rfc(TP_SCur_16);
        [RFC_SCur_17] = tp2rfc(TP_SCur_17);
        [RFC_SCur_18] = tp2rfc(TP_SCur_18);
        [RFC_SCur_19] = tp2rfc(TP_SCur_19);
        [RFC_SCur_20] = tp2rfc(TP_SCur_20);

        
        % One-year fatigue damage
        D_SCur_1(theta,i) = cc2dam(RFC_SCur_1,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_2(theta,i) = cc2dam(RFC_SCur_2,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_3(theta,i) = cc2dam(RFC_SCur_3,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_4(theta,i) = cc2dam(RFC_SCur_4,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_5(theta,i) = cc2dam(RFC_SCur_5,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_6(theta,i) = cc2dam(RFC_SCur_6,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_7(theta,i) = cc2dam(RFC_SCur_7,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_8(theta,i) = cc2dam(RFC_SCur_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_9(theta,i) = cc2dam(RFC_SCur_9,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_10(theta,i) = cc2dam(RFC_SCur_10,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_11(theta,i) = cc2dam(RFC_SCur_11,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_12(theta,i) = cc2dam(RFC_SCur_12,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_13(theta,i) = cc2dam(RFC_SCur_13,m0,K0)*2^m0/(ns13*dt13)*3600*24*365;
        D_SCur_14(theta,i) = cc2dam(RFC_SCur_14,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_15(theta,i) = cc2dam(RFC_SCur_15,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_16(theta,i) = cc2dam(RFC_SCur_16,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_17(theta,i) = cc2dam(RFC_SCur_17,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_18(theta,i) = cc2dam(RFC_SCur_18,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_19(theta,i) = cc2dam(RFC_SCur_19,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_20(theta,i) = cc2dam(RFC_SCur_20,m0,K0)*2^m0/(ns*dt)*3600*24*365;

        
    end
    end
 
%% Plots

%% Maximum Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_max_1)
plot(cord,SCur_y_max_2)
plot(cord,SCur_y_max_3)
plot(cord,SCur_y_max_4)
plot(cord,SCur_y_max_5)
plot(cord,SCur_y_max_6)
plot(cord,SCur_y_max_7)
plot(cord,SCur_y_max_8)
plot(cord,SCur_y_max_9)
plot(cord,SCur_y_max_10)
plot(cord,SCur_y_max_11)
plot(cord,SCur_y_max_12)
plot(cord,SCur_y_max_13)
plot(cord,SCur_y_max_14)
plot(cord,SCur_y_max_15)
plot(cord,SCur_y_max_16)
plot(cord,SCur_y_max_17)
plot(cord,SCur_y_max_18)
plot(cord,SCur_y_max_19)
plot(cord,SCur_y_max_20)

hold off
title('Maximum CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Minimum Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_min_1)
plot(cord,SCur_y_min_2)
plot(cord,SCur_y_min_3)
plot(cord,SCur_y_min_4)
plot(cord,SCur_y_min_5)
plot(cord,SCur_y_min_6)
plot(cord,SCur_y_min_7)
plot(cord,SCur_y_min_8)
plot(cord,SCur_y_min_9)
plot(cord,SCur_y_min_10)
plot(cord,SCur_y_min_11)
plot(cord,SCur_y_min_12)
plot(cord,SCur_y_min_13)
plot(cord,SCur_y_min_14)
plot(cord,SCur_y_min_15)
plot(cord,SCur_y_min_16)
plot(cord,SCur_y_min_17)
plot(cord,SCur_y_min_18)
plot(cord,SCur_y_min_19)
plot(cord,SCur_y_min_20)

hold off
title('Minimum CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Mean Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_mean_1)
plot(cord,SCur_y_mean_2)
plot(cord,SCur_y_mean_3)
plot(cord,SCur_y_mean_4)
plot(cord,SCur_y_mean_5)
plot(cord,SCur_y_mean_6)
plot(cord,SCur_y_mean_7)
plot(cord,SCur_y_mean_8)
plot(cord,SCur_y_mean_9)
plot(cord,SCur_y_mean_10)
plot(cord,SCur_y_mean_11)
plot(cord,SCur_y_mean_12)
plot(cord,SCur_y_mean_13)
plot(cord,SCur_y_mean_14)
plot(cord,SCur_y_mean_15)
plot(cord,SCur_y_mean_16)
plot(cord,SCur_y_mean_17)
plot(cord,SCur_y_mean_18)
plot(cord,SCur_y_mean_19)
plot(cord,SCur_y_mean_20)

hold off
title('Mean CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Maximum Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_max_1)
plot(cord,SCur_z_max_2)
plot(cord,SCur_z_max_3)
plot(cord,SCur_z_max_4)
plot(cord,SCur_z_max_5)
plot(cord,SCur_z_max_6)
plot(cord,SCur_z_max_7)
plot(cord,SCur_z_max_8)
plot(cord,SCur_z_max_9)
plot(cord,SCur_z_max_10)
plot(cord,SCur_z_max_11)
plot(cord,SCur_z_max_12)
plot(cord,SCur_z_max_13)
plot(cord,SCur_z_max_14)
plot(cord,SCur_z_max_15)
plot(cord,SCur_z_max_16)
plot(cord,SCur_z_max_17)
plot(cord,SCur_z_max_18)
plot(cord,SCur_z_max_19)
plot(cord,SCur_z_max_20)

hold off
title('Maximum IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',14)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Minimum Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_min_1)
plot(cord,SCur_z_min_2)
plot(cord,SCur_z_min_3)
plot(cord,SCur_z_min_4)
plot(cord,SCur_z_min_5)
plot(cord,SCur_z_min_6)
plot(cord,SCur_z_min_7)
plot(cord,SCur_z_min_8)
plot(cord,SCur_z_min_9)
plot(cord,SCur_z_min_10)
plot(cord,SCur_z_min_11)
plot(cord,SCur_z_min_12)
plot(cord,SCur_z_min_13)
plot(cord,SCur_z_min_14)
plot(cord,SCur_z_min_15)
plot(cord,SCur_z_min_16)
plot(cord,SCur_z_min_17)
plot(cord,SCur_z_min_18)
plot(cord,SCur_z_min_19)
plot(cord,SCur_z_min_20)

hold off
title('Minimum IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',14)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Mean Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_mean_1)
plot(cord,SCur_z_mean_2)
plot(cord,SCur_z_mean_3)
plot(cord,SCur_z_mean_4)
plot(cord,SCur_z_mean_5)
plot(cord,SCur_z_mean_6)
plot(cord,SCur_z_mean_7)
plot(cord,SCur_z_mean_8)
plot(cord,SCur_z_mean_9)
plot(cord,SCur_z_mean_10)
plot(cord,SCur_z_mean_11)
plot(cord,SCur_z_mean_12)
plot(cord,SCur_z_mean_13)
plot(cord,SCur_z_mean_14)
plot(cord,SCur_z_mean_15)
plot(cord,SCur_z_mean_16)
plot(cord,SCur_z_mean_17)
plot(cord,SCur_z_mean_18)
plot(cord,SCur_z_mean_19)
plot(cord,SCur_z_mean_20)

hold off
title('Mean IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',14)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)


%% One-Year CF Fatigue Damage along the pipeline

figure
hold on
plot(cord,D_SCur_y_1)
plot(cord,D_SCur_y_2)
plot(cord,D_SCur_y_3)
plot(cord,D_SCur_y_4)
plot(cord,D_SCur_y_5)
plot(cord,D_SCur_y_6)
plot(cord,D_SCur_y_7)
plot(cord,D_SCur_y_8)
plot(cord,D_SCur_y_9)
plot(cord,D_SCur_y_10)
plot(cord,D_SCur_y_11)
plot(cord,D_SCur_y_12)
plot(cord,D_SCur_y_13)
plot(cord,D_SCur_y_14)
plot(cord,D_SCur_y_15)
plot(cord,D_SCur_y_16)
plot(cord,D_SCur_y_17)
plot(cord,D_SCur_y_18)
plot(cord,D_SCur_y_19)
plot(cord,D_SCur_y_20)

hold off
title('CF Fatigue Damage','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Damage','FontSize',20)

%% One-Year IL Fatigue Damage along the pipeline

figure
hold on
plot(cord,D_SCur_z_1)
plot(cord,D_SCur_z_2)
plot(cord,D_SCur_z_3)
plot(cord,D_SCur_z_4)
plot(cord,D_SCur_z_5)
plot(cord,D_SCur_z_6)
plot(cord,D_SCur_z_7)
plot(cord,D_SCur_z_8)
plot(cord,D_SCur_z_9)
plot(cord,D_SCur_z_10)
plot(cord,D_SCur_z_11)
plot(cord,D_SCur_z_12)
plot(cord,D_SCur_z_13)
plot(cord,D_SCur_z_14)
plot(cord,D_SCur_z_15)
plot(cord,D_SCur_z_16)
plot(cord,D_SCur_z_17)
plot(cord,D_SCur_z_18)
plot(cord,D_SCur_z_19)
plot(cord,D_SCur_z_20)

hold off
title('IL Fatigue Damage','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Damage','FontSize',20)
