clc
clear all
close all

%% Note !!!!! After finishing post-processing using this script Save!!!
%% the workspace as 'Displacement_post_processed.mat'. It will be used
%% afterwards for the comparative study

%% Loading displacement data for the 20 examined current velocities
R1 = load('sima_noddis_1.asc', '-ascii');
R2 = load('sima_noddis_2.asc', '-ascii');
R3 = load('sima_noddis_3.asc', '-ascii');
R4 = load('sima_noddis_4.asc', '-ascii');
R5 = load('sima_noddis_5.asc', '-ascii');
R6 = load('sima_noddis_6.asc', '-ascii');
R7 = load('sima_noddis_7.asc', '-ascii');
R8 = load('sima_noddis_8.asc', '-ascii');
R9 = load('sima_noddis_9.asc', '-ascii');
R10 = load('sima_noddis_10.asc', '-ascii');
R11 = load('sima_noddis_11.asc', '-ascii');
R12 = load('sima_noddis_12.asc', '-ascii');
R13 = load('sima_noddis_13.asc', '-ascii');
R14 = load('sima_noddis_14.asc', '-ascii');
R15 = load('sima_noddis_15.asc', '-ascii');
R16 = load('sima_noddis_16.asc', '-ascii');
R17 = load('sima_noddis_17.asc', '-ascii');
R18 = load('sima_noddis_18.asc', '-ascii');
R19 = load('sima_noddis_19.asc', '-ascii');
R20 = load('sima_noddis_20.asc', '-ascii');

%% Load Static Configuration
Static_yz = load('Static_yz.asc', '-ascii');

%% Removing transient
R1(1:23999,:)=[];
R2(1:23999,:)=[];
R3(1:23999,:)=[];
R4(1:23999,:)=[];
R5(1:23999,:)=[];
R6(1:23999,:)=[];
R7(1:23999,:)=[];
R8(1:23999,:)=[];
R9(1:23999,:)=[];
R10(1:23999,:)=[];
R11(1:23999,:)=[];
R12(1:23999,:)=[];
% R13(1:23999,:)=[];
R13(1:69999,:)=[];% a smaller timestep was used for this velocity
R14(1:23999,:)=[];
R15(1:23999,:)=[];
R16(1:23999,:)=[];
R17(1:23999,:)=[];
R18(1:23999,:)=[];
R19(1:23999,:)=[];
R20(1:23999,:)=[];

%% IL Response
% Time series of IL Displacement
for n=1:(length(R1(1,:))-1)/3 
    counter=3*n;
Res_y_1(:,n)=R1(:,counter);
Res_y_2(:,n)=R2(:,counter);
Res_y_3(:,n)=R3(:,counter);
Res_y_4(:,n)=R4(:,counter);
Res_y_5(:,n)=R5(:,counter);
Res_y_6(:,n)=R6(:,counter);
Res_y_7(:,n)=R7(:,counter);
Res_y_8(:,n)=R8(:,counter);
Res_y_9(:,n)=R9(:,counter);
Res_y_10(:,n)=R10(:,counter);
Res_y_11(:,n)=R11(:,counter);
Res_y_12(:,n)=R12(:,counter);
Res_y_13(:,n)=R13(:,counter);
Res_y_14(:,n)=R14(:,counter);
Res_y_15(:,n)=R15(:,counter);
Res_y_16(:,n)=R16(:,counter);
Res_y_17(:,n)=R17(:,counter);
Res_y_18(:,n)=R18(:,counter);
Res_y_19(:,n)=R19(:,counter);
Res_y_20(:,n)=R20(:,counter);
end

%%
% Removing overlapping nodes
Res_y_1=[Res_y_1(:,1:61),Res_y_1(:,63:82),Res_y_1(:,84:97),Res_y_1(:,99:118),Res_y_1(:,120:179)];
Res_y_2=[Res_y_2(:,1:61),Res_y_2(:,63:82),Res_y_2(:,84:97),Res_y_2(:,99:118),Res_y_2(:,120:179)];
Res_y_3=[Res_y_3(:,1:61),Res_y_3(:,63:82),Res_y_3(:,84:97),Res_y_3(:,99:118),Res_y_3(:,120:179)];
Res_y_4=[Res_y_4(:,1:61),Res_y_4(:,63:82),Res_y_4(:,84:97),Res_y_4(:,99:118),Res_y_4(:,120:179)];
Res_y_5=[Res_y_5(:,1:61),Res_y_5(:,63:82),Res_y_5(:,84:97),Res_y_5(:,99:118),Res_y_5(:,120:179)];
Res_y_6=[Res_y_6(:,1:61),Res_y_6(:,63:82),Res_y_6(:,84:97),Res_y_6(:,99:118),Res_y_6(:,120:179)];
Res_y_7=[Res_y_7(:,1:61),Res_y_7(:,63:82),Res_y_7(:,84:97),Res_y_7(:,99:118),Res_y_7(:,120:179)];
Res_y_8=[Res_y_8(:,1:61),Res_y_8(:,63:82),Res_y_8(:,84:97),Res_y_8(:,99:118),Res_y_8(:,120:179)];
Res_y_9=[Res_y_9(:,1:61),Res_y_9(:,63:82),Res_y_9(:,84:97),Res_y_9(:,99:118),Res_y_9(:,120:179)];
Res_y_10=[Res_y_10(:,1:61),Res_y_10(:,63:82),Res_y_10(:,84:97),Res_y_10(:,99:118),Res_y_10(:,120:179)];
Res_y_11=[Res_y_11(:,1:61),Res_y_11(:,63:82),Res_y_11(:,84:97),Res_y_11(:,99:118),Res_y_11(:,120:179)];
Res_y_12=[Res_y_12(:,1:61),Res_y_12(:,63:82),Res_y_12(:,84:97),Res_y_12(:,99:118),Res_y_12(:,120:179)];
Res_y_13=[Res_y_13(:,1:61),Res_y_13(:,63:82),Res_y_13(:,84:97),Res_y_13(:,99:118),Res_y_13(:,120:179)];
Res_y_14=[Res_y_14(:,1:61),Res_y_14(:,63:82),Res_y_14(:,84:97),Res_y_14(:,99:118),Res_y_14(:,120:179)];
Res_y_15=[Res_y_15(:,1:61),Res_y_15(:,63:82),Res_y_15(:,84:97),Res_y_15(:,99:118),Res_y_15(:,120:179)];
Res_y_16=[Res_y_16(:,1:61),Res_y_16(:,63:82),Res_y_16(:,84:97),Res_y_16(:,99:118),Res_y_16(:,120:179)];
Res_y_17=[Res_y_17(:,1:61),Res_y_17(:,63:82),Res_y_17(:,84:97),Res_y_17(:,99:118),Res_y_17(:,120:179)];
Res_y_18=[Res_y_18(:,1:61),Res_y_18(:,63:82),Res_y_18(:,84:97),Res_y_18(:,99:118),Res_y_18(:,120:179)];
Res_y_19=[Res_y_19(:,1:61),Res_y_19(:,63:82),Res_y_19(:,84:97),Res_y_19(:,99:118),Res_y_19(:,120:179)];
Res_y_20=[Res_y_20(:,1:61),Res_y_20(:,63:82),Res_y_20(:,84:97),Res_y_20(:,99:118),Res_y_20(:,120:179)];


%% CF Response
% Time series of CF Displacement
for n=1:(length(R1(1,:))-1)/3 
    counter=3*n+1;
Res_z_1(:,n)=R1(:,counter);
Res_z_2(:,n)=R2(:,counter);
Res_z_3(:,n)=R3(:,counter);
Res_z_4(:,n)=R4(:,counter);
Res_z_5(:,n)=R5(:,counter);
Res_z_6(:,n)=R6(:,counter);
Res_z_7(:,n)=R7(:,counter);
Res_z_8(:,n)=R8(:,counter);
Res_z_9(:,n)=R9(:,counter);
Res_z_10(:,n)=R10(:,counter);
Res_z_11(:,n)=R11(:,counter);
Res_z_12(:,n)=R12(:,counter);
Res_z_13(:,n)=R13(:,counter);
Res_z_14(:,n)=R14(:,counter);
Res_z_15(:,n)=R15(:,counter);
Res_z_16(:,n)=R16(:,counter);
Res_z_17(:,n)=R17(:,counter);
Res_z_18(:,n)=R18(:,counter);
Res_z_19(:,n)=R19(:,counter);
Res_z_20(:,n)=R20(:,counter);
end

%%
% Removing overlapping nodes
Res_z_1=[Res_z_1(:,1:61),Res_z_1(:,63:82),Res_z_1(:,84:97),Res_z_1(:,99:118),Res_z_1(:,120:179)];
Res_z_2=[Res_z_2(:,1:61),Res_z_2(:,63:82),Res_z_2(:,84:97),Res_z_2(:,99:118),Res_z_2(:,120:179)];
Res_z_3=[Res_z_3(:,1:61),Res_z_3(:,63:82),Res_z_3(:,84:97),Res_z_3(:,99:118),Res_z_3(:,120:179)];
Res_z_4=[Res_z_4(:,1:61),Res_z_4(:,63:82),Res_z_4(:,84:97),Res_z_4(:,99:118),Res_z_4(:,120:179)];
Res_z_5=[Res_z_5(:,1:61),Res_z_5(:,63:82),Res_z_5(:,84:97),Res_z_5(:,99:118),Res_z_5(:,120:179)];
Res_z_6=[Res_z_6(:,1:61),Res_z_6(:,63:82),Res_z_6(:,84:97),Res_z_6(:,99:118),Res_z_6(:,120:179)];
Res_z_7=[Res_z_7(:,1:61),Res_z_7(:,63:82),Res_z_7(:,84:97),Res_z_7(:,99:118),Res_z_7(:,120:179)];
Res_z_8=[Res_z_8(:,1:61),Res_z_8(:,63:82),Res_z_8(:,84:97),Res_z_8(:,99:118),Res_z_8(:,120:179)];
Res_z_9=[Res_z_9(:,1:61),Res_z_9(:,63:82),Res_z_9(:,84:97),Res_z_9(:,99:118),Res_z_9(:,120:179)];
Res_z_10=[Res_z_10(:,1:61),Res_z_10(:,63:82),Res_z_10(:,84:97),Res_z_10(:,99:118),Res_z_10(:,120:179)];
Res_z_11=[Res_z_11(:,1:61),Res_z_11(:,63:82),Res_z_11(:,84:97),Res_z_11(:,99:118),Res_z_11(:,120:179)];
Res_z_12=[Res_z_12(:,1:61),Res_z_12(:,63:82),Res_z_12(:,84:97),Res_z_12(:,99:118),Res_z_12(:,120:179)];
Res_z_13=[Res_z_13(:,1:61),Res_z_13(:,63:82),Res_z_13(:,84:97),Res_z_13(:,99:118),Res_z_13(:,120:179)];
Res_z_14=[Res_z_14(:,1:61),Res_z_14(:,63:82),Res_z_14(:,84:97),Res_z_14(:,99:118),Res_z_14(:,120:179)];
Res_z_15=[Res_z_15(:,1:61),Res_z_15(:,63:82),Res_z_15(:,84:97),Res_z_15(:,99:118),Res_z_15(:,120:179)];
Res_z_16=[Res_z_16(:,1:61),Res_z_16(:,63:82),Res_z_16(:,84:97),Res_z_16(:,99:118),Res_z_16(:,120:179)];
Res_z_17=[Res_z_17(:,1:61),Res_z_17(:,63:82),Res_z_17(:,84:97),Res_z_17(:,99:118),Res_z_17(:,120:179)];
Res_z_18=[Res_z_18(:,1:61),Res_z_18(:,63:82),Res_z_18(:,84:97),Res_z_18(:,99:118),Res_z_18(:,120:179)];
Res_z_19=[Res_z_19(:,1:61),Res_z_19(:,63:82),Res_z_19(:,84:97),Res_z_19(:,99:118),Res_z_19(:,120:179)];
Res_z_20=[Res_z_20(:,1:61),Res_z_20(:,63:82),Res_z_20(:,84:97),Res_z_20(:,99:118),Res_z_20(:,120:179)];


%%
%% General Input
D=0.702;                        % Hydrodynamic Diameter [m]
Ds=0.61;                        % Steel Pipe Diameter [m]
L=114;                          %Length [m]
nnod=length(Res_y_1(1,:));      %Number of nodes
cord(1:61)=0:30/60:30;          %Length coordinates along the pipe
cord(61:81)=30:20.25/20:50.25;
cord(81:95)=50.25:13.5/14:63.75;
cord(95:115)=63.75:20.25/20:84;
cord(115:175)=84:30/60:114;
t13=R13(:,1)-R13(1,1);          %Time vector for the special case
ns13=length(t13);               %Number of data points for the special case
dt13=t13(2)-t13(1);             %Time step of sample for the special case
Fs13=1/dt13;                    %Sampling frequency for the special case

t=R1(:,1)-R1(1,1);              %Time vector
ns=length(t);                   %Number of data points
dt=t(2)-t(1);                   %Time step of sample
Fs=1/dt;                        %Sampling frequency
u_cur=0.5:0.1:2.4;              %Current velocities

%% Seafloor Configurations
Seafloor_disp = load('Seafloor_disp.asc', '-ascii');
Seafloor_z_initial=zeros(1,175);
Seafloor_x_initial=cord;
Seafloor_z_initial(1:61)=-399.8;
Seafloor_z_initial(62:114)=-401.0;
Seafloor_z_initial(115:175)=-399.8;
Seafloor_x_final=zeros(20,175);
Seafloor_z_final=zeros(20,175);
for n=1:20
    counter=2*n-1;
    Seafloor_x_final(n,:)=Seafloor_x_initial+Seafloor_disp(:,counter)';
end
for n=1:20
    counter=2*n;
    Seafloor_z_final(n,:)=Seafloor_z_initial-Seafloor_disp(:,counter)';
    Seafloor_z_final(n,61)=Static_yz(61,counter)';
end

%%
%% Remove Static Configuration of IL Displacement (not used in the analysis)
%     for n=1:nnod
%         Res_y_1(:,n)=Res_y_1(:,n)-Static_yz(n,1);
%         Res_y_2(:,n)=Res_y_2(:,n)-Static_yz(n,3);
%         Res_y_3(:,n)=Res_y_3(:,n)-Static_yz(n,5);
%         Res_y_4(:,n)=Res_y_4(:,n)-Static_yz(n,7);
%         Res_y_5(:,n)=Res_y_5(:,n)-Static_yz(n,9);
%         Res_y_6(:,n)=Res_y_6(:,n)-Static_yz(n,11);
%         Res_y_7(:,n)=Res_y_7(:,n)-Static_yz(n,13);
%         Res_y_8(:,n)=Res_y_8(:,n)-Static_yz(n,15);
%         Res_y_9(:,n)=Res_y_9(:,n)-Static_yz(n,17);
%         Res_y_10(:,n)=Res_y_10(:,n)-Static_yz(n,19);
%         Res_y_11(:,n)=Res_y_11(:,n)-Static_yz(n,21);
%         Res_y_12(:,n)=Res_y_12(:,n)-Static_yz(n,23);
%         Res_y_13(:,n)=Res_y_13(:,n)-Static_yz(n,25);
%         Res_y_14(:,n)=Res_y_14(:,n)-Static_yz(n,27);
%         Res_y_15(:,n)=Res_y_15(:,n)-Static_yz(n,29);
%         Res_y_16(:,n)=Res_y_16(:,n)-Static_yz(n,31);
%         Res_y_17(:,n)=Res_y_17(:,n)-Static_yz(n,33);
%         Res_y_18(:,n)=Res_y_18(:,n)-Static_yz(n,35);
%         Res_y_19(:,n)=Res_y_19(:,n)-Static_yz(n,37);
%         Res_y_20(:,n)=Res_y_20(:,n)-Static_yz(n,39); 
%     end
    
    %%
%% Remove Static Configuration of CF Displacement (not used in the analysis)
%     for n=1:nnod
%         Res_z_1(:,n)=Res_z_1(:,n)-Static_yz(n,2);
%         Res_z_2(:,n)=Res_z_2(:,n)-Static_yz(n,4);
%         Res_z_3(:,n)=Res_z_3(:,n)-Static_yz(n,6);
%         Res_z_4(:,n)=Res_z_4(:,n)-Static_yz(n,8);
%         Res_z_5(:,n)=Res_z_5(:,n)-Static_yz(n,10);
%         Res_z_6(:,n)=Res_z_6(:,n)-Static_yz(n,12);
%         Res_z_7(:,n)=Res_z_7(:,n)-Static_yz(n,14);
%         Res_z_8(:,n)=Res_z_8(:,n)-Static_yz(n,16);
%         Res_z_9(:,n)=Res_z_9(:,n)-Static_yz(n,18);
%         Res_z_10(:,n)=Res_z_10(:,n)-Static_yz(n,20);
%         Res_z_11(:,n)=Res_z_11(:,n)-Static_yz(n,22);
%         Res_z_12(:,n)=Res_z_12(:,n)-Static_yz(n,24);
%         Res_z_13(:,n)=Res_z_13(:,n)-Static_yz(n,26);
%         Res_z_14(:,n)=Res_z_14(:,n)-Static_yz(n,28);
%         Res_z_15(:,n)=Res_z_15(:,n)-Static_yz(n,30);
%         Res_z_16(:,n)=Res_z_16(:,n)-Static_yz(n,32);
%         Res_z_17(:,n)=Res_z_17(:,n)-Static_yz(n,34);
%         Res_z_18(:,n)=Res_z_18(:,n)-Static_yz(n,36);
%         Res_z_19(:,n)=Res_z_19(:,n)-Static_yz(n,38);
%         Res_z_20(:,n)=Res_z_20(:,n)-Static_yz(n,40);
%     end

%% Finding maximum response amplitudes Amax in the IL direction
A_y_max=zeros(1,20);
Index=zeros(1,20);
[A_y_max(1),Index(1)]=max((max(Res_y_1(:,:))-min(Res_y_1(:,:)))/2);
[A_y_max(2),Index(2)]=max((max(Res_y_2(:,:))-min(Res_y_2(:,:)))/2);
[A_y_max(3),Index(3)]=max((max(Res_y_3(:,:))-min(Res_y_3(:,:)))/2);
[A_y_max(4),Index(4)]=max((max(Res_y_4(:,:))-min(Res_y_4(:,:)))/2);
[A_y_max(5),Index(5)]=max((max(Res_y_5(:,:))-min(Res_y_5(:,:)))/2);
[A_y_max(6),Index(6)]=max((max(Res_y_6(:,:))-min(Res_y_6(:,:)))/2);
[A_y_max(7),Index(7)]=max((max(Res_y_7(:,:))-min(Res_y_7(:,:)))/2);
[A_y_max(8),Index(8)]=max((max(Res_y_8(:,:))-min(Res_y_8(:,:)))/2);
[A_y_max(9),Index(9)]=max((max(Res_y_9(:,:))-min(Res_y_9(:,:)))/2);
[A_y_max(10),Index(10)]=max((max(Res_y_10(:,:))-min(Res_y_10(:,:)))/2);
[A_y_max(11),Index(11)]=max((max(Res_y_11(:,:))-min(Res_y_11(:,:)))/2);
[A_y_max(12),Index(12)]=max((max(Res_y_12(:,:))-min(Res_y_12(:,:)))/2);
[A_y_max(13),Index(13)]=max((max(Res_y_13(:,:))-min(Res_y_13(:,:)))/2);
[A_y_max(14),Index(14)]=max((max(Res_y_14(:,:))-min(Res_y_14(:,:)))/2);
[A_y_max(15),Index(15)]=max((max(Res_y_15(:,:))-min(Res_y_15(:,:)))/2);
[A_y_max(16),Index(16)]=max((max(Res_y_16(:,:))-min(Res_y_16(:,:)))/2);
[A_y_max(17),Index(17)]=max((max(Res_y_17(:,:))-min(Res_y_17(:,:)))/2);
[A_y_max(18),Index(18)]=max((max(Res_y_18(:,:))-min(Res_y_18(:,:)))/2);
[A_y_max(19),Index(19)]=max((max(Res_y_19(:,:))-min(Res_y_19(:,:)))/2);
[A_y_max(20),Index(20)]=max((max(Res_y_20(:,:))-min(Res_y_20(:,:)))/2);

%% Finding maximum response amplitudes Amax in the CF direction
A_z_max=zeros(1,20);
Index_z=zeros(1,20);
[A_z_max(1),Index_z(1)]=max((max(Res_z_1(:,:))-min(Res_z_1(:,:)))/2);
[A_z_max(2),Index_z(2)]=max((max(Res_z_2(:,:))-min(Res_z_2(:,:)))/2);
[A_z_max(3),Index_z(3)]=max((max(Res_z_3(:,:))-min(Res_z_3(:,:)))/2);
[A_z_max(4),Index_z(4)]=max((max(Res_z_4(:,:))-min(Res_z_4(:,:)))/2);
[A_z_max(5),Index_z(5)]=max((max(Res_z_5(:,:))-min(Res_z_5(:,:)))/2);
[A_z_max(6),Index_z(6)]=max((max(Res_z_6(:,:))-min(Res_z_6(:,:)))/2);
[A_z_max(7),Index_z(7)]=max((max(Res_z_7(:,:))-min(Res_z_7(:,:)))/2);
[A_z_max(8),Index_z(8)]=max((max(Res_z_8(:,:))-min(Res_z_8(:,:)))/2);
[A_z_max(9),Index_z(9)]=max((max(Res_z_9(:,:))-min(Res_z_9(:,:)))/2);
[A_z_max(10),Index_z(10)]=max((max(Res_z_10(:,:))-min(Res_z_10(:,:)))/2);
[A_z_max(11),Index_z(11)]=max((max(Res_z_11(:,:))-min(Res_z_11(:,:)))/2);
[A_z_max(12),Index_z(12)]=max((max(Res_z_12(:,:))-min(Res_z_12(:,:)))/2);
[A_z_max(13),Index_z(13)]=max((max(Res_z_13(:,:))-min(Res_z_13(:,:)))/2);
[A_z_max(14),Index_z(14)]=max((max(Res_z_14(:,:))-min(Res_z_14(:,:)))/2);
[A_z_max(15),Index_z(15)]=max((max(Res_z_15(:,:))-min(Res_z_15(:,:)))/2);
[A_z_max(16),Index_z(16)]=max((max(Res_z_16(:,:))-min(Res_z_16(:,:)))/2);
[A_z_max(17),Index_z(17)]=max((max(Res_z_17(:,:))-min(Res_z_17(:,:)))/2);
[A_z_max(18),Index_z(18)]=max((max(Res_z_18(:,:))-min(Res_z_18(:,:)))/2);
[A_z_max(19),Index_z(19)]=max((max(Res_z_19(:,:))-min(Res_z_19(:,:)))/2);
[A_z_max(20),Index_z(20)]=max((max(Res_z_20(:,:))-min(Res_z_20(:,:)))/2);


%% Calculation of spectra

% IL response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective IL responses
resp_y_1=[t Res_y_1(:,Index(1))];
resp_y_2=[t Res_y_2(:,Index(2))];
resp_y_3=[t Res_y_3(:,Index(3))];
resp_y_4=[t Res_y_4(:,Index(4))];
resp_y_5=[t Res_y_5(:,Index(5))];
resp_y_6=[t Res_y_6(:,Index(6))];
resp_y_7=[t Res_y_7(:,Index(7))];
resp_y_8=[t Res_y_8(:,Index(8))];
resp_y_9=[t Res_y_9(:,Index(9))];
resp_y_10=[t Res_y_10(:,Index(10))];
resp_y_11=[t Res_y_11(:,Index(11))];
resp_y_12=[t Res_y_12(:,Index(12))];
resp_y_13=[t13 Res_y_13(:,Index(13))];
resp_y_14=[t Res_y_14(:,Index(14))];
resp_y_15=[t Res_y_15(:,Index(15))];
resp_y_16=[t Res_y_16(:,Index(16))];
resp_y_17=[t Res_y_17(:,Index(17))];
resp_y_18=[t Res_y_18(:,Index(18))];
resp_y_19=[t Res_y_19(:,Index(19))];
resp_y_20=[t Res_y_20(:,Index(20))];


% Structure to be used in WAFO

Sp_y_1=dat2spec(resp_y_1,1000);
Sp_y_2=dat2spec(resp_y_2,1000);
Sp_y_3=dat2spec(resp_y_3,1000);
Sp_y_4=dat2spec(resp_y_4,1000);
Sp_y_5=dat2spec(resp_y_5,1000);
Sp_y_6=dat2spec(resp_y_6,1000);
Sp_y_7=dat2spec(resp_y_7,1000);
Sp_y_8=dat2spec(resp_y_8,1000);
Sp_y_9=dat2spec(resp_y_9,1000);
Sp_y_10=dat2spec(resp_y_10,1000);
Sp_y_11=dat2spec(resp_y_11,1000);
Sp_y_12=dat2spec(resp_y_12,1000);
Sp_y_13=dat2spec(resp_y_13,1000);
Sp_y_14=dat2spec(resp_y_14,1000);
Sp_y_15=dat2spec(resp_y_15,1000);
Sp_y_16=dat2spec(resp_y_16,1000);
Sp_y_17=dat2spec(resp_y_17,1000);
Sp_y_18=dat2spec(resp_y_18,1000);
Sp_y_19=dat2spec(resp_y_19,1000);
Sp_y_20=dat2spec(resp_y_20,1000);


% Response Spectra of the IL Response Calculated using WAFO

Spec_y_1=Sp_y_1.S*2*pi; 
Spec_y_2=Sp_y_2.S*2*pi;
Spec_y_3=Sp_y_3.S*2*pi;
Spec_y_4=Sp_y_4.S*2*pi;
Spec_y_5=Sp_y_5.S*2*pi;
Spec_y_6=Sp_y_6.S*2*pi;
Spec_y_7=Sp_y_7.S*2*pi;
Spec_y_8=Sp_y_8.S*2*pi;
Spec_y_9=Sp_y_9.S*2*pi;
Spec_y_10=Sp_y_10.S*2*pi;
Spec_y_11=Sp_y_11.S*2*pi;
Spec_y_12=Sp_y_12.S*2*pi;
Spec_y_13=Sp_y_13.S*2*pi;
Spec_y_14=Sp_y_14.S*2*pi;
Spec_y_15=Sp_y_15.S*2*pi;
Spec_y_16=Sp_y_16.S*2*pi;
Spec_y_17=Sp_y_17.S*2*pi;
Spec_y_18=Sp_y_18.S*2*pi;
Spec_y_19=Sp_y_19.S*2*pi;
Spec_y_20=Sp_y_20.S*2*pi;


% Frequencies of the IL Response calculated using WAFO

Freq_y_1=Sp_y_1.w/(2*pi);
Freq_y_2=Sp_y_2.w/(2*pi);
Freq_y_3=Sp_y_3.w/(2*pi);
Freq_y_4=Sp_y_4.w/(2*pi);
Freq_y_5=Sp_y_5.w/(2*pi);
Freq_y_6=Sp_y_6.w/(2*pi);
Freq_y_7=Sp_y_7.w/(2*pi);
Freq_y_8=Sp_y_8.w/(2*pi);
Freq_y_9=Sp_y_9.w/(2*pi);
Freq_y_10=Sp_y_10.w/(2*pi);
Freq_y_11=Sp_y_11.w/(2*pi);
Freq_y_12=Sp_y_12.w/(2*pi);
Freq_y_13=Sp_y_13.w/(2*pi);
Freq_y_14=Sp_y_14.w/(2*pi);
Freq_y_15=Sp_y_15.w/(2*pi);
Freq_y_16=Sp_y_16.w/(2*pi);
Freq_y_17=Sp_y_17.w/(2*pi);
Freq_y_18=Sp_y_18.w/(2*pi);
Freq_y_19=Sp_y_19.w/(2*pi);
Freq_y_20=Sp_y_20.w/(2*pi);


%Finding the peak frequency of the IL Response
[Mx1,Ix1]=max(Spec_y_1(:));
[Mx2,Ix2]=max(Spec_y_2(:));
[Mx3,Ix3]=max(Spec_y_3(:));
[Mx4,Ix4]=max(Spec_y_4(:));
[Mx5,Ix5]=max(Spec_y_5(:));
[Mx6,Ix6]=max(Spec_y_6(:));
[Mx7,Ix7]=max(Spec_y_7(:));
[Mx8,Ix8]=max(Spec_y_8(:));
[Mx9,Ix9]=max(Spec_y_9(:));
[Mx10,Ix10]=max(Spec_y_10(:));
[Mx11,Ix11]=max(Spec_y_11(:));
[Mx12,Ix12]=max(Spec_y_12(:));
[Mx13,Ix13]=max(Spec_y_13(:));
[Mx14,Ix14]=max(Spec_y_14(:));
[Mx15,Ix15]=max(Spec_y_15(:));
[Mx16,Ix16]=max(Spec_y_16(:));
[Mx17,Ix17]=max(Spec_y_17(:));
[Mx18,Ix18]=max(Spec_y_18(:));
[Mx19,Ix19]=max(Spec_y_19(:));
[Mx20,Ix20]=max(Spec_y_20(:));


fun_freq_y=zeros(20,1);
fun_freq_y(1)=Freq_y_1(Ix1);
fun_freq_y(2)=Freq_y_2(Ix2);
fun_freq_y(3)=Freq_y_3(Ix3);
fun_freq_y(4)=Freq_y_4(Ix4);
fun_freq_y(5)=Freq_y_5(Ix5);
fun_freq_y(6)=Freq_y_6(Ix6);
fun_freq_y(7)=Freq_y_7(Ix7);
fun_freq_y(8)=Freq_y_8(Ix8);
fun_freq_y(9)=Freq_y_9(Ix9);
fun_freq_y(10)=Freq_y_10(Ix10);
fun_freq_y(11)=Freq_y_11(Ix11);
fun_freq_y(12)=Freq_y_12(Ix12);
fun_freq_y(13)=Freq_y_13(Ix13);
fun_freq_y(14)=Freq_y_14(Ix14);
fun_freq_y(15)=Freq_y_15(Ix15);
fun_freq_y(16)=Freq_y_16(Ix16);
fun_freq_y(17)=Freq_y_17(Ix17);
fun_freq_y(18)=Freq_y_18(Ix18);
fun_freq_y(19)=Freq_y_19(Ix19);
fun_freq_y(20)=Freq_y_20(Ix20);
%% Calculation of spectra

% CF response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective CF responses
resp_z_1=[t Res_z_1(:,Index_z(1))];
resp_z_2=[t Res_z_2(:,Index_z(2))];
resp_z_3=[t Res_z_3(:,Index_z(3))];
resp_z_4=[t Res_z_4(:,Index_z(4))];
resp_z_5=[t Res_z_5(:,Index_z(5))];
resp_z_6=[t Res_z_6(:,Index_z(6))];
resp_z_7=[t Res_z_7(:,Index_z(7))];
resp_z_8=[t Res_z_8(:,Index_z(8))];
resp_z_9=[t Res_z_9(:,Index_z(9))];
resp_z_10=[t Res_z_10(:,Index_z(10))];
resp_z_11=[t Res_z_11(:,Index_z(11))];
resp_z_12=[t Res_z_12(:,Index_z(12))];
resp_z_13=[t13 Res_z_13(:,Index_z(13))];
resp_z_14=[t Res_z_14(:,Index_z(14))];
resp_z_15=[t Res_z_15(:,Index_z(15))];
resp_z_16=[t Res_z_16(:,Index_z(16))];
resp_z_17=[t Res_z_17(:,Index_z(17))];
resp_z_18=[t Res_z_18(:,Index_z(18))];
resp_z_19=[t Res_z_19(:,Index_z(19))];
resp_z_20=[t Res_z_20(:,Index_z(20))];

% Structure to be used in WAFO

Sp_z_1=dat2spec(resp_z_1,1000);
Sp_z_2=dat2spec(resp_z_2,1000);
Sp_z_3=dat2spec(resp_z_3,1000);
Sp_z_4=dat2spec(resp_z_4,1000);
Sp_z_5=dat2spec(resp_z_5,1000);
Sp_z_6=dat2spec(resp_z_6,1000);
Sp_z_7=dat2spec(resp_z_7,1000);
Sp_z_8=dat2spec(resp_z_8,1000);
Sp_z_9=dat2spec(resp_z_9,1000);
Sp_z_10=dat2spec(resp_z_10,1000);
Sp_z_11=dat2spec(resp_z_11,1000);
Sp_z_12=dat2spec(resp_z_12,1000);
Sp_z_13=dat2spec(resp_z_13,1000);
Sp_z_14=dat2spec(resp_z_14,1000);
Sp_z_15=dat2spec(resp_z_15,1000);
Sp_z_16=dat2spec(resp_z_16,1000);
Sp_z_17=dat2spec(resp_z_17,1000);
Sp_z_18=dat2spec(resp_z_18,1000);
Sp_z_19=dat2spec(resp_z_19,1000);
Sp_z_20=dat2spec(resp_z_20,1000);


% Response Spectra of the CF Response Calculated using WAFO
Spec_z_1=Sp_z_1.S*2*pi; 
Spec_z_2=Sp_z_2.S*2*pi;
Spec_z_3=Sp_z_3.S*2*pi;
Spec_z_4=Sp_z_4.S*2*pi;
Spec_z_5=Sp_z_5.S*2*pi;
Spec_z_6=Sp_z_6.S*2*pi;
Spec_z_7=Sp_z_7.S*2*pi;
Spec_z_8=Sp_z_8.S*2*pi;
Spec_z_9=Sp_z_9.S*2*pi;
Spec_z_10=Sp_z_10.S*2*pi;
Spec_z_11=Sp_z_11.S*2*pi;
Spec_z_12=Sp_z_12.S*2*pi;
Spec_z_13=Sp_z_13.S*2*pi;
Spec_z_14=Sp_z_14.S*2*pi;
Spec_z_15=Sp_z_15.S*2*pi;
Spec_z_16=Sp_z_16.S*2*pi;
Spec_z_17=Sp_z_17.S*2*pi;
Spec_z_18=Sp_z_18.S*2*pi;
Spec_z_19=Sp_z_19.S*2*pi;
Spec_z_20=Sp_z_20.S*2*pi;


% Frequencies of the CF Response calculated using WAFO
Freq_z_1=Sp_z_1.w/(2*pi);
Freq_z_2=Sp_z_2.w/(2*pi);
Freq_z_3=Sp_z_3.w/(2*pi);
Freq_z_4=Sp_z_4.w/(2*pi);
Freq_z_5=Sp_z_5.w/(2*pi);
Freq_z_6=Sp_z_6.w/(2*pi);
Freq_z_7=Sp_z_7.w/(2*pi);
Freq_z_8=Sp_z_8.w/(2*pi);
Freq_z_9=Sp_z_9.w/(2*pi);
Freq_z_10=Sp_z_10.w/(2*pi);
Freq_z_11=Sp_z_11.w/(2*pi);
Freq_z_12=Sp_z_12.w/(2*pi);
Freq_z_13=Sp_z_13.w/(2*pi);
Freq_z_14=Sp_z_14.w/(2*pi);
Freq_z_15=Sp_z_15.w/(2*pi);
Freq_z_16=Sp_z_16.w/(2*pi);
Freq_z_17=Sp_z_17.w/(2*pi);
Freq_z_18=Sp_z_18.w/(2*pi);
Freq_z_19=Sp_z_19.w/(2*pi);
Freq_z_20=Sp_z_20.w/(2*pi);


% Finding the peak frequencies of the CF Response
[M1,I1]=max(Spec_z_1(:));
[M2,I2]=max(Spec_z_2(:));
[M3,I3]=max(Spec_z_3(:));
[M4,I4]=max(Spec_z_4(:));
[M5,I5]=max(Spec_z_5(:));
[M6,I6]=max(Spec_z_6(:));
[M7,I7]=max(Spec_z_7(:));
[M8,I8]=max(Spec_z_8(:));
[M9,I9]=max(Spec_z_9(:));
[M10,I10]=max(Spec_z_10(:));
[M11,I11]=max(Spec_z_11(:));
[M12,I12]=max(Spec_z_12(:));
[M13,I13]=max(Spec_z_13(:));
[M14,I14]=max(Spec_z_14(:));
[M15,I15]=max(Spec_z_15(:));
[M16,I16]=max(Spec_z_16(:));
[M17,I17]=max(Spec_z_17(:));
[M18,I18]=max(Spec_z_18(:));
[M19,I19]=max(Spec_z_19(:));
[M20,I20]=max(Spec_z_20(:));


fun_freq_z=zeros(20,1);
fun_freq_z(1)=Freq_z_1(I1);
fun_freq_z(2)=Freq_z_2(I2);
fun_freq_z(3)=Freq_z_3(I3);
fun_freq_z(4)=Freq_z_4(I4);
fun_freq_z(5)=Freq_z_5(I5);
fun_freq_z(6)=Freq_z_6(I6);
fun_freq_z(7)=Freq_z_7(I7);
fun_freq_z(8)=Freq_z_8(I8);
fun_freq_z(9)=Freq_z_9(I9);
fun_freq_z(10)=Freq_z_10(I10);
fun_freq_z(11)=Freq_z_11(I11);
fun_freq_z(12)=Freq_z_12(I12);
fun_freq_z(13)=Freq_z_13(I13);
fun_freq_z(14)=Freq_z_14(I14);
fun_freq_z(15)=Freq_z_15(I15);
fun_freq_z(16)=Freq_z_16(I16);
fun_freq_z(17)=Freq_z_17(I17);
fun_freq_z(18)=Freq_z_18(I18);
fun_freq_z(19)=Freq_z_19(I19);
fun_freq_z(20)=Freq_z_20(I20);

%% Plots

%% Plots of Spectra using different methods
% Using WAFO
figure
plot(Freq_y_19,Spec_y_19,'b')
 legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off

figure
plot(Freq_z_19,Spec_z_19,'r')
 legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off
%%
figure
plotspec(Sp_y_19)
title('IL')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')

figure
plotspec(Sp_z_19)
title('CF')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')
%%
% Using Method 2
[Spciy,fy,Nhiy]=spec(Res_y_19(:,Index(19)),ns,Fs); %IL displacement
[Spciz,fz,Nhiz]=spec(Res_z_19(:,Index_z(19)),ns,Fs); %CF displacement
figure
plot(fy(1:Nhiy),Spciy(1:Nhiy),'b')

legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')


figure
plot(fz(1:Nhiz),Spciz(1:Nhiz),'r')
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

%%
% Uzing Method 3
L1 = numel(Res_y_19(:,Index(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_y_19(:,Index(19)) - mean(Res_y_19(:,Index(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'b')
grid
legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

L1 = numel(Res_z_19(:,Index_z(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_z_19(:,Index_z(19)) - mean(Res_z_19(:,Index_z(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'r')
grid
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

%% Plot of peak frequencies
figure
plot(u_cur,fun_freq_y,'b-x')
hold on
plot(u_cur,fun_freq_z,'r-+')
hold off
legend('IL-TD','CF-TD','location','best')
xlabel('Current Velocity U [m/s]')
ylabel('Frequency f [Hz]')

%%  Plot of Maximum Response Amplitudes
figure
plot(u_cur,A_y_max/D,'bx-')
hold on
plot(u_cur,A_z_max/D,'r+-')
hold off
legend('IL-TD','CF-TD','location','northwest')
xlabel('Current Velocity U [m/s]')
ylabel('A_{max}/D')

%% Snapshots

%% 0.5 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_1(i,:),'b');
end
h2=plot(cord,(Static_yz(:,1)),'k','linewidth',2);
h3=plot(Seafloor_x_final(1,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(1,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_1(i,:),'r');
end
h2=plot(cord,(Static_yz(:,2)),'k','linewidth',2);
h3=plot(Seafloor_x_final(1,:),(Seafloor_z_final(1,:)),'-.g','linewidth',3);
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_2(i,:),'b');
end
h2=plot(cord,(Static_yz(:,3)),'k','linewidth',2);
h3=plot(Seafloor_x_final(2,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(2,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_2(i,:),'r');
end
h2=plot(cord,(Static_yz(:,4)),'k','linewidth',2);
h3=plot(Seafloor_x_final(2,:),(Seafloor_z_final(2,:)),'-.g','linewidth',3);
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.7 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_3(i,:),'b');
end
h2=plot(cord,(Static_yz(:,5)),'k','linewidth',2);
h3=plot(Seafloor_x_final(3,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(3,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_3(i,:),'r');
end
h2=plot(cord,(Static_yz(:,6)),'k','linewidth',2);
h3=plot(Seafloor_x_final(3,:),(Seafloor_z_final(3,:)),'-.g','linewidth',3);
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.8 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_4(i,:),'b');
end
h2=plot(cord,(Static_yz(:,7)),'k','linewidth',2);
h3=plot(Seafloor_x_final(4,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(4,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_4(i,:),'r');
end
h2=plot(cord,(Static_yz(:,8)),'k','linewidth',2);
h3=plot(Seafloor_x_final(4,:),(Seafloor_z_final(4,:)),'-.g','linewidth',3);
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_5(i,:),'b');
end
h2=plot(cord,(Static_yz(:,9)),'k','linewidth',2);
h3=plot(Seafloor_x_final(5,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(5,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_5(i,:),'r');
end
h2=plot(cord,(Static_yz(:,10)),'k','linewidth',2);
h3=plot(Seafloor_x_final(5,:),(Seafloor_z_final(5,:)),'-.g','linewidth',3);
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_6(i,:),'b');
end
h2=plot(cord,(Static_yz(:,11)),'k','linewidth',2);
h3=plot(Seafloor_x_final(6,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(6,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_6(i,:),'r');
end
h2=plot(cord,(Static_yz(:,12)),'k','linewidth',2);
h3=plot(Seafloor_x_final(6,:),(Seafloor_z_final(6,:)),'-.g','linewidth',3);
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_7(i,:),'b');
end
h2=plot(cord,(Static_yz(:,13)),'k','linewidth',2);
h3=plot(Seafloor_x_final(7,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(7,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_7(i,:),'r');
end
h2=plot(cord,(Static_yz(:,14)),'k','linewidth',2);
h3=plot(Seafloor_x_final(7,:),(Seafloor_z_final(7,:)),'-.g','linewidth',3);
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_8(i,:),'b');
end
h2=plot(cord,(Static_yz(:,15)),'k','linewidth',2);
h3=plot(Seafloor_x_final(8,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(8,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_8(i,:),'r');
end
h2=plot(cord,(Static_yz(:,16)),'k','linewidth',2);
h3=plot(Seafloor_x_final(8,:),(Seafloor_z_final(8,:)),'-.g','linewidth',3);
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 1.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_9(i,:),'b');
end
h2=plot(cord,(Static_yz(:,17)),'k','linewidth',2);
h3=plot(Seafloor_x_final(9,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(9,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_9(i,:),'r');
end
h2=plot(cord,(Static_yz(:,18)),'k','linewidth',2);
h3=plot(Seafloor_x_final(9,:),(Seafloor_z_final(9,:)),'-.g','linewidth',3);
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_10(i,:),'b');
end
h2=plot(cord,(Static_yz(:,19)),'k','linewidth',2);
h3=plot(Seafloor_x_final(10,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(10,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_10(i,:),'r');
end
h2=plot(cord,(Static_yz(:,20)),'k','linewidth',2);
h3=plot(Seafloor_x_final(10,:),(Seafloor_z_final(10,:)),'-.g','linewidth',3);
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.5 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_11(i,:),'b');
end
h2=plot(cord,(Static_yz(:,21)),'k','linewidth',2);
h3=plot(Seafloor_x_final(11,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(11,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_11(i,:),'r');
end
h2=plot(cord,(Static_yz(:,22)),'k','linewidth',2);
h3=plot(Seafloor_x_final(11,:),(Seafloor_z_final(11,:)),'-.g','linewidth',3);
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_12(i,:),'b');
end
h2=plot(cord,(Static_yz(:,23)),'k','linewidth',2);
h3=plot(Seafloor_x_final(12,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(12,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_12(i,:),'r');
end
h2=plot(cord,(Static_yz(:,24)),'k','linewidth',2);
h3=plot(Seafloor_x_final(12,:),(Seafloor_z_final(12,:)),'-.g','linewidth',3);
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.7 m/s
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_y_13(i,:),'b');
end
h2=plot(cord,(Static_yz(:,25)),'k','linewidth',2);
h3=plot(Seafloor_x_final(13,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(13,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_z_13(i,:),'r');
end
h2=plot(cord,(Static_yz(:,26)),'k','linewidth',2);
h3=plot(Seafloor_x_final(13,:),(Seafloor_z_final(13,:)),'-.g','linewidth',3);
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.8 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_14(i,:),'b');
end
h2=plot(cord,(Static_yz(:,27)),'k','linewidth',2);
h3=plot(Seafloor_x_final(14,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(14,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_14(i,:),'r');
end
h2=plot(cord,(Static_yz(:,28)),'k','linewidth',2);
h3=plot(Seafloor_x_final(14,:),(Seafloor_z_final(14,:)),'-.g','linewidth',3);
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_15(i,:),'b');
end
h2=plot(cord,(Static_yz(:,29)),'k','linewidth',2);
h3=plot(Seafloor_x_final(15,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(15,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_15(i,:),'r');
end
h2=plot(cord,(Static_yz(:,30)),'k','linewidth',2);
h3=plot(Seafloor_x_final(15,:),(Seafloor_z_final(15,:)),'-.g','linewidth',3);
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 2.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_16(i,:),'b');
end
h2=plot(cord,(Static_yz(:,31)),'k','linewidth',2);
h3=plot(Seafloor_x_final(16,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(16,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_16(i,:),'r');
end
h2=plot(cord,(Static_yz(:,32)),'k','linewidth',2);
h3=plot(Seafloor_x_final(16,:),(Seafloor_z_final(16,:)),'-.g','linewidth',3);
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_17(i,:),'b');
end
h2=plot(cord,(Static_yz(:,33)),'k','linewidth',2);
h3=plot(Seafloor_x_final(17,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(17,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_17(i,:),'r');
end
h2=plot(cord,(Static_yz(:,34)),'k','linewidth',2);
h3=plot(Seafloor_x_final(17,:),(Seafloor_z_final(17,:)),'-.g','linewidth',3);
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_18(i,:),'b');
end
h2=plot(cord,(Static_yz(:,35)),'k','linewidth',2);
h3=plot(Seafloor_x_final(18,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(18,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_18(i,:),'r');
end
h2=plot(cord,(Static_yz(:,36)),'k','linewidth',2);
h3=plot(Seafloor_x_final(18,:),(Seafloor_z_final(18,:)),'-.g','linewidth',3);
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_19(i,:),'b');
end
h2=plot(cord,(Static_yz(:,37)),'k','linewidth',2);
h3=plot(Seafloor_x_final(19,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(19,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_19(i,:),'r');
end
h2=plot(cord,(Static_yz(:,38)),'k','linewidth',2);
h3=plot(Seafloor_x_final(19,:),(Seafloor_z_final(19,:)),'-.g','linewidth',3);
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_20(i,:),'b');
end
h2=plot(cord,(Static_yz(:,39)),'k','linewidth',2);
h3=plot(Seafloor_x_final(20,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final(20,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_20(i,:),'r');
end
h2=plot(cord,(Static_yz(:,40)),'k','linewidth',2);
h3=plot(Seafloor_x_final(20,:),(Seafloor_z_final(20,:)),'-.g','linewidth',3);
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
