clc
clear all
close all

%% Note !!!!! After finishing post-processing using this script Save!!!
%% the workspace as 'Lin_Displacement_post_processed_8.mat'. It will be used
%% afterwards for the comparative study

%% Loading displacement data for the 20 examined current velocities
Lin_R1 = load('sima_noddis_1.asc', '-ascii');
Lin_R2 = load('sima_noddis_2.asc', '-ascii');
Lin_R3 = load('sima_noddis_3.asc', '-ascii');
Lin_R4 = load('sima_noddis_4.asc', '-ascii');
Lin_R5 = load('sima_noddis_5.asc', '-ascii');
Lin_R6 = load('sima_noddis_6.asc', '-ascii');
Lin_R7 = load('sima_noddis_7.asc', '-ascii');
Lin_R8 = load('sima_noddis_8.asc', '-ascii');
Lin_R9 = load('sima_noddis_9.asc', '-ascii');
Lin_R10 = load('sima_noddis_10.asc', '-ascii');
Lin_R11 = load('sima_noddis_11.asc', '-ascii');
Lin_R12 = load('sima_noddis_12.asc', '-ascii');
Lin_R13 = load('sima_noddis_13.asc', '-ascii');
Lin_R14 = load('sima_noddis_14.asc', '-ascii');
Lin_R15 = load('sima_noddis_15.asc', '-ascii');
Lin_R16 = load('sima_noddis_16.asc', '-ascii');
Lin_R17 = load('sima_noddis_17.asc', '-ascii');
Lin_R18 = load('sima_noddis_18.asc', '-ascii');
Lin_R19 = load('sima_noddis_19.asc', '-ascii');
Lin_R20 = load('sima_noddis_20.asc', '-ascii');

%% Load Static Configuration
Lin_Static_yz_8 = load('Lin_Static_yz_8.asc', '-ascii');

%% Removing transient
Lin_R1(1:23999,:)=[];
Lin_R2(1:23999,:)=[];
Lin_R3(1:23999,:)=[];
Lin_R4(1:23999,:)=[];
Lin_R5(1:23999,:)=[];
Lin_R6(1:23999,:)=[];
Lin_R7(1:23999,:)=[];
Lin_R8(1:23999,:)=[];
Lin_R9(1:23999,:)=[];
Lin_R10(1:23999,:)=[];
% Lin_R11(1:23999,:)=[];
Lin_R11(1:69999,:)=[];% a smaller timestep was used for this velocity
Lin_R12(1:23999,:)=[];
Lin_R13(1:23999,:)=[];
% Lin_R14(1:23999,:)=[];
Lin_R14(1:69999,:)=[];% a smaller timestep was used for this velocity
Lin_R15(1:23999,:)=[];
Lin_R16(1:23999,:)=[];
Lin_R17(1:23999,:)=[];
Lin_R18(1:23999,:)=[];
Lin_R19(1:23999,:)=[];
Lin_R20(1:23999,:)=[];

%% IL Response
% Time series of IL Displacement
for n=1:(length(Lin_R1(1,:))-1)/3 
    counter=3*n;
Lin_Res_y_1_8(:,n)=Lin_R1(:,counter);
Lin_Res_y_2_8(:,n)=Lin_R2(:,counter);
Lin_Res_y_3_8(:,n)=Lin_R3(:,counter);
Lin_Res_y_4_8(:,n)=Lin_R4(:,counter);
Lin_Res_y_5_8(:,n)=Lin_R5(:,counter);
Lin_Res_y_6_8(:,n)=Lin_R6(:,counter);
Lin_Res_y_7_8(:,n)=Lin_R7(:,counter);
Lin_Res_y_8_8(:,n)=Lin_R8(:,counter);
Lin_Res_y_9_8(:,n)=Lin_R9(:,counter);
Lin_Res_y_10_8(:,n)=Lin_R10(:,counter);
Lin_Res_y_11_8(:,n)=Lin_R11(:,counter);
Lin_Res_y_12_8(:,n)=Lin_R12(:,counter);
Lin_Res_y_13_8(:,n)=Lin_R13(:,counter);
Lin_Res_y_14_8(:,n)=Lin_R14(:,counter);
Lin_Res_y_15_8(:,n)=Lin_R15(:,counter);
Lin_Res_y_16_8(:,n)=Lin_R16(:,counter);
Lin_Res_y_17_8(:,n)=Lin_R17(:,counter);
Lin_Res_y_18_8(:,n)=Lin_R18(:,counter);
Lin_Res_y_19_8(:,n)=Lin_R19(:,counter);
Lin_Res_y_20_8(:,n)=Lin_R20(:,counter);
end

%%
% Removing overlapping nodes
Lin_Res_y_1_8=[Lin_Res_y_1_8(:,1:61),Lin_Res_y_1_8(:,63:82),Lin_Res_y_1_8(:,84:97),Lin_Res_y_1_8(:,99:118),Lin_Res_y_1_8(:,120:179)];
Lin_Res_y_2_8=[Lin_Res_y_2_8(:,1:61),Lin_Res_y_2_8(:,63:82),Lin_Res_y_2_8(:,84:97),Lin_Res_y_2_8(:,99:118),Lin_Res_y_2_8(:,120:179)];
Lin_Res_y_3_8=[Lin_Res_y_3_8(:,1:61),Lin_Res_y_3_8(:,63:82),Lin_Res_y_3_8(:,84:97),Lin_Res_y_3_8(:,99:118),Lin_Res_y_3_8(:,120:179)];
Lin_Res_y_4_8=[Lin_Res_y_4_8(:,1:61),Lin_Res_y_4_8(:,63:82),Lin_Res_y_4_8(:,84:97),Lin_Res_y_4_8(:,99:118),Lin_Res_y_4_8(:,120:179)];
Lin_Res_y_5_8=[Lin_Res_y_5_8(:,1:61),Lin_Res_y_5_8(:,63:82),Lin_Res_y_5_8(:,84:97),Lin_Res_y_5_8(:,99:118),Lin_Res_y_5_8(:,120:179)];
Lin_Res_y_6_8=[Lin_Res_y_6_8(:,1:61),Lin_Res_y_6_8(:,63:82),Lin_Res_y_6_8(:,84:97),Lin_Res_y_6_8(:,99:118),Lin_Res_y_6_8(:,120:179)];
Lin_Res_y_7_8=[Lin_Res_y_7_8(:,1:61),Lin_Res_y_7_8(:,63:82),Lin_Res_y_7_8(:,84:97),Lin_Res_y_7_8(:,99:118),Lin_Res_y_7_8(:,120:179)];
Lin_Res_y_8_8=[Lin_Res_y_8_8(:,1:61),Lin_Res_y_8_8(:,63:82),Lin_Res_y_8_8(:,84:97),Lin_Res_y_8_8(:,99:118),Lin_Res_y_8_8(:,120:179)];
Lin_Res_y_9_8=[Lin_Res_y_9_8(:,1:61),Lin_Res_y_9_8(:,63:82),Lin_Res_y_9_8(:,84:97),Lin_Res_y_9_8(:,99:118),Lin_Res_y_9_8(:,120:179)];
Lin_Res_y_10_8=[Lin_Res_y_10_8(:,1:61),Lin_Res_y_10_8(:,63:82),Lin_Res_y_10_8(:,84:97),Lin_Res_y_10_8(:,99:118),Lin_Res_y_10_8(:,120:179)];
Lin_Res_y_11_8=[Lin_Res_y_11_8(:,1:61),Lin_Res_y_11_8(:,63:82),Lin_Res_y_11_8(:,84:97),Lin_Res_y_11_8(:,99:118),Lin_Res_y_11_8(:,120:179)];
Lin_Res_y_12_8=[Lin_Res_y_12_8(:,1:61),Lin_Res_y_12_8(:,63:82),Lin_Res_y_12_8(:,84:97),Lin_Res_y_12_8(:,99:118),Lin_Res_y_12_8(:,120:179)];
Lin_Res_y_13_8=[Lin_Res_y_13_8(:,1:61),Lin_Res_y_13_8(:,63:82),Lin_Res_y_13_8(:,84:97),Lin_Res_y_13_8(:,99:118),Lin_Res_y_13_8(:,120:179)];
Lin_Res_y_14_8=[Lin_Res_y_14_8(:,1:61),Lin_Res_y_14_8(:,63:82),Lin_Res_y_14_8(:,84:97),Lin_Res_y_14_8(:,99:118),Lin_Res_y_14_8(:,120:179)];
Lin_Res_y_15_8=[Lin_Res_y_15_8(:,1:61),Lin_Res_y_15_8(:,63:82),Lin_Res_y_15_8(:,84:97),Lin_Res_y_15_8(:,99:118),Lin_Res_y_15_8(:,120:179)];
Lin_Res_y_16_8=[Lin_Res_y_16_8(:,1:61),Lin_Res_y_16_8(:,63:82),Lin_Res_y_16_8(:,84:97),Lin_Res_y_16_8(:,99:118),Lin_Res_y_16_8(:,120:179)];
Lin_Res_y_17_8=[Lin_Res_y_17_8(:,1:61),Lin_Res_y_17_8(:,63:82),Lin_Res_y_17_8(:,84:97),Lin_Res_y_17_8(:,99:118),Lin_Res_y_17_8(:,120:179)];
Lin_Res_y_18_8=[Lin_Res_y_18_8(:,1:61),Lin_Res_y_18_8(:,63:82),Lin_Res_y_18_8(:,84:97),Lin_Res_y_18_8(:,99:118),Lin_Res_y_18_8(:,120:179)];
Lin_Res_y_19_8=[Lin_Res_y_19_8(:,1:61),Lin_Res_y_19_8(:,63:82),Lin_Res_y_19_8(:,84:97),Lin_Res_y_19_8(:,99:118),Lin_Res_y_19_8(:,120:179)];
Lin_Res_y_20_8=[Lin_Res_y_20_8(:,1:61),Lin_Res_y_20_8(:,63:82),Lin_Res_y_20_8(:,84:97),Lin_Res_y_20_8(:,99:118),Lin_Res_y_20_8(:,120:179)];


%% CF Response
% Time series of CF Displacement
for n=1:(length(Lin_R1(1,:))-1)/3 
    counter=3*n+1;
Lin_Res_z_1_8(:,n)=Lin_R1(:,counter);
Lin_Res_z_2_8(:,n)=Lin_R2(:,counter);
Lin_Res_z_3_8(:,n)=Lin_R3(:,counter);
Lin_Res_z_4_8(:,n)=Lin_R4(:,counter);
Lin_Res_z_5_8(:,n)=Lin_R5(:,counter);
Lin_Res_z_6_8(:,n)=Lin_R6(:,counter);
Lin_Res_z_7_8(:,n)=Lin_R7(:,counter);
Lin_Res_z_8_8(:,n)=Lin_R8(:,counter);
Lin_Res_z_9_8(:,n)=Lin_R9(:,counter);
Lin_Res_z_10_8(:,n)=Lin_R10(:,counter);
Lin_Res_z_11_8(:,n)=Lin_R11(:,counter);
Lin_Res_z_12_8(:,n)=Lin_R12(:,counter);
Lin_Res_z_13_8(:,n)=Lin_R13(:,counter);
Lin_Res_z_14_8(:,n)=Lin_R14(:,counter);
Lin_Res_z_15_8(:,n)=Lin_R15(:,counter);
Lin_Res_z_16_8(:,n)=Lin_R16(:,counter);
Lin_Res_z_17_8(:,n)=Lin_R17(:,counter);
Lin_Res_z_18_8(:,n)=Lin_R18(:,counter);
Lin_Res_z_19_8(:,n)=Lin_R19(:,counter);
Lin_Res_z_20_8(:,n)=Lin_R20(:,counter);
end

%%
% Removing overlapping nodes
Lin_Res_z_1_8=[Lin_Res_z_1_8(:,1:61),Lin_Res_z_1_8(:,63:82),Lin_Res_z_1_8(:,84:97),Lin_Res_z_1_8(:,99:118),Lin_Res_z_1_8(:,120:179)];
Lin_Res_z_2_8=[Lin_Res_z_2_8(:,1:61),Lin_Res_z_2_8(:,63:82),Lin_Res_z_2_8(:,84:97),Lin_Res_z_2_8(:,99:118),Lin_Res_z_2_8(:,120:179)];
Lin_Res_z_3_8=[Lin_Res_z_3_8(:,1:61),Lin_Res_z_3_8(:,63:82),Lin_Res_z_3_8(:,84:97),Lin_Res_z_3_8(:,99:118),Lin_Res_z_3_8(:,120:179)];
Lin_Res_z_4_8=[Lin_Res_z_4_8(:,1:61),Lin_Res_z_4_8(:,63:82),Lin_Res_z_4_8(:,84:97),Lin_Res_z_4_8(:,99:118),Lin_Res_z_4_8(:,120:179)];
Lin_Res_z_5_8=[Lin_Res_z_5_8(:,1:61),Lin_Res_z_5_8(:,63:82),Lin_Res_z_5_8(:,84:97),Lin_Res_z_5_8(:,99:118),Lin_Res_z_5_8(:,120:179)];
Lin_Res_z_6_8=[Lin_Res_z_6_8(:,1:61),Lin_Res_z_6_8(:,63:82),Lin_Res_z_6_8(:,84:97),Lin_Res_z_6_8(:,99:118),Lin_Res_z_6_8(:,120:179)];
Lin_Res_z_7_8=[Lin_Res_z_7_8(:,1:61),Lin_Res_z_7_8(:,63:82),Lin_Res_z_7_8(:,84:97),Lin_Res_z_7_8(:,99:118),Lin_Res_z_7_8(:,120:179)];
Lin_Res_z_8_8=[Lin_Res_z_8_8(:,1:61),Lin_Res_z_8_8(:,63:82),Lin_Res_z_8_8(:,84:97),Lin_Res_z_8_8(:,99:118),Lin_Res_z_8_8(:,120:179)];
Lin_Res_z_9_8=[Lin_Res_z_9_8(:,1:61),Lin_Res_z_9_8(:,63:82),Lin_Res_z_9_8(:,84:97),Lin_Res_z_9_8(:,99:118),Lin_Res_z_9_8(:,120:179)];
Lin_Res_z_10_8=[Lin_Res_z_10_8(:,1:61),Lin_Res_z_10_8(:,63:82),Lin_Res_z_10_8(:,84:97),Lin_Res_z_10_8(:,99:118),Lin_Res_z_10_8(:,120:179)];
Lin_Res_z_11_8=[Lin_Res_z_11_8(:,1:61),Lin_Res_z_11_8(:,63:82),Lin_Res_z_11_8(:,84:97),Lin_Res_z_11_8(:,99:118),Lin_Res_z_11_8(:,120:179)];
Lin_Res_z_12_8=[Lin_Res_z_12_8(:,1:61),Lin_Res_z_12_8(:,63:82),Lin_Res_z_12_8(:,84:97),Lin_Res_z_12_8(:,99:118),Lin_Res_z_12_8(:,120:179)];
Lin_Res_z_13_8=[Lin_Res_z_13_8(:,1:61),Lin_Res_z_13_8(:,63:82),Lin_Res_z_13_8(:,84:97),Lin_Res_z_13_8(:,99:118),Lin_Res_z_13_8(:,120:179)];
Lin_Res_z_14_8=[Lin_Res_z_14_8(:,1:61),Lin_Res_z_14_8(:,63:82),Lin_Res_z_14_8(:,84:97),Lin_Res_z_14_8(:,99:118),Lin_Res_z_14_8(:,120:179)];
Lin_Res_z_15_8=[Lin_Res_z_15_8(:,1:61),Lin_Res_z_15_8(:,63:82),Lin_Res_z_15_8(:,84:97),Lin_Res_z_15_8(:,99:118),Lin_Res_z_15_8(:,120:179)];
Lin_Res_z_16_8=[Lin_Res_z_16_8(:,1:61),Lin_Res_z_16_8(:,63:82),Lin_Res_z_16_8(:,84:97),Lin_Res_z_16_8(:,99:118),Lin_Res_z_16_8(:,120:179)];
Lin_Res_z_17_8=[Lin_Res_z_17_8(:,1:61),Lin_Res_z_17_8(:,63:82),Lin_Res_z_17_8(:,84:97),Lin_Res_z_17_8(:,99:118),Lin_Res_z_17_8(:,120:179)];
Lin_Res_z_18_8=[Lin_Res_z_18_8(:,1:61),Lin_Res_z_18_8(:,63:82),Lin_Res_z_18_8(:,84:97),Lin_Res_z_18_8(:,99:118),Lin_Res_z_18_8(:,120:179)];
Lin_Res_z_19_8=[Lin_Res_z_19_8(:,1:61),Lin_Res_z_19_8(:,63:82),Lin_Res_z_19_8(:,84:97),Lin_Res_z_19_8(:,99:118),Lin_Res_z_19_8(:,120:179)];
Lin_Res_z_20_8=[Lin_Res_z_20_8(:,1:61),Lin_Res_z_20_8(:,63:82),Lin_Res_z_20_8(:,84:97),Lin_Res_z_20_8(:,99:118),Lin_Res_z_20_8(:,120:179)];

%%
%% General Input
D=0.702;                        % Hydrodynamic Diameter [m]
Ds=0.61;                        % Steel Pipe Diameter [m]
L=114;                          %Length [m]
nnod=length(Lin_Res_y_1_8(1,:));%Number of nodes
cord(1:61)=0:30/60:30;          %Length coordinates along the pipe
cord(61:81)=30:20.25/20:50.25;
cord(81:95)=50.25:13.5/14:63.75;
cord(95:115)=63.75:20.25/20:84;
cord(115:175)=84:30/60:114;
t14=Lin_R14(:,1)-Lin_R14(1,1);  %Time vector for the special cases
dt14=t14(2)-t14(1);             %Time step of sample for the special cases
Fs14=1/dt14;                    %Sampling frequency for the special cases
t11=Lin_R11(:,1)-Lin_R11(1,1);  
dt11=t11(2)-t11(1);
Fs11=1/dt11;
t=Lin_R1(:,1)-Lin_R1(1,1);      %Time vector
ns=length(t);                   %Number of data points
dt=t(2)-t(1);                   %Time step of sample
Fs=1/dt;                        %Sampling frequency
u_cur=0.5:0.1:2.4;              %Current velocities

%% Seafloor Configurations
Lin_Seafloor_disp_8 = load('Lin_Seafloor_disp_8.asc', '-ascii');
Lin_Seafloor_z_initial_8=zeros(1,175);
Lin_Seafloor_x_initial_8=cord;
Lin_Seafloor_z_initial_8(1:61)=-399.8;
Lin_Seafloor_z_initial_8(62:114)=-401.0;
Lin_Seafloor_z_initial_8(115:175)=-399.8;
Lin_Seafloor_x_final_8=zeros(20,175);
Lin_Seafloor_z_final_8=zeros(20,175);
for n=1:20
    counter=2*n-1;
    Lin_Seafloor_x_final_8(n,:)=Lin_Seafloor_x_initial_8+Lin_Seafloor_disp_8(:,counter)';
end
for n=1:20
    counter=2*n;
    Lin_Seafloor_z_final_8(n,:)=Lin_Seafloor_z_initial_8-Lin_Seafloor_disp_8(:,counter)';
    Lin_Seafloor_z_final_8(n,61)=Lin_Static_yz_8(61,counter)';
end

%%
%% Remove Static Configuration of IL Displacement (not used in the analysis)
%     for n=1:nnod
%         Lin_Res_y_1_8(:,n)=Lin_Res_y_1_8(:,n)-Lin_Static_yz_8(n,1);
%         Lin_Res_y_2_8(:,n)=Lin_Res_y_2_8(:,n)-Lin_Static_yz_8(n,3);
%         Lin_Res_y_3_8(:,n)=Lin_Res_y_3_8(:,n)-Lin_Static_yz_8(n,5);
%         Lin_Res_y_4_8(:,n)=Lin_Res_y_4_8(:,n)-Lin_Static_yz_8(n,7);
%         Lin_Res_y_5_8(:,n)=Lin_Res_y_5_8(:,n)-Lin_Static_yz_8(n,9);
%         Lin_Res_y_6_8(:,n)=Lin_Res_y_6_8(:,n)-Lin_Static_yz_8(n,11);
%         Lin_Res_y_7_8(:,n)=Lin_Res_y_7_8(:,n)-Lin_Static_yz_8(n,13);
%         Lin_Res_y_8_8(:,n)=Lin_Res_y_8_8(:,n)-Lin_Static_yz_8(n,15);
%         Lin_Res_y_9_8(:,n)=Lin_Res_y_9_8(:,n)-Lin_Static_yz_8(n,17);
%         Lin_Res_y_10_8(:,n)=Lin_Res_y_10_8(:,n)-Lin_Static_yz_8(n,19);
%         Lin_Res_y_11_8(:,n)=Lin_Res_y_11_8(:,n)-Lin_Static_yz_8(n,21);
%         Lin_Res_y_12_8(:,n)=Lin_Res_y_12_8(:,n)-Lin_Static_yz_8(n,23);
%         Lin_Res_y_13_8(:,n)=Lin_Res_y_13_8(:,n)-Lin_Static_yz_8(n,25);
%         Lin_Res_y_14_8(:,n)=Lin_Res_y_14_8(:,n)-Lin_Static_yz_8(n,27);
%         Lin_Res_y_15_8(:,n)=Lin_Res_y_15_8(:,n)-Lin_Static_yz_8(n,29);
%         Lin_Res_y_16_8(:,n)=Lin_Res_y_16_8(:,n)-Lin_Static_yz_8(n,31);
%         Lin_Res_y_17_8(:,n)=Lin_Res_y_17_8(:,n)-Lin_Static_yz_8(n,33);
%         Lin_Res_y_18_8(:,n)=Lin_Res_y_18_8(:,n)-Lin_Static_yz_8(n,35);
%         Lin_Res_y_19_8(:,n)=Lin_Res_y_19_8(:,n)-Lin_Static_yz_8(n,37);
%         Lin_Res_y_20_8(:,n)=Lin_Res_y_20_8(:,n)-Lin_Static_yz_8(n,39);       
%     end
    
    %%
%% Remove Static Configuration of CF Displacement (not used in the analysis)
%     for n=1:nnod
%         Lin_Res_z_1_8(:,n)=Lin_Res_z_1_8(:,n)-Lin_Static_yz_8(n,2);
%         Lin_Res_z_2_8(:,n)=Lin_Res_z_2_8(:,n)-Lin_Static_yz_8(n,4);
%         Lin_Res_z_3_8(:,n)=Lin_Res_z_3_8(:,n)-Lin_Static_yz_8(n,6);
%         Lin_Res_z_4_8(:,n)=Lin_Res_z_4_8(:,n)-Lin_Static_yz_8(n,8);
%         Lin_Res_z_5_8(:,n)=Lin_Res_z_5_8(:,n)-Lin_Static_yz_8(n,10);
%         Lin_Res_z_6_8(:,n)=Lin_Res_z_6_8(:,n)-Lin_Static_yz_8(n,12);
%         Lin_Res_z_7_8(:,n)=Lin_Res_z_7_8(:,n)-Lin_Static_yz_8(n,14);
%         Lin_Res_z_8_8(:,n)=Lin_Res_z_8_8(:,n)-Lin_Static_yz_8(n,16);
%         Lin_Res_z_9_8(:,n)=Lin_Res_z_9_8(:,n)-Lin_Static_yz_8(n,18);
%         Lin_Res_z_10_8(:,n)=Lin_Res_z_10_8(:,n)-Lin_Static_yz_8(n,20);
%         Lin_Res_z_11_8(:,n)=Lin_Res_z_11_8(:,n)-Lin_Static_yz_8(n,22);
%         Lin_Res_z_12_8(:,n)=Lin_Res_z_12_8(:,n)-Lin_Static_yz_8(n,24);
%         Lin_Res_z_13_8(:,n)=Lin_Res_z_13_8(:,n)-Lin_Static_yz_8(n,26);
%         Lin_Res_z_14_8(:,n)=Lin_Res_z_14_8(:,n)-Lin_Static_yz_8(n,28);
%         Lin_Res_z_15_8(:,n)=Lin_Res_z_15_8(:,n)-Lin_Static_yz_8(n,30);
%         Lin_Res_z_16_8(:,n)=Lin_Res_z_16_8(:,n)-Lin_Static_yz_8(n,32);
%         Lin_Res_z_17_8(:,n)=Lin_Res_z_17_8(:,n)-Lin_Static_yz_8(n,34);
%         Lin_Res_z_18_8(:,n)=Lin_Res_z_18_8(:,n)-Lin_Static_yz_8(n,36);
%         Lin_Res_z_19_8(:,n)=Lin_Res_z_19_8(:,n)-Lin_Static_yz_8(n,38);
%         Lin_Res_z_20_8(:,n)=Lin_Res_z_20_8(:,n)-Lin_Static_yz_8(n,40);
%     end

%% Finding maximum response amplitudes Amax in the IL direction
Lin_A_y_max_8=zeros(1,20);
Lin_Index_8=zeros(1,20);
[Lin_A_y_max_8(1),Lin_Index_8(1)]=max((max(Lin_Res_y_1_8(:,:))-min(Lin_Res_y_1_8(:,:)))/2);
[Lin_A_y_max_8(2),Lin_Index_8(2)]=max((max(Lin_Res_y_2_8(:,:))-min(Lin_Res_y_2_8(:,:)))/2);
[Lin_A_y_max_8(3),Lin_Index_8(3)]=max((max(Lin_Res_y_3_8(:,:))-min(Lin_Res_y_3_8(:,:)))/2);
[Lin_A_y_max_8(4),Lin_Index_8(4)]=max((max(Lin_Res_y_4_8(:,:))-min(Lin_Res_y_4_8(:,:)))/2);
[Lin_A_y_max_8(5),Lin_Index_8(5)]=max((max(Lin_Res_y_5_8(:,:))-min(Lin_Res_y_5_8(:,:)))/2);
[Lin_A_y_max_8(6),Lin_Index_8(6)]=max((max(Lin_Res_y_6_8(:,:))-min(Lin_Res_y_6_8(:,:)))/2);
[Lin_A_y_max_8(7),Lin_Index_8(7)]=max((max(Lin_Res_y_7_8(:,:))-min(Lin_Res_y_7_8(:,:)))/2);
[Lin_A_y_max_8(8),Lin_Index_8(8)]=max((max(Lin_Res_y_8_8(:,:))-min(Lin_Res_y_8_8(:,:)))/2);
[Lin_A_y_max_8(9),Lin_Index_8(9)]=max((max(Lin_Res_y_9_8(:,:))-min(Lin_Res_y_9_8(:,:)))/2);
[Lin_A_y_max_8(10),Lin_Index_8(10)]=max((max(Lin_Res_y_10_8(:,:))-min(Lin_Res_y_10_8(:,:)))/2);
[Lin_A_y_max_8(11),Lin_Index_8(11)]=max((max(Lin_Res_y_11_8(:,:))-min(Lin_Res_y_11_8(:,:)))/2);
[Lin_A_y_max_8(12),Lin_Index_8(12)]=max((max(Lin_Res_y_12_8(:,:))-min(Lin_Res_y_12_8(:,:)))/2);
[Lin_A_y_max_8(13),Lin_Index_8(13)]=max((max(Lin_Res_y_13_8(:,:))-min(Lin_Res_y_13_8(:,:)))/2);
[Lin_A_y_max_8(14),Lin_Index_8(14)]=max((max(Lin_Res_y_14_8(:,:))-min(Lin_Res_y_14_8(:,:)))/2);
[Lin_A_y_max_8(15),Lin_Index_8(15)]=max((max(Lin_Res_y_15_8(:,:))-min(Lin_Res_y_15_8(:,:)))/2);
[Lin_A_y_max_8(16),Lin_Index_8(16)]=max((max(Lin_Res_y_16_8(:,:))-min(Lin_Res_y_16_8(:,:)))/2);
[Lin_A_y_max_8(17),Lin_Index_8(17)]=max((max(Lin_Res_y_17_8(:,:))-min(Lin_Res_y_17_8(:,:)))/2);
[Lin_A_y_max_8(18),Lin_Index_8(18)]=max((max(Lin_Res_y_18_8(:,:))-min(Lin_Res_y_18_8(:,:)))/2);
[Lin_A_y_max_8(19),Lin_Index_8(19)]=max((max(Lin_Res_y_19_8(:,:))-min(Lin_Res_y_19_8(:,:)))/2);
[Lin_A_y_max_8(20),Lin_Index_8(20)]=max((max(Lin_Res_y_20_8(:,:))-min(Lin_Res_y_20_8(:,:)))/2);

%% Finding maximum response amplitudes Amax in the CF direction
Lin_A_z_max_8=zeros(1,20);
Lin_Index_z_8=zeros(1,20);
[Lin_A_z_max_8(1),Lin_Index_z_8(1)]=max((max(Lin_Res_z_1_8(:,:))-min(Lin_Res_z_1_8(:,:)))/2);
[Lin_A_z_max_8(2),Lin_Index_z_8(2)]=max((max(Lin_Res_z_2_8(:,:))-min(Lin_Res_z_2_8(:,:)))/2);
[Lin_A_z_max_8(3),Lin_Index_z_8(3)]=max((max(Lin_Res_z_3_8(:,:))-min(Lin_Res_z_3_8(:,:)))/2);
[Lin_A_z_max_8(4),Lin_Index_z_8(4)]=max((max(Lin_Res_z_4_8(:,:))-min(Lin_Res_z_4_8(:,:)))/2);
[Lin_A_z_max_8(5),Lin_Index_z_8(5)]=max((max(Lin_Res_z_5_8(:,:))-min(Lin_Res_z_5_8(:,:)))/2);
[Lin_A_z_max_8(6),Lin_Index_z_8(6)]=max((max(Lin_Res_z_6_8(:,:))-min(Lin_Res_z_6_8(:,:)))/2);
[Lin_A_z_max_8(7),Lin_Index_z_8(7)]=max((max(Lin_Res_z_7_8(:,:))-min(Lin_Res_z_7_8(:,:)))/2);
[Lin_A_z_max_8(8),Lin_Index_z_8(8)]=max((max(Lin_Res_z_8_8(:,:))-min(Lin_Res_z_8_8(:,:)))/2);
[Lin_A_z_max_8(9),Lin_Index_z_8(9)]=max((max(Lin_Res_z_9_8(:,:))-min(Lin_Res_z_9_8(:,:)))/2);
[Lin_A_z_max_8(10),Lin_Index_z_8(10)]=max((max(Lin_Res_z_10_8(:,:))-min(Lin_Res_z_10_8(:,:)))/2);
[Lin_A_z_max_8(11),Lin_Index_z_8(11)]=max((max(Lin_Res_z_11_8(:,:))-min(Lin_Res_z_11_8(:,:)))/2);
[Lin_A_z_max_8(12),Lin_Index_z_8(12)]=max((max(Lin_Res_z_12_8(:,:))-min(Lin_Res_z_12_8(:,:)))/2);
[Lin_A_z_max_8(13),Lin_Index_z_8(13)]=max((max(Lin_Res_z_13_8(:,:))-min(Lin_Res_z_13_8(:,:)))/2);
[Lin_A_z_max_8(14),Lin_Index_z_8(14)]=max((max(Lin_Res_z_14_8(:,:))-min(Lin_Res_z_14_8(:,:)))/2);
[Lin_A_z_max_8(15),Lin_Index_z_8(15)]=max((max(Lin_Res_z_15_8(:,:))-min(Lin_Res_z_15_8(:,:)))/2);
[Lin_A_z_max_8(16),Lin_Index_z_8(16)]=max((max(Lin_Res_z_16_8(:,:))-min(Lin_Res_z_16_8(:,:)))/2);
[Lin_A_z_max_8(17),Lin_Index_z_8(17)]=max((max(Lin_Res_z_17_8(:,:))-min(Lin_Res_z_17_8(:,:)))/2);
[Lin_A_z_max_8(18),Lin_Index_z_8(18)]=max((max(Lin_Res_z_18_8(:,:))-min(Lin_Res_z_18_8(:,:)))/2);
[Lin_A_z_max_8(19),Lin_Index_z_8(19)]=max((max(Lin_Res_z_19_8(:,:))-min(Lin_Res_z_19_8(:,:)))/2);
[Lin_A_z_max_8(20),Lin_Index_z_8(20)]=max((max(Lin_Res_z_20_8(:,:))-min(Lin_Res_z_20_8(:,:)))/2);


%% Calculation of spectra

% IL response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective IL responses
Lin_resp_y_1_8=[t Lin_Res_y_1_8(:,Lin_Index_8(1))];
Lin_resp_y_2_8=[t Lin_Res_y_2_8(:,Lin_Index_8(2))];
Lin_resp_y_3_8=[t Lin_Res_y_3_8(:,Lin_Index_8(3))];
Lin_resp_y_4_8=[t Lin_Res_y_4_8(:,Lin_Index_8(4))];
Lin_resp_y_5_8=[t Lin_Res_y_5_8(:,Lin_Index_8(5))];
Lin_resp_y_6_8=[t Lin_Res_y_6_8(:,Lin_Index_8(6))];
Lin_resp_y_7_8=[t Lin_Res_y_7_8(:,Lin_Index_8(7))];
Lin_resp_y_8_8=[t Lin_Res_y_8_8(:,Lin_Index_8(8))];
Lin_resp_y_9_8=[t Lin_Res_y_9_8(:,Lin_Index_8(9))];
Lin_resp_y_10_8=[t Lin_Res_y_10_8(:,Lin_Index_8(10))];
Lin_resp_y_11_8=[t11 Lin_Res_y_11_8(:,Lin_Index_8(11))];
Lin_resp_y_12_8=[t Lin_Res_y_12_8(:,Lin_Index_8(12))];
Lin_resp_y_13_8=[t Lin_Res_y_13_8(:,Lin_Index_8(13))];
Lin_resp_y_14_8=[t14 Lin_Res_y_14_8(:,Lin_Index_8(14))];
Lin_resp_y_15_8=[t Lin_Res_y_15_8(:,Lin_Index_8(15))];
Lin_resp_y_16_8=[t Lin_Res_y_16_8(:,Lin_Index_8(16))];
Lin_resp_y_17_8=[t Lin_Res_y_17_8(:,Lin_Index_8(17))];
Lin_resp_y_18_8=[t Lin_Res_y_18_8(:,Lin_Index_8(18))];
Lin_resp_y_19_8=[t Lin_Res_y_19_8(:,Lin_Index_8(19))];
Lin_resp_y_20_8=[t Lin_Res_y_20_8(:,Lin_Index_8(20))];

% Structure to be used in WAFO

Lin_Sp_y_1_8=dat2spec(Lin_resp_y_1_8,1000);
Lin_Sp_y_2_8=dat2spec(Lin_resp_y_2_8,1000);
Lin_Sp_y_3_8=dat2spec(Lin_resp_y_3_8,1000);
Lin_Sp_y_4_8=dat2spec(Lin_resp_y_4_8,1000);
Lin_Sp_y_5_8=dat2spec(Lin_resp_y_5_8,1000);
Lin_Sp_y_6_8=dat2spec(Lin_resp_y_6_8,1000);
Lin_Sp_y_7_8=dat2spec(Lin_resp_y_7_8,1000);
Lin_Sp_y_8_8=dat2spec(Lin_resp_y_8_8,1000);
Lin_Sp_y_9_8=dat2spec(Lin_resp_y_9_8,1000);
Lin_Sp_y_10_8=dat2spec(Lin_resp_y_10_8,1000);
Lin_Sp_y_11_8=dat2spec(Lin_resp_y_11_8,1000);
Lin_Sp_y_12_8=dat2spec(Lin_resp_y_12_8,1000);
Lin_Sp_y_13_8=dat2spec(Lin_resp_y_13_8,1000);
Lin_Sp_y_14_8=dat2spec(Lin_resp_y_14_8,1000);
Lin_Sp_y_15_8=dat2spec(Lin_resp_y_15_8,1000);
Lin_Sp_y_16_8=dat2spec(Lin_resp_y_16_8,1000);
Lin_Sp_y_17_8=dat2spec(Lin_resp_y_17_8,1000);
Lin_Sp_y_18_8=dat2spec(Lin_resp_y_18_8,1000);
Lin_Sp_y_19_8=dat2spec(Lin_resp_y_19_8,1000);
Lin_Sp_y_20_8=dat2spec(Lin_resp_y_20_8,1000);


% Response Spectra of the IL Response Calculated using WAFO

Lin_Spec_y_1_8=Lin_Sp_y_1_8.S*2*pi; 
Lin_Spec_y_2_8=Lin_Sp_y_2_8.S*2*pi;
Lin_Spec_y_3_8=Lin_Sp_y_3_8.S*2*pi;
Lin_Spec_y_4_8=Lin_Sp_y_4_8.S*2*pi;
Lin_Spec_y_5_8=Lin_Sp_y_5_8.S*2*pi;
Lin_Spec_y_6_8=Lin_Sp_y_6_8.S*2*pi;
Lin_Spec_y_7_8=Lin_Sp_y_7_8.S*2*pi;
Lin_Spec_y_8_8=Lin_Sp_y_8_8.S*2*pi;
Lin_Spec_y_9_8=Lin_Sp_y_9_8.S*2*pi;
Lin_Spec_y_10_8=Lin_Sp_y_10_8.S*2*pi;
Lin_Spec_y_11_8=Lin_Sp_y_11_8.S*2*pi;
Lin_Spec_y_12_8=Lin_Sp_y_12_8.S*2*pi;
Lin_Spec_y_13_8=Lin_Sp_y_13_8.S*2*pi;
Lin_Spec_y_14_8=Lin_Sp_y_14_8.S*2*pi;
Lin_Spec_y_15_8=Lin_Sp_y_15_8.S*2*pi;
Lin_Spec_y_16_8=Lin_Sp_y_16_8.S*2*pi;
Lin_Spec_y_17_8=Lin_Sp_y_17_8.S*2*pi;
Lin_Spec_y_18_8=Lin_Sp_y_18_8.S*2*pi;
Lin_Spec_y_19_8=Lin_Sp_y_19_8.S*2*pi;
Lin_Spec_y_20_8=Lin_Sp_y_20_8.S*2*pi;

% Frequencies of the IL Response calculated using WAFO

Lin_Freq_y_1_8=Lin_Sp_y_1_8.w/(2*pi);
Lin_Freq_y_2_8=Lin_Sp_y_2_8.w/(2*pi);
Lin_Freq_y_3_8=Lin_Sp_y_3_8.w/(2*pi);
Lin_Freq_y_4_8=Lin_Sp_y_4_8.w/(2*pi);
Lin_Freq_y_5_8=Lin_Sp_y_5_8.w/(2*pi);
Lin_Freq_y_6_8=Lin_Sp_y_6_8.w/(2*pi);
Lin_Freq_y_7_8=Lin_Sp_y_7_8.w/(2*pi);
Lin_Freq_y_8_8=Lin_Sp_y_8_8.w/(2*pi);
Lin_Freq_y_9_8=Lin_Sp_y_9_8.w/(2*pi);
Lin_Freq_y_10_8=Lin_Sp_y_10_8.w/(2*pi);
Lin_Freq_y_11_8=Lin_Sp_y_11_8.w/(2*pi);
Lin_Freq_y_12_8=Lin_Sp_y_12_8.w/(2*pi);
Lin_Freq_y_13_8=Lin_Sp_y_13_8.w/(2*pi);
Lin_Freq_y_14_8=Lin_Sp_y_14_8.w/(2*pi);
Lin_Freq_y_15_8=Lin_Sp_y_15_8.w/(2*pi);
Lin_Freq_y_16_8=Lin_Sp_y_16_8.w/(2*pi);
Lin_Freq_y_17_8=Lin_Sp_y_17_8.w/(2*pi);
Lin_Freq_y_18_8=Lin_Sp_y_18_8.w/(2*pi);
Lin_Freq_y_19_8=Lin_Sp_y_19_8.w/(2*pi);
Lin_Freq_y_20_8=Lin_Sp_y_20_8.w/(2*pi);

%Finding the peak frequency of the IL Response
[Lin_Mx1_8,Lin_Ix1_8]=max(Lin_Spec_y_1_8(:));
[Lin_Mx2_8,Lin_Ix2_8]=max(Lin_Spec_y_2_8(:));
[Lin_Mx3_8,Lin_Ix3_8]=max(Lin_Spec_y_3_8(:));
[Lin_Mx4_8,Lin_Ix4_8]=max(Lin_Spec_y_4_8(:));
[Lin_Mx5_8,Lin_Ix5_8]=max(Lin_Spec_y_5_8(:));
[Lin_Mx6_8,Lin_Ix6_8]=max(Lin_Spec_y_6_8(:));
[Lin_Mx7_8,Lin_Ix7_8]=max(Lin_Spec_y_7_8(:));
[Lin_Mx8_8,Lin_Ix8_8]=max(Lin_Spec_y_8_8(:));
[Lin_Mx9_8,Lin_Ix9_8]=max(Lin_Spec_y_9_8(:));
[Lin_Mx10_8,Lin_Ix10_8]=max(Lin_Spec_y_10_8(:));
[Lin_Mx11_8,Lin_Ix11_8]=max(Lin_Spec_y_11_8(:));
[Lin_Mx12_8,Lin_Ix12_8]=max(Lin_Spec_y_12_8(:));
[Lin_Mx13_8,Lin_Ix13_8]=max(Lin_Spec_y_13_8(:));
[Lin_Mx14_8,Lin_Ix14_8]=max(Lin_Spec_y_14_8(:));
[Lin_Mx15_8,Lin_Ix15_8]=max(Lin_Spec_y_15_8(:));
[Lin_Mx16_8,Lin_Ix16_8]=max(Lin_Spec_y_16_8(:));
[Lin_Mx17_8,Lin_Ix17_8]=max(Lin_Spec_y_17_8(:));
[Lin_Mx18_8,Lin_Ix18_8]=max(Lin_Spec_y_18_8(:));
[Lin_Mx19_8,Lin_Ix19_8]=max(Lin_Spec_y_19_8(:));
[Lin_Mx20_8,Lin_Ix20_8]=max(Lin_Spec_y_20_8(:));


Lin_fun_freq_y_8=zeros(20,1);
Lin_fun_freq_y_8(1)=Lin_Freq_y_1_8(Lin_Ix1_8);
Lin_fun_freq_y_8(2)=Lin_Freq_y_2_8(Lin_Ix2_8);
Lin_fun_freq_y_8(3)=Lin_Freq_y_3_8(Lin_Ix3_8);
Lin_fun_freq_y_8(4)=Lin_Freq_y_4_8(Lin_Ix4_8);
Lin_fun_freq_y_8(5)=Lin_Freq_y_5_8(Lin_Ix5_8);
Lin_fun_freq_y_8(6)=Lin_Freq_y_6_8(Lin_Ix6_8);
Lin_fun_freq_y_8(7)=Lin_Freq_y_7_8(Lin_Ix7_8);
Lin_fun_freq_y_8(8)=Lin_Freq_y_8_8(Lin_Ix8_8);
Lin_fun_freq_y_8(9)=Lin_Freq_y_9_8(Lin_Ix9_8);
Lin_fun_freq_y_8(10)=Lin_Freq_y_10_8(Lin_Ix10_8);
Lin_fun_freq_y_8(11)=Lin_Freq_y_11_8(Lin_Ix11_8);
Lin_fun_freq_y_8(12)=Lin_Freq_y_12_8(Lin_Ix12_8);
Lin_fun_freq_y_8(13)=Lin_Freq_y_13_8(Lin_Ix13_8);
Lin_fun_freq_y_8(14)=Lin_Freq_y_14_8(Lin_Ix14_8);
Lin_fun_freq_y_8(15)=Lin_Freq_y_15_8(Lin_Ix15_8);
Lin_fun_freq_y_8(16)=Lin_Freq_y_16_8(Lin_Ix16_8);
Lin_fun_freq_y_8(17)=Lin_Freq_y_17_8(Lin_Ix17_8);
Lin_fun_freq_y_8(18)=Lin_Freq_y_18_8(Lin_Ix18_8);
Lin_fun_freq_y_8(19)=Lin_Freq_y_19_8(Lin_Ix19_8);
Lin_fun_freq_y_8(20)=Lin_Freq_y_20_8(Lin_Ix20_8);

 

%% Calculation of spectra

% CF response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective CF responses
Lin_resp_z_1_8=[t Lin_Res_z_1_8(:,Lin_Index_z_8(1))];
Lin_resp_z_2_8=[t Lin_Res_z_2_8(:,Lin_Index_z_8(2))];
Lin_resp_z_3_8=[t Lin_Res_z_3_8(:,Lin_Index_z_8(3))];
Lin_resp_z_4_8=[t Lin_Res_z_4_8(:,Lin_Index_z_8(4))];
Lin_resp_z_5_8=[t Lin_Res_z_5_8(:,Lin_Index_z_8(5))];
Lin_resp_z_6_8=[t Lin_Res_z_6_8(:,Lin_Index_z_8(6))];
Lin_resp_z_7_8=[t Lin_Res_z_7_8(:,Lin_Index_z_8(7))];
Lin_resp_z_8_8=[t Lin_Res_z_8_8(:,Lin_Index_z_8(8))];
Lin_resp_z_9_8=[t Lin_Res_z_9_8(:,Lin_Index_z_8(9))];
Lin_resp_z_10_8=[t Lin_Res_z_10_8(:,Lin_Index_z_8(10))];
Lin_resp_z_11_8=[t11 Lin_Res_z_11_8(:,Lin_Index_z_8(11))];
Lin_resp_z_12_8=[t Lin_Res_z_12_8(:,Lin_Index_z_8(12))];
Lin_resp_z_13_8=[t Lin_Res_z_13_8(:,Lin_Index_z_8(13))];
Lin_resp_z_14_8=[t14 Lin_Res_z_14_8(:,Lin_Index_z_8(14))];
Lin_resp_z_15_8=[t Lin_Res_z_15_8(:,Lin_Index_z_8(15))];
Lin_resp_z_16_8=[t Lin_Res_z_16_8(:,Lin_Index_z_8(16))];
Lin_resp_z_17_8=[t Lin_Res_z_17_8(:,Lin_Index_z_8(17))];
Lin_resp_z_18_8=[t Lin_Res_z_18_8(:,Lin_Index_z_8(18))];
Lin_resp_z_19_8=[t Lin_Res_z_19_8(:,Lin_Index_z_8(19))];
Lin_resp_z_20_8=[t Lin_Res_z_20_8(:,Lin_Index_z_8(20))];

% Structure to be used in WAFO

Lin_Sp_z_1_8=dat2spec(Lin_resp_z_1_8,1000);
Lin_Sp_z_2_8=dat2spec(Lin_resp_z_2_8,1000);
Lin_Sp_z_3_8=dat2spec(Lin_resp_z_3_8,1000);
Lin_Sp_z_4_8=dat2spec(Lin_resp_z_4_8,1000);
Lin_Sp_z_5_8=dat2spec(Lin_resp_z_5_8,1000);
Lin_Sp_z_6_8=dat2spec(Lin_resp_z_6_8,1000);
Lin_Sp_z_7_8=dat2spec(Lin_resp_z_7_8,1000);
Lin_Sp_z_8_8=dat2spec(Lin_resp_z_8_8,1000);
Lin_Sp_z_9_8=dat2spec(Lin_resp_z_9_8,1000);
Lin_Sp_z_10_8=dat2spec(Lin_resp_z_10_8,1000);
Lin_Sp_z_11_8=dat2spec(Lin_resp_z_11_8,1000);
Lin_Sp_z_12_8=dat2spec(Lin_resp_z_12_8,1000);
Lin_Sp_z_13_8=dat2spec(Lin_resp_z_13_8,1000);
Lin_Sp_z_14_8=dat2spec(Lin_resp_z_14_8,1000);
Lin_Sp_z_15_8=dat2spec(Lin_resp_z_15_8,1000);
Lin_Sp_z_16_8=dat2spec(Lin_resp_z_16_8,1000);
Lin_Sp_z_17_8=dat2spec(Lin_resp_z_17_8,1000);
Lin_Sp_z_18_8=dat2spec(Lin_resp_z_18_8,1000);
Lin_Sp_z_19_8=dat2spec(Lin_resp_z_19_8,1000);
Lin_Sp_z_20_8=dat2spec(Lin_resp_z_20_8,1000);


% Response Spectra of the CF Response Calculated using WAFO
Lin_Spec_z_1_8=Lin_Sp_z_1_8.S*2*pi; 
Lin_Spec_z_2_8=Lin_Sp_z_2_8.S*2*pi;
Lin_Spec_z_3_8=Lin_Sp_z_3_8.S*2*pi;
Lin_Spec_z_4_8=Lin_Sp_z_4_8.S*2*pi;
Lin_Spec_z_5_8=Lin_Sp_z_5_8.S*2*pi;
Lin_Spec_z_6_8=Lin_Sp_z_6_8.S*2*pi;
Lin_Spec_z_7_8=Lin_Sp_z_7_8.S*2*pi;
Lin_Spec_z_8_8=Lin_Sp_z_8_8.S*2*pi;
Lin_Spec_z_9_8=Lin_Sp_z_9_8.S*2*pi;
Lin_Spec_z_10_8=Lin_Sp_z_10_8.S*2*pi;
Lin_Spec_z_11_8=Lin_Sp_z_11_8.S*2*pi;
Lin_Spec_z_12_8=Lin_Sp_z_12_8.S*2*pi;
Lin_Spec_z_13_8=Lin_Sp_z_13_8.S*2*pi;
Lin_Spec_z_14_8=Lin_Sp_z_14_8.S*2*pi;
Lin_Spec_z_15_8=Lin_Sp_z_15_8.S*2*pi;
Lin_Spec_z_16_8=Lin_Sp_z_16_8.S*2*pi;
Lin_Spec_z_17_8=Lin_Sp_z_17_8.S*2*pi;
Lin_Spec_z_18_8=Lin_Sp_z_18_8.S*2*pi;
Lin_Spec_z_19_8=Lin_Sp_z_19_8.S*2*pi;
Lin_Spec_z_20_8=Lin_Sp_z_20_8.S*2*pi;


% Frequencies of the CF Response calculated using WAFO
Lin_Freq_z_1_8=Lin_Sp_z_1_8.w/(2*pi);
Lin_Freq_z_2_8=Lin_Sp_z_2_8.w/(2*pi);
Lin_Freq_z_3_8=Lin_Sp_z_3_8.w/(2*pi);
Lin_Freq_z_4_8=Lin_Sp_z_4_8.w/(2*pi);
Lin_Freq_z_5_8=Lin_Sp_z_5_8.w/(2*pi);
Lin_Freq_z_6_8=Lin_Sp_z_6_8.w/(2*pi);
Lin_Freq_z_7_8=Lin_Sp_z_7_8.w/(2*pi);
Lin_Freq_z_8_8=Lin_Sp_z_8_8.w/(2*pi);
Lin_Freq_z_9_8=Lin_Sp_z_9_8.w/(2*pi);
Lin_Freq_z_10_8=Lin_Sp_z_10_8.w/(2*pi);
Lin_Freq_z_11_8=Lin_Sp_z_11_8.w/(2*pi);
Lin_Freq_z_12_8=Lin_Sp_z_12_8.w/(2*pi);
Lin_Freq_z_13_8=Lin_Sp_z_13_8.w/(2*pi);
Lin_Freq_z_14_8=Lin_Sp_z_14_8.w/(2*pi);
Lin_Freq_z_15_8=Lin_Sp_z_15_8.w/(2*pi);
Lin_Freq_z_16_8=Lin_Sp_z_16_8.w/(2*pi);
Lin_Freq_z_17_8=Lin_Sp_z_17_8.w/(2*pi);
Lin_Freq_z_18_8=Lin_Sp_z_18_8.w/(2*pi);
Lin_Freq_z_19_8=Lin_Sp_z_19_8.w/(2*pi);
Lin_Freq_z_20_8=Lin_Sp_z_20_8.w/(2*pi);

% Finding the peak frequencies of the CF Response
[Lin_M1_8,Lin_I1_8]=max(Lin_Spec_z_1_8(:));
[Lin_M2_8,Lin_I2_8]=max(Lin_Spec_z_2_8(:));
[Lin_M3_8,Lin_I3_8]=max(Lin_Spec_z_3_8(:));
[Lin_M4_8,Lin_I4_8]=max(Lin_Spec_z_4_8(:));
[Lin_M5_8,Lin_I5_8]=max(Lin_Spec_z_5_8(:));
[Lin_M6_8,Lin_I6_8]=max(Lin_Spec_z_6_8(:));
[Lin_M7_8,Lin_I7_8]=max(Lin_Spec_z_7_8(:));
[Lin_M8_8,Lin_I8_8]=max(Lin_Spec_z_8_8(:));
[Lin_M9_8,Lin_I9_8]=max(Lin_Spec_z_9_8(:));
[Lin_M10_8,Lin_I10_8]=max(Lin_Spec_z_10_8(:));
[Lin_M11_8,Lin_I11_8]=max(Lin_Spec_z_11_8(:));
[Lin_M12_8,Lin_I12_8]=max(Lin_Spec_z_12_8(:));
[Lin_M13_8,Lin_I13_8]=max(Lin_Spec_z_13_8(:));
[Lin_M14_8,Lin_I14_8]=max(Lin_Spec_z_14_8(:));
[Lin_M15_8,Lin_I15_8]=max(Lin_Spec_z_15_8(:));
[Lin_M16_8,Lin_I16_8]=max(Lin_Spec_z_16_8(:));
[Lin_M17_8,Lin_I17_8]=max(Lin_Spec_z_17_8(:));
[Lin_M18_8,Lin_I18_8]=max(Lin_Spec_z_18_8(:));
[Lin_M19_8,Lin_I19_8]=max(Lin_Spec_z_19_8(:));
[Lin_M20_8,Lin_I20_8]=max(Lin_Spec_z_20_8(:));

Lin_fun_freq_z_8=zeros(20,1);
Lin_fun_freq_z_8(1)=Lin_Freq_z_1_8(Lin_I1_8);
Lin_fun_freq_z_8(2)=Lin_Freq_z_2_8(Lin_I2_8);
Lin_fun_freq_z_8(3)=Lin_Freq_z_3_8(Lin_I3_8);
Lin_fun_freq_z_8(4)=Lin_Freq_z_4_8(Lin_I4_8);
Lin_fun_freq_z_8(5)=Lin_Freq_z_5_8(Lin_I5_8);
Lin_fun_freq_z_8(6)=Lin_Freq_z_6_8(Lin_I6_8);
Lin_fun_freq_z_8(7)=Lin_Freq_z_7_8(Lin_I7_8);
Lin_fun_freq_z_8(8)=Lin_Freq_z_8_8(Lin_I8_8);
Lin_fun_freq_z_8(9)=Lin_Freq_z_9_8(Lin_I9_8);
Lin_fun_freq_z_8(10)=Lin_Freq_z_10_8(Lin_I10_8);
Lin_fun_freq_z_8(11)=Lin_Freq_z_11_8(Lin_I11_8);
Lin_fun_freq_z_8(12)=Lin_Freq_z_12_8(Lin_I12_8);
Lin_fun_freq_z_8(13)=Lin_Freq_z_13_8(Lin_I13_8);
Lin_fun_freq_z_8(14)=Lin_Freq_z_14_8(Lin_I14_8);
Lin_fun_freq_z_8(15)=Lin_Freq_z_15_8(Lin_I15_8);
Lin_fun_freq_z_8(16)=Lin_Freq_z_16_8(Lin_I16_8);
Lin_fun_freq_z_8(17)=Lin_Freq_z_17_8(Lin_I17_8);
Lin_fun_freq_z_8(18)=Lin_Freq_z_18_8(Lin_I18_8);
Lin_fun_freq_z_8(19)=Lin_Freq_z_19_8(Lin_I19_8);
Lin_fun_freq_z_8(20)=Lin_Freq_z_20_8(Lin_I20_8);


%% Plots

%% Plots of Spectra using different methods
% Using WAFO
figure
plot(Lin_Freq_y_20_8,Lin_Spec_y_20_8,'b')
legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off

figure
plot(Lin_Freq_z_18,Lin_Spec_z_18,'r')
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off
%%
figure
plotspec(Lin_Sp_y_11_8)
title('IL')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')

figure
plotspec(Lin_Sp_z_11_8)
title('CF')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')
%%
% Using Method 2
[Spciy,fy,Nhiy]=spec(Res_y_19(:,Index(19)),ns,Fs); %IL displacement
[Spciz,fz,Nhiz]=spec(Res_z_19(:,Index_z(19)),ns,Fs); %CF displacement
figure
plot(fy(1:Nhiy),Spciy(1:Nhiy),'b')

legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')


figure
plot(fz(1:Nhiz),Spciz(1:Nhiz),'r')
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
%%
% Uzing Method 3
L1 = numel(Res_y_19(:,Index(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_y_19(:,Index(19)) - mean(Res_y_19(:,Index(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'b')
grid
legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

L1 = numel(Res_z_19(:,Index_z(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_z_19(:,Index_z(19)) - mean(Res_z_19(:,Index_z(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'r')
grid
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

%% Plot of peak frequencies
figure
plot(u_cur,Lin_fun_freq_y_8,'b-x')
hold on
plot(u_cur,Lin_fun_freq_z_8,'r-+')
hold off
legend('IL-TD','CF-TD','location','best')
xlabel('Current Velocity U [m/s]')
ylabel('Frequency f [Hz]')

%%  Plot of Maximum Response Amplitudes
figure
plot(u_cur,Lin_A_y_max_8/D,'bx-')
hold on
plot(u_cur,Lin_A_z_max_8/D,'r+-')
hold off
legend('IL-TD','CF-TD','location','northwest')
xlabel('Current Velocity U [m/s]')
ylabel('A_{max}/D')

%% Snapshots

%% 0.5 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_1_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,1)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(1,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(1,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_1_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,2)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(1,:),(Lin_Seafloor_z_final_8(1,:)),'-.g','linewidth',3);
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_2_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,3)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(2,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(2,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_2_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,4)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(2,:),(Lin_Seafloor_z_final_8(2,:)),'-.g','linewidth',3);
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.7 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_3_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,5)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(3,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(3,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_3_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,6)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(3,:),(Lin_Seafloor_z_final_8(3,:)),'-.g','linewidth',3);
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.8 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_4_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,7)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(4,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(4,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_4_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,8)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(4,:),(Lin_Seafloor_z_final_8(4,:)),'-.g','linewidth',3);
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_5_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,9)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(5,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(5,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_5_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,10)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(5,:),(Lin_Seafloor_z_final_8(5,:)),'-.g','linewidth',3);
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_6_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,11)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(6,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(6,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_6_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,12)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(6,:),(Lin_Seafloor_z_final_8(6,:)),'-.g','linewidth',3);
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_7_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,13)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(7,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(7,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_7_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,14)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(7,:),(Lin_Seafloor_z_final_8(7,:)),'-.g','linewidth',3);
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_8_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,15)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(8,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(8,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_8_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,16)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(8,:),(Lin_Seafloor_z_final_8(8,:)),'-.g','linewidth',3);
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 1.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_9_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,17)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(9,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(9,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_9_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,18)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(9,:),(Lin_Seafloor_z_final_8(9,:)),'-.g','linewidth',3);
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_10_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,19)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(10,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(10,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_10_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,20)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(10,:),(Lin_Seafloor_z_final_8(10,:)),'-.g','linewidth',3);
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.5 m/s
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Lin_Res_y_11_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,21)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(11,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(11,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Lin_Res_z_11_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,22)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(11,:),(Lin_Seafloor_z_final_8(11,:)),'-.g','linewidth',3);
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_12_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,23)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(12,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(12,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_12_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,24)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(12,:),(Lin_Seafloor_z_final_8(12,:)),'-.g','linewidth',3);
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.7 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_13_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,25)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(13,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(13,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_13_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,26)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(13,:),(Lin_Seafloor_z_final_8(13,:)),'-.g','linewidth',3);
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.8 m/s
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Lin_Res_y_14_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,27)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(14,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(14,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Lin_Res_z_14_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,28)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(14,:),(Lin_Seafloor_z_final_8(14,:)),'-.g','linewidth',3);
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_15_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,29)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(15,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(15,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_15_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,30)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(15,:),(Lin_Seafloor_z_final_8(15,:)),'-.g','linewidth',3);
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 2.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_16_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,31)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(16,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(16,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_16_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,32)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(16,:),(Lin_Seafloor_z_final_8(16,:)),'-.g','linewidth',3);
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_17_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,33)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(17,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(17,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_17_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,34)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(17,:),(Lin_Seafloor_z_final_8(17,:)),'-.g','linewidth',3);
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_18_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,35)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(18,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(18,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_18_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,36)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(18,:),(Lin_Seafloor_z_final_8(18,:)),'-.g','linewidth',3);
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_19_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,37)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(19,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(19,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_19_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,38)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(19,:),(Lin_Seafloor_z_final_8(19,:)),'-.g','linewidth',3);
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_y_20_8(i,:),'b');
end
h2=plot(cord,(Lin_Static_yz_8(:,39)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(20,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Lin_Seafloor_x_final_8(20,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Lin_Res_z_20_8(i,:),'r');
end
h2=plot(cord,(Lin_Static_yz_8(:,40)),'k','linewidth',2);
h3=plot(Lin_Seafloor_x_final_8(20,:),(Lin_Seafloor_z_final_8(20,:)),'-.g','linewidth',3);
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
