clc
clear all
close all

%% Note !!!!! After finishing post-processing using this script Save!!!
%% the workspace as 'Curvature_post_processed_8.mat'. It will be used
%% afterwards for the comparative study

%% Loading curvature data for the 20 examined current velocities
C1 = load('sima_elmcur_1.asc', '-ascii');
C2 = load('sima_elmcur_2.asc', '-ascii');
C3 = load('sima_elmcur_3.asc', '-ascii');
C4 = load('sima_elmcur_4.asc', '-ascii');
C5 = load('sima_elmcur_5.asc', '-ascii');
C6 = load('sima_elmcur_6.asc', '-ascii');
C7 = load('sima_elmcur_7.asc', '-ascii');
C8 = load('sima_elmcur_8.asc', '-ascii');
C9 = load('sima_elmcur_9.asc', '-ascii');
C10 = load('sima_elmcur_10.asc', '-ascii');
C11 = load('sima_elmcur_11.asc', '-ascii');
C12 = load('sima_elmcur_12.asc', '-ascii');
C13 = load('sima_elmcur_13.asc', '-ascii');
C14 = load('sima_elmcur_14.asc', '-ascii');
C15 = load('sima_elmcur_15.asc', '-ascii');
C16 = load('sima_elmcur_16.asc', '-ascii');
C17 = load('sima_elmcur_17.asc', '-ascii');
C18 = load('sima_elmcur_18.asc', '-ascii');
C19 = load('sima_elmcur_19.asc', '-ascii');
C20 = load('sima_elmcur_20.asc', '-ascii');
 
%% Load Static Configuration
Static_yz_8 = load('Static_yz_8.asc', '-ascii');
 
%% Load Static Curvature
Static_cur_8 = load('Static_cur_8.asc', '-ascii');

%% Removing transient
C1(1:23999,:)=[];
C2(1:23999,:)=[];
C3(1:23999,:)=[];
C4(1:23999,:)=[];
C5(1:23999,:)=[];
C6(1:23999,:)=[];
C7(1:23999,:)=[];
C8(1:23999,:)=[];
C9(1:23999,:)=[];
C10(1:23999,:)=[];
% C11(1:23999,:)=[];
C11(1:69999,:)=[];% a smaller timestep was used for this velocity
C12(1:23999,:)=[];
C13(1:23999,:)=[];
% C14(1:23999,:)=[];
C14(1:69999,:)=[];% a smaller timestep was used for this velocity
C15(1:23999,:)=[];
C16(1:23999,:)=[];
C17(1:23999,:)=[];
C18(1:23999,:)=[];
C19(1:23999,:)=[];
C20(1:23999,:)=[];

%%
%% Time series of Curvature about y axis
for n=1:(length(C1(1,:))-1)/4 
    counter=4*n-2;
Cur_y_1_8(:,n)=C1(:,counter);
Cur_y_2_8(:,n)=C2(:,counter);
Cur_y_3_8(:,n)=C3(:,counter);
Cur_y_4_8(:,n)=C4(:,counter);
Cur_y_5_8(:,n)=C5(:,counter);
Cur_y_6_8(:,n)=C6(:,counter);
Cur_y_7_8(:,n)=C7(:,counter);
Cur_y_8_8(:,n)=C8(:,counter);
Cur_y_9_8(:,n)=C9(:,counter);
Cur_y_10_8(:,n)=C10(:,counter);
Cur_y_11_8(:,n)=C11(:,counter);
Cur_y_12_8(:,n)=C12(:,counter);
Cur_y_13_8(:,n)=C13(:,counter);
Cur_y_14_8(:,n)=C14(:,counter);
Cur_y_15_8(:,n)=C15(:,counter);
Cur_y_16_8(:,n)=C16(:,counter);
Cur_y_17_8(:,n)=C17(:,counter);
Cur_y_18_8(:,n)=C18(:,counter);
Cur_y_19_8(:,n)=C19(:,counter);
Cur_y_20_8(:,n)=C20(:,counter);
end

Cur_y_1_8(:,n+1)=C1(:,end-2);
Cur_y_2_8(:,n+1)=C2(:,end-2);
Cur_y_3_8(:,n+1)=C3(:,end-2);
Cur_y_4_8(:,n+1)=C4(:,end-2);
Cur_y_5_8(:,n+1)=C5(:,end-2);
Cur_y_6_8(:,n+1)=C6(:,end-2);
Cur_y_7_8(:,n+1)=C7(:,end-2);
Cur_y_8_8(:,n+1)=C8(:,end-2);
Cur_y_9_8(:,n+1)=C9(:,end-2);
Cur_y_10_8(:,n+1)=C10(:,end-2);
Cur_y_11_8(:,n+1)=C11(:,end-2);
Cur_y_12_8(:,n+1)=C12(:,end-2);
Cur_y_13_8(:,n+1)=C13(:,end-2);
Cur_y_14_8(:,n+1)=C14(:,end-2);
Cur_y_15_8(:,n+1)=C15(:,end-2);
Cur_y_16_8(:,n+1)=C16(:,end-2);
Cur_y_17_8(:,n+1)=C17(:,end-2);
Cur_y_18_8(:,n+1)=C18(:,end-2);
Cur_y_19_8(:,n+1)=C19(:,end-2);
Cur_y_20_8(:,n+1)=C20(:,end-2);


%%
%% Time series of Curvature about z axis
for n=1:(length(C1(1,:))-1)/4 
    counter=4*n;
Cur_z_1_8(:,n)=C1(:,counter);
Cur_z_2_8(:,n)=C2(:,counter);
Cur_z_3_8(:,n)=C3(:,counter);
Cur_z_4_8(:,n)=C4(:,counter);
Cur_z_5_8(:,n)=C5(:,counter);
Cur_z_6_8(:,n)=C6(:,counter);
Cur_z_7_8(:,n)=C7(:,counter);
Cur_z_8_8(:,n)=C8(:,counter);
Cur_z_9_8(:,n)=C9(:,counter);
Cur_z_10_8(:,n)=C10(:,counter);
Cur_z_11_8(:,n)=C11(:,counter);
Cur_z_12_8(:,n)=C12(:,counter);
Cur_z_13_8(:,n)=C13(:,counter);
Cur_z_14_8(:,n)=C14(:,counter);
Cur_z_15_8(:,n)=C15(:,counter);
Cur_z_16_8(:,n)=C16(:,counter);
Cur_z_17_8(:,n)=C17(:,counter);
Cur_z_18_8(:,n)=C18(:,counter);
Cur_z_19_8(:,n)=C19(:,counter);
Cur_z_20_8(:,n)=C20(:,counter);
end

Cur_z_1_8(:,n+1)=C1(:,end);
Cur_z_2_8(:,n+1)=C2(:,end);
Cur_z_3_8(:,n+1)=C3(:,end);
Cur_z_4_8(:,n+1)=C4(:,end);
Cur_z_5_8(:,n+1)=C5(:,end);
Cur_z_6_8(:,n+1)=C6(:,end);
Cur_z_7_8(:,n+1)=C7(:,end);
Cur_z_8_8(:,n+1)=C8(:,end);
Cur_z_9_8(:,n+1)=C9(:,end);
Cur_z_10_8(:,n+1)=C10(:,end);
Cur_z_11_8(:,n+1)=C11(:,end);
Cur_z_12_8(:,n+1)=C12(:,end);
Cur_z_13_8(:,n+1)=C13(:,end);
Cur_z_14_8(:,n+1)=C14(:,end);
Cur_z_15_8(:,n+1)=C15(:,end);
Cur_z_16_8(:,n+1)=C16(:,end);
Cur_z_17_8(:,n+1)=C17(:,end);
Cur_z_18_8(:,n+1)=C18(:,end);
Cur_z_19_8(:,n+1)=C19(:,end);
Cur_z_20_8(:,n+1)=C20(:,end);

%%
%% General Input
D=0.702;                       % Hydrodynamic Diameter [m]
Ds=0.61;                       % Steel Pipe Diameter [m]
L=114;                         %Length [m]
nnod=length(Cur_y_1_8(1,:));   %Number of nodes
cord(1:61)=0:30/60:30;         %Length coordinates along the pipe
cord(61:81)=30:20.25/20:50.25;
cord(81:95)=50.25:13.5/14:63.75;
cord(95:115)=63.75:20.25/20:84;
cord(115:175)=84:30/60:114;
t11=C11(:,1)-C11(1,1);         %Time vector for the special cases
ns11=length(t11);              %Number of data points for the special cases
dt11=t11(2)-t11(1);            %Time step of sample for the special cases
Fs11=1/dt11;                   %Sampling frequency for the special cases

t=C1(:,1)-C1(1,1);             %Time vector
ns=length(t);                  %Number of data points
dt=t(2)-t(1);                  %Time step of sample
Fs=1/dt;                       %Sampling frequency
u_cur=0.5:0.1:2.4;             %Current velocities

%% Seafloor Configurations
Seafloor_disp_8 = load('Seafloor_disp_8.asc', '-ascii');
Seafloor_z_initial_8=zeros(1,175);
Seafloor_x_initial_8=cord;
Seafloor_z_initial_8(1:61)=-399.8;
Seafloor_z_initial_8(62:114)=-401.0;
Seafloor_z_initial_8(115:175)=-399.8;
Seafloor_x_final_8=zeros(20,175);
Seafloor_z_final_8=zeros(20,175);
for n=1:20
    counter=2*n-1;
    Seafloor_x_final_8(n,:)=Seafloor_x_initial_8+Seafloor_disp_8(:,counter)';
end
for n=1:20
    counter=2*n;
    Seafloor_z_final_8(n,:)=Seafloor_z_initial_8-Seafloor_disp_8(:,counter)';
    Seafloor_z_final_8(n,61)=Static_yz_8(61,counter)';
end

 %%
%% Remove Static Curvature about y axis
for n=1:(length(Cur_y_1_8(1,:)))
%     for n=1:nnod
        Cur_y_1_8(:,n)=Cur_y_1_8(:,n)-Static_cur_8(n,1);
        Cur_y_2_8(:,n)=Cur_y_2_8(:,n)-Static_cur_8(n,3);
        Cur_y_3_8(:,n)=Cur_y_3_8(:,n)-Static_cur_8(n,5);
        Cur_y_4_8(:,n)=Cur_y_4_8(:,n)-Static_cur_8(n,7);
        Cur_y_5_8(:,n)=Cur_y_5_8(:,n)-Static_cur_8(n,9);
        Cur_y_6_8(:,n)=Cur_y_6_8(:,n)-Static_cur_8(n,11);
        Cur_y_7_8(:,n)=Cur_y_7_8(:,n)-Static_cur_8(n,13);
        Cur_y_8_8(:,n)=Cur_y_8_8(:,n)-Static_cur_8(n,15);
        Cur_y_9_8(:,n)=Cur_y_9_8(:,n)-Static_cur_8(n,17);
        Cur_y_10_8(:,n)=Cur_y_10_8(:,n)-Static_cur_8(n,19);
        Cur_y_11_8(:,n)=Cur_y_11_8(:,n)-Static_cur_8(n,21);
        Cur_y_12_8(:,n)=Cur_y_12_8(:,n)-Static_cur_8(n,23);
        Cur_y_13_8(:,n)=Cur_y_13_8(:,n)-Static_cur_8(n,25);
        Cur_y_14_8(:,n)=Cur_y_14_8(:,n)-Static_cur_8(n,27);
        Cur_y_15_8(:,n)=Cur_y_15_8(:,n)-Static_cur_8(n,29);
        Cur_y_16_8(:,n)=Cur_y_16_8(:,n)-Static_cur_8(n,31);
        Cur_y_17_8(:,n)=Cur_y_17_8(:,n)-Static_cur_8(n,33);
        Cur_y_18_8(:,n)=Cur_y_18_8(:,n)-Static_cur_8(n,35);
        Cur_y_19_8(:,n)=Cur_y_19_8(:,n)-Static_cur_8(n,37);
        Cur_y_20_8(:,n)=Cur_y_20_8(:,n)-Static_cur_8(n,39);
end
    
  %%
%% Remove Static Curvature about z axis
for n=1:(length(Cur_z_1_8(1,:)))
%     for n=1:nnod
        Cur_z_1_8(:,n)=Cur_z_1_8(:,n)-Static_cur_8(n,2);
        Cur_z_2_8(:,n)=Cur_z_2_8(:,n)-Static_cur_8(n,4);
        Cur_z_3_8(:,n)=Cur_z_3_8(:,n)-Static_cur_8(n,6);
        Cur_z_4_8(:,n)=Cur_z_4_8(:,n)-Static_cur_8(n,8);
        Cur_z_5_8(:,n)=Cur_z_5_8(:,n)-Static_cur_8(n,10);
        Cur_z_6_8(:,n)=Cur_z_6_8(:,n)-Static_cur_8(n,12);
        Cur_z_7_8(:,n)=Cur_z_7_8(:,n)-Static_cur_8(n,14);
        Cur_z_8_8(:,n)=Cur_z_8_8(:,n)-Static_cur_8(n,16);
        Cur_z_9_8(:,n)=Cur_z_9_8(:,n)-Static_cur_8(n,18);
        Cur_z_10_8(:,n)=Cur_z_10_8(:,n)-Static_cur_8(n,20);
        Cur_z_11_8(:,n)=Cur_z_11_8(:,n)-Static_cur_8(n,22);
        Cur_z_12_8(:,n)=Cur_z_12_8(:,n)-Static_cur_8(n,24);
        Cur_z_13_8(:,n)=Cur_z_13_8(:,n)-Static_cur_8(n,26);
        Cur_z_14_8(:,n)=Cur_z_14_8(:,n)-Static_cur_8(n,28);
        Cur_z_15_8(:,n)=Cur_z_15_8(:,n)-Static_cur_8(n,30);
        Cur_z_16_8(:,n)=Cur_z_16_8(:,n)-Static_cur_8(n,32);
        Cur_z_17_8(:,n)=Cur_z_17_8(:,n)-Static_cur_8(n,34);
        Cur_z_18_8(:,n)=Cur_z_18_8(:,n)-Static_cur_8(n,36);
        Cur_z_19_8(:,n)=Cur_z_19_8(:,n)-Static_cur_8(n,38);
        Cur_z_20_8(:,n)=Cur_z_20_8(:,n)-Static_cur_8(n,40);
end
   
%%  Stress calculation
    E=2.07*10^11;
    Isyz=1.4*10^(-3);
    Isx=2*Isyz;
    Area=0.03185;
    %% Bending stress (MPa) cross-flow and in-line Based on Curvature
    %% Cross-flow
    SCur_y_1_8=E*Cur_y_1_8*Ds/2*1e-6; 
    SCur_y_2_8=E*Cur_y_2_8*Ds/2*1e-6;
    SCur_y_3_8=E*Cur_y_3_8*Ds/2*1e-6;
    SCur_y_4_8=E*Cur_y_4_8*Ds/2*1e-6;
    SCur_y_5_8=E*Cur_y_5_8*Ds/2*1e-6;
    SCur_y_6_8=E*Cur_y_6_8*Ds/2*1e-6;
    SCur_y_7_8=E*Cur_y_7_8*Ds/2*1e-6;
    SCur_y_8_8=E*Cur_y_8_8*Ds/2*1e-6;
    SCur_y_9_8=E*Cur_y_9_8*Ds/2*1e-6;
    SCur_y_10_8=E*Cur_y_10_8*Ds/2*1e-6;
    SCur_y_11_8=E*Cur_y_11_8*Ds/2*1e-6;
    SCur_y_12_8=E*Cur_y_12_8*Ds/2*1e-6;
    SCur_y_13_8=E*Cur_y_13_8*Ds/2*1e-6;
    SCur_y_14_8=E*Cur_y_14_8*Ds/2*1e-6;
    SCur_y_15_8=E*Cur_y_15_8*Ds/2*1e-6;
    SCur_y_16_8=E*Cur_y_16_8*Ds/2*1e-6;
    SCur_y_17_8=E*Cur_y_17_8*Ds/2*1e-6;
    SCur_y_18_8=E*Cur_y_18_8*Ds/2*1e-6;
    SCur_y_19_8=E*Cur_y_19_8*Ds/2*1e-6;
    SCur_y_20_8=E*Cur_y_20_8*Ds/2*1e-6;

    %% In-line 
    SCur_z_1_8=E*Cur_z_1_8*Ds/2*1e-6; 
    SCur_z_2_8=E*Cur_z_2_8*Ds/2*1e-6;
    SCur_z_3_8=E*Cur_z_3_8*Ds/2*1e-6;
    SCur_z_4_8=E*Cur_z_4_8*Ds/2*1e-6;
    SCur_z_5_8=E*Cur_z_5_8*Ds/2*1e-6;
    SCur_z_6_8=E*Cur_z_6_8*Ds/2*1e-6;
    SCur_z_7_8=E*Cur_z_7_8*Ds/2*1e-6;
    SCur_z_8_8=E*Cur_z_8_8*Ds/2*1e-6;
    SCur_z_9_8=E*Cur_z_9_8*Ds/2*1e-6;
    SCur_z_10_8=E*Cur_z_10_8*Ds/2*1e-6;
    SCur_z_11_8=E*Cur_z_11_8*Ds/2*1e-6;
    SCur_z_12_8=E*Cur_z_12_8*Ds/2*1e-6;
    SCur_z_13_8=E*Cur_z_13_8*Ds/2*1e-6;
    SCur_z_14_8=E*Cur_z_14_8*Ds/2*1e-6;
    SCur_z_15_8=E*Cur_z_15_8*Ds/2*1e-6;
    SCur_z_16_8=E*Cur_z_16_8*Ds/2*1e-6;
    SCur_z_17_8=E*Cur_z_17_8*Ds/2*1e-6;
    SCur_z_18_8=E*Cur_z_18_8*Ds/2*1e-6;
    SCur_z_19_8=E*Cur_z_19_8*Ds/2*1e-6;
    SCur_z_20_8=E*Cur_z_20_8*Ds/2*1e-6;
    
    %% Finding Maximum Stress
    %% Cross-flow
    SCur_y_max_1_8=max((SCur_y_1_8)); 
    SCur_y_max_2_8=max((SCur_y_2_8));
    SCur_y_max_3_8=max((SCur_y_3_8));
    SCur_y_max_4_8=max((SCur_y_4_8));
    SCur_y_max_5_8=max((SCur_y_5_8));
    SCur_y_max_6_8=max((SCur_y_6_8));
    SCur_y_max_7_8=max((SCur_y_7_8));
    SCur_y_max_8_8=max((SCur_y_8_8));
    SCur_y_max_9_8=max((SCur_y_9_8));
    SCur_y_max_10_8=max((SCur_y_10_8));
    SCur_y_max_11_8=max((SCur_y_11_8));
    SCur_y_max_12_8=max((SCur_y_12_8));
    SCur_y_max_13_8=max((SCur_y_13_8));
    SCur_y_max_14_8=max((SCur_y_14_8));
    SCur_y_max_15_8=max((SCur_y_15_8));
    SCur_y_max_16_8=max((SCur_y_16_8));
    SCur_y_max_17_8=max((SCur_y_17_8));
    SCur_y_max_18_8=max((SCur_y_18_8));
    SCur_y_max_19_8=max((SCur_y_19_8));
    SCur_y_max_20_8=max((SCur_y_20_8));

    %% In-line
    SCur_z_max_1_8=max((SCur_z_1_8)); 
    SCur_z_max_2_8=max((SCur_z_2_8));
    SCur_z_max_3_8=max((SCur_z_3_8));
    SCur_z_max_4_8=max((SCur_z_4_8));
    SCur_z_max_5_8=max((SCur_z_5_8));
    SCur_z_max_6_8=max((SCur_z_6_8));
    SCur_z_max_7_8=max((SCur_z_7_8));
    SCur_z_max_8_8=max((SCur_z_8_8));
    SCur_z_max_9_8=max((SCur_z_9_8));
    SCur_z_max_10_8=max((SCur_z_10_8));
    SCur_z_max_11_8=max((SCur_z_11_8));
    SCur_z_max_12_8=max((SCur_z_12_8));
    SCur_z_max_13_8=max((SCur_z_13_8));
    SCur_z_max_14_8=max((SCur_z_14_8));
    SCur_z_max_15_8=max((SCur_z_15_8));
    SCur_z_max_16_8=max((SCur_z_16_8));
    SCur_z_max_17_8=max((SCur_z_17_8));
    SCur_z_max_18_8=max((SCur_z_18_8));
    SCur_z_max_19_8=max((SCur_z_19_8));
    SCur_z_max_20_8=max((SCur_z_20_8));
    
    %% Finding Minimum Stress
    %% Cross-flow
    SCur_y_min_1_8=min((SCur_y_1_8)); 
    SCur_y_min_2_8=min((SCur_y_2_8));
    SCur_y_min_3_8=min((SCur_y_3_8));
    SCur_y_min_4_8=min((SCur_y_4_8));
    SCur_y_min_5_8=min((SCur_y_5_8));
    SCur_y_min_6_8=min((SCur_y_6_8));
    SCur_y_min_7_8=min((SCur_y_7_8));
    SCur_y_min_8_8=min((SCur_y_8_8));
    SCur_y_min_9_8=min((SCur_y_9_8));
    SCur_y_min_10_8=min((SCur_y_10_8));
    SCur_y_min_11_8=min((SCur_y_11_8));
    SCur_y_min_12_8=min((SCur_y_12_8));
    SCur_y_min_13_8=min((SCur_y_13_8));
    SCur_y_min_14_8=min((SCur_y_14_8));
    SCur_y_min_15_8=min((SCur_y_15_8));
    SCur_y_min_16_8=min((SCur_y_16_8));
    SCur_y_min_17_8=min((SCur_y_17_8));
    SCur_y_min_18_8=min((SCur_y_18_8));
    SCur_y_min_19_8=min((SCur_y_19_8));
    SCur_y_min_20_8=min((SCur_y_20_8));

    %% In-line
    SCur_z_min_1_8=min((SCur_z_1_8)); 
    SCur_z_min_2_8=min((SCur_z_2_8));
    SCur_z_min_3_8=min((SCur_z_3_8));
    SCur_z_min_4_8=min((SCur_z_4_8));
    SCur_z_min_5_8=min((SCur_z_5_8));
    SCur_z_min_6_8=min((SCur_z_6_8));
    SCur_z_min_7_8=min((SCur_z_7_8));
    SCur_z_min_8_8=min((SCur_z_8_8));
    SCur_z_min_9_8=min((SCur_z_9_8));
    SCur_z_min_10_8=min((SCur_z_10_8));
    SCur_z_min_11_8=min((SCur_z_11_8));
    SCur_z_min_12_8=min((SCur_z_12_8));
    SCur_z_min_13_8=min((SCur_z_13_8));
    SCur_z_min_14_8=min((SCur_z_14_8));
    SCur_z_min_15_8=min((SCur_z_15_8));
    SCur_z_min_16_8=min((SCur_z_16_8));
    SCur_z_min_17_8=min((SCur_z_17_8));
    SCur_z_min_18_8=min((SCur_z_18_8));
    SCur_z_min_19_8=min((SCur_z_19_8));
    SCur_z_min_20_8=min((SCur_z_20_8));
    
    %% Finding Mean Stress
    %% Cross-flow
    SCur_y_mean_1_8=mean((SCur_y_1_8)); 
    SCur_y_mean_2_8=mean((SCur_y_2_8));
    SCur_y_mean_3_8=mean((SCur_y_3_8));
    SCur_y_mean_4_8=mean((SCur_y_4_8));
    SCur_y_mean_5_8=mean((SCur_y_5_8));
    SCur_y_mean_6_8=mean((SCur_y_6_8));
    SCur_y_mean_7_8=mean((SCur_y_7_8));
    SCur_y_mean_8_8=mean((SCur_y_8_8));
    SCur_y_mean_9_8=mean((SCur_y_9_8));
    SCur_y_mean_10_8=mean((SCur_y_10_8));
    SCur_y_mean_11_8=mean((SCur_y_11_8));
    SCur_y_mean_12_8=mean((SCur_y_12_8));
    SCur_y_mean_13_8=mean((SCur_y_13_8));
    SCur_y_mean_14_8=mean((SCur_y_14_8));
    SCur_y_mean_15_8=mean((SCur_y_15_8));
    SCur_y_mean_16_8=mean((SCur_y_16_8));
    SCur_y_mean_17_8=mean((SCur_y_17_8));
    SCur_y_mean_18_8=mean((SCur_y_18_8));
    SCur_y_mean_19_8=mean((SCur_y_19_8));
    SCur_y_mean_20_8=mean((SCur_y_20_8));

    %% In-line
    SCur_z_mean_1_8=mean((SCur_z_1_8)); 
    SCur_z_mean_2_8=mean((SCur_z_2_8));
    SCur_z_mean_3_8=mean((SCur_z_3_8));
    SCur_z_mean_4_8=mean((SCur_z_4_8));
    SCur_z_mean_5_8=mean((SCur_z_5_8));
    SCur_z_mean_6_8=mean((SCur_z_6_8));
    SCur_z_mean_7_8=mean((SCur_z_7_8));
    SCur_z_mean_8_8=mean((SCur_z_8_8));
    SCur_z_mean_9_8=mean((SCur_z_9_8));
    SCur_z_mean_10_8=mean((SCur_z_10_8));
    SCur_z_mean_11_8=mean((SCur_z_11_8));
    SCur_z_mean_12_8=mean((SCur_z_12_8));
    SCur_z_mean_13_8=mean((SCur_z_13_8));
    SCur_z_mean_14_8=mean((SCur_z_14_8));
    SCur_z_mean_15_8=mean((SCur_z_15_8));
    SCur_z_mean_16_8=mean((SCur_z_16_8));
    SCur_z_mean_17_8=mean((SCur_z_17_8));
    SCur_z_mean_18_8=mean((SCur_z_18_8));
    SCur_z_mean_19_8=mean((SCur_z_19_8));
    SCur_z_mean_20_8=mean((SCur_z_20_8));
    
    %%  Fatigue calculation
    % SN curve parameters
    m0=3;
    K0=10^(-11.63);
    % Rain-flow counting
 
    for i=1:length(SCur_y_1_8(1,:))
        %Find turning points in stress time series
        TP_SCur_y_1_8=dat2tp(SCur_y_1_8(:,i)); 
        TP_SCur_y_2_8=dat2tp(SCur_y_2_8(:,i));
        TP_SCur_y_3_8=dat2tp(SCur_y_3_8(:,i));
        TP_SCur_y_4_8=dat2tp(SCur_y_4_8(:,i));
        TP_SCur_y_5_8=dat2tp(SCur_y_5_8(:,i));
        TP_SCur_y_6_8=dat2tp(SCur_y_6_8(:,i));
        TP_SCur_y_7_8=dat2tp(SCur_y_7_8(:,i));
        TP_SCur_y_8_8=dat2tp(SCur_y_8_8(:,i));
        TP_SCur_y_9_8=dat2tp(SCur_y_9_8(:,i));
        TP_SCur_y_10_8=dat2tp(SCur_y_10_8(:,i));
        TP_SCur_y_11_8=dat2tp(SCur_y_11_8(:,i));
        TP_SCur_y_12_8=dat2tp(SCur_y_12_8(:,i));
        TP_SCur_y_13_8=dat2tp(SCur_y_13_8(:,i));
        TP_SCur_y_14_8=dat2tp(SCur_y_14_8(:,i));
        TP_SCur_y_15_8=dat2tp(SCur_y_15_8(:,i));
        TP_SCur_y_16_8=dat2tp(SCur_y_16_8(:,i));
        TP_SCur_y_17_8=dat2tp(SCur_y_17_8(:,i));
        TP_SCur_y_18_8=dat2tp(SCur_y_18_8(:,i));
        TP_SCur_y_19_8=dat2tp(SCur_y_19_8(:,i));
        TP_SCur_y_20_8=dat2tp(SCur_y_20_8(:,i));

       
        
        TP_SCur_z_1_8=dat2tp(SCur_z_1_8(:,i)); 
        TP_SCur_z_2_8=dat2tp(SCur_z_2_8(:,i));
        TP_SCur_z_3_8=dat2tp(SCur_z_3_8(:,i));
        TP_SCur_z_4_8=dat2tp(SCur_z_4_8(:,i));
        TP_SCur_z_5_8=dat2tp(SCur_z_5_8(:,i));
        TP_SCur_z_6_8=dat2tp(SCur_z_6_8(:,i));
        TP_SCur_z_7_8=dat2tp(SCur_z_7_8(:,i));
        TP_SCur_z_8_8=dat2tp(SCur_z_8_8(:,i));
        TP_SCur_z_9_8=dat2tp(SCur_z_9_8(:,i));
        TP_SCur_z_10_8=dat2tp(SCur_z_10_8(:,i));
        TP_SCur_z_11_8=dat2tp(SCur_z_11_8(:,i));
        TP_SCur_z_12_8=dat2tp(SCur_z_12_8(:,i));
        TP_SCur_z_13_8=dat2tp(SCur_z_13_8(:,i));
        TP_SCur_z_14_8=dat2tp(SCur_z_14_8(:,i));
        TP_SCur_z_15_8=dat2tp(SCur_z_15_8(:,i));
        TP_SCur_z_16_8=dat2tp(SCur_z_16_8(:,i));
        TP_SCur_z_17_8=dat2tp(SCur_z_17_8(:,i));
        TP_SCur_z_18_8=dat2tp(SCur_z_18_8(:,i));
        TP_SCur_z_19_8=dat2tp(SCur_z_19_8(:,i));
        TP_SCur_z_20_8=dat2tp(SCur_z_20_8(:,i));

        
        %Find rainflow stress cycles
        [RFC_SCur_y_1_8] = tp2rfc(TP_SCur_y_1_8);
        [RFC_SCur_y_2_8] = tp2rfc(TP_SCur_y_2_8);
        [RFC_SCur_y_3_8] = tp2rfc(TP_SCur_y_3_8);
        [RFC_SCur_y_4_8] = tp2rfc(TP_SCur_y_4_8);
        [RFC_SCur_y_5_8] = tp2rfc(TP_SCur_y_5_8);
        [RFC_SCur_y_6_8] = tp2rfc(TP_SCur_y_6_8);
        [RFC_SCur_y_7_8] = tp2rfc(TP_SCur_y_7_8);
        [RFC_SCur_y_8_8] = tp2rfc(TP_SCur_y_8_8);
        [RFC_SCur_y_9_8] = tp2rfc(TP_SCur_y_9_8);
        [RFC_SCur_y_10_8] = tp2rfc(TP_SCur_y_10_8);
        [RFC_SCur_y_11_8] = tp2rfc(TP_SCur_y_11_8);
        [RFC_SCur_y_12_8] = tp2rfc(TP_SCur_y_12_8);
        [RFC_SCur_y_13_8] = tp2rfc(TP_SCur_y_13_8);
        [RFC_SCur_y_14_8] = tp2rfc(TP_SCur_y_14_8);
        [RFC_SCur_y_15_8] = tp2rfc(TP_SCur_y_15_8);
        [RFC_SCur_y_16_8] = tp2rfc(TP_SCur_y_16_8);
        [RFC_SCur_y_17_8] = tp2rfc(TP_SCur_y_17_8);
        [RFC_SCur_y_18_8] = tp2rfc(TP_SCur_y_18_8);
        [RFC_SCur_y_19_8] = tp2rfc(TP_SCur_y_19_8);
        [RFC_SCur_y_20_8] = tp2rfc(TP_SCur_y_20_8);

        
        [RFC_SCur_z_1_8] = tp2rfc(TP_SCur_z_1_8);
        [RFC_SCur_z_2_8] = tp2rfc(TP_SCur_z_2_8);
        [RFC_SCur_z_3_8] = tp2rfc(TP_SCur_z_3_8);
        [RFC_SCur_z_4_8] = tp2rfc(TP_SCur_z_4_8);
        [RFC_SCur_z_5_8] = tp2rfc(TP_SCur_z_5_8);
        [RFC_SCur_z_6_8] = tp2rfc(TP_SCur_z_6_8);
        [RFC_SCur_z_7_8] = tp2rfc(TP_SCur_z_7_8);
        [RFC_SCur_z_8_8] = tp2rfc(TP_SCur_z_8_8);
        [RFC_SCur_z_9_8] = tp2rfc(TP_SCur_z_9_8);
        [RFC_SCur_z_10_8] = tp2rfc(TP_SCur_z_10_8);
        [RFC_SCur_z_11_8] = tp2rfc(TP_SCur_z_11_8);
        [RFC_SCur_z_12_8] = tp2rfc(TP_SCur_z_12_8);
        [RFC_SCur_z_13_8] = tp2rfc(TP_SCur_z_13_8);
        [RFC_SCur_z_14_8] = tp2rfc(TP_SCur_z_14_8);
        [RFC_SCur_z_15_8] = tp2rfc(TP_SCur_z_15_8);
        [RFC_SCur_z_16_8] = tp2rfc(TP_SCur_z_16_8);
        [RFC_SCur_z_17_8] = tp2rfc(TP_SCur_z_17_8);
        [RFC_SCur_z_18_8] = tp2rfc(TP_SCur_z_18_8);
        [RFC_SCur_z_19_8] = tp2rfc(TP_SCur_z_19_8);
        [RFC_SCur_z_20_8] = tp2rfc(TP_SCur_z_20_8);

        
        % One-year fatigue damage
        D_SCur_y_1_8(i) = cc2dam(RFC_SCur_y_1_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_2_8(i) = cc2dam(RFC_SCur_y_2_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_3_8(i) = cc2dam(RFC_SCur_y_3_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_4_8(i) = cc2dam(RFC_SCur_y_4_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_5_8(i) = cc2dam(RFC_SCur_y_5_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_6_8(i) = cc2dam(RFC_SCur_y_6_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_7_8(i) = cc2dam(RFC_SCur_y_7_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_8_8(i) = cc2dam(RFC_SCur_y_8_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_9_8(i) = cc2dam(RFC_SCur_y_9_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_10_8(i) = cc2dam(RFC_SCur_y_10_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_11_8(i) = cc2dam(RFC_SCur_y_11_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_y_12_8(i) = cc2dam(RFC_SCur_y_12_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_13_8(i) = cc2dam(RFC_SCur_y_13_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_14_8(i) = cc2dam(RFC_SCur_y_14_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_y_15_8(i) = cc2dam(RFC_SCur_y_15_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_16_8(i) = cc2dam(RFC_SCur_y_16_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_17_8(i) = cc2dam(RFC_SCur_y_17_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_18_8(i) = cc2dam(RFC_SCur_y_18_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_19_8(i) = cc2dam(RFC_SCur_y_19_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_y_20_8(i) = cc2dam(RFC_SCur_y_20_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;

        
        D_SCur_z_1_8(i) = cc2dam(RFC_SCur_z_1_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_2_8(i) = cc2dam(RFC_SCur_z_2_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_3_8(i) = cc2dam(RFC_SCur_z_3_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_4_8(i) = cc2dam(RFC_SCur_z_4_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_5_8(i) = cc2dam(RFC_SCur_z_5_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_6_8(i) = cc2dam(RFC_SCur_z_6_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_7_8(i) = cc2dam(RFC_SCur_z_7_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_8_8(i) = cc2dam(RFC_SCur_z_8_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_9_8(i) = cc2dam(RFC_SCur_z_9_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_10_8(i) = cc2dam(RFC_SCur_z_10_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_11_8(i) = cc2dam(RFC_SCur_z_11_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_z_12_8(i) = cc2dam(RFC_SCur_z_12_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_13_8(i) = cc2dam(RFC_SCur_z_13_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_14_8(i) = cc2dam(RFC_SCur_z_14_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_z_15_8(i) = cc2dam(RFC_SCur_z_15_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_16_8(i) = cc2dam(RFC_SCur_z_16_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_17_8(i) = cc2dam(RFC_SCur_z_17_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_18_8(i) = cc2dam(RFC_SCur_z_18_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_19_8(i) = cc2dam(RFC_SCur_z_19_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_z_20_8(i) = cc2dam(RFC_SCur_z_20_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;

 
    end
    
    %% 8 points around the circumference
    
    for theta=0:pi/4:7*pi/4
    SCur_1_8=(E*Cur_y_1_8*Ds/2*sin(theta)+E*Cur_z_1_8*Ds/2*cos(theta))*1e-6; 
    SCur_2_8=(E*Cur_y_2_8*Ds/2*sin(theta)+E*Cur_z_2_8*Ds/2*cos(theta))*1e-6;
    SCur_3_8=(E*Cur_y_3_8*Ds/2*sin(theta)+E*Cur_z_3_8*Ds/2*cos(theta))*1e-6;
    SCur_4_8=(E*Cur_y_4_8*Ds/2*sin(theta)+E*Cur_z_4_8*Ds/2*cos(theta))*1e-6;
    SCur_5_8=(E*Cur_y_5_8*Ds/2*sin(theta)+E*Cur_z_5_8*Ds/2*cos(theta))*1e-6;
    SCur_6_8=(E*Cur_y_6_8*Ds/2*sin(theta)+E*Cur_z_6_8*Ds/2*cos(theta))*1e-6;
    SCur_7_8=(E*Cur_y_7_8*Ds/2*sin(theta)+E*Cur_z_7_8*Ds/2*cos(theta))*1e-6;
    SCur_8_8=(E*Cur_y_8_8*Ds/2*sin(theta)+E*Cur_z_8_8*Ds/2*cos(theta))*1e-6;
    SCur_9_8=(E*Cur_y_9_8*Ds/2*sin(theta)+E*Cur_z_9_8*Ds/2*cos(theta))*1e-6;
    SCur_10_8=(E*Cur_y_10_8*Ds/2*sin(theta)+E*Cur_z_10_8*Ds/2*cos(theta))*1e-6;
    SCur_11_8=(E*Cur_y_11_8*Ds/2*sin(theta)+E*Cur_z_11_8*Ds/2*cos(theta))*1e-6;
    SCur_12_8=(E*Cur_y_12_8*Ds/2*sin(theta)+E*Cur_z_12_8*Ds/2*cos(theta))*1e-6;
    SCur_13_8=(E*Cur_y_13_8*Ds/2*sin(theta)+E*Cur_z_13_8*Ds/2*cos(theta))*1e-6;
    SCur_14_8=(E*Cur_y_14_8*Ds/2*sin(theta)+E*Cur_z_14_8*Ds/2*cos(theta))*1e-6;
    SCur_15_8=(E*Cur_y_15_8*Ds/2*sin(theta)+E*Cur_z_15_8*Ds/2*cos(theta))*1e-6;
    SCur_16_8=(E*Cur_y_16_8*Ds/2*sin(theta)+E*Cur_z_16_8*Ds/2*cos(theta))*1e-6;
    SCur_17_8=(E*Cur_y_17_8*Ds/2*sin(theta)+E*Cur_z_17_8*Ds/2*cos(theta))*1e-6;
    SCur_18_8=(E*Cur_y_18_8*Ds/2*sin(theta)+E*Cur_z_18_8*Ds/2*cos(theta))*1e-6;
    SCur_19_8=(E*Cur_y_19_8*Ds/2*sin(theta)+E*Cur_z_19_8*Ds/2*cos(theta))*1e-6;
    SCur_20_8=(E*Cur_y_20_8*Ds/2*sin(theta)+E*Cur_z_20_8*Ds/2*cos(theta))*1e-6;

    
    for i=1:length(SCur_y_1_8(1,:))
        %Find turning points in stress time series
        TP_SCur_1_8=dat2tp(SCur_1_8(:,i)); 
        TP_SCur_2_8=dat2tp(SCur_2_8(:,i));
        TP_SCur_3_8=dat2tp(SCur_3_8(:,i));
        TP_SCur_4_8=dat2tp(SCur_4_8(:,i));
        TP_SCur_5_8=dat2tp(SCur_5_8(:,i));
        TP_SCur_6_8=dat2tp(SCur_6_8(:,i));
        TP_SCur_7_8=dat2tp(SCur_7_8(:,i));
        TP_SCur_8_8=dat2tp(SCur_8_8(:,i));
        TP_SCur_9_8=dat2tp(SCur_9_8(:,i));
        TP_SCur_10_8=dat2tp(SCur_10_8(:,i));
        TP_SCur_11_8=dat2tp(SCur_11_8(:,i));
        TP_SCur_12_8=dat2tp(SCur_12_8(:,i));
        TP_SCur_13_8=dat2tp(SCur_13_8(:,i));
        TP_SCur_14_8=dat2tp(SCur_14_8(:,i));
        TP_SCur_15_8=dat2tp(SCur_15_8(:,i));
        TP_SCur_16_8=dat2tp(SCur_16_8(:,i));
        TP_SCur_17_8=dat2tp(SCur_17_8(:,i));
        TP_SCur_18_8=dat2tp(SCur_18_8(:,i));
        TP_SCur_19_8=dat2tp(SCur_19_8(:,i));
        TP_SCur_20_8=dat2tp(SCur_20_8(:,i));

        
        %Find rainflow stress cycles
        [RFC_SCur_1_8] = tp2rfc(TP_SCur_1_8);
        [RFC_SCur_2_8] = tp2rfc(TP_SCur_2_8);
        [RFC_SCur_3_8] = tp2rfc(TP_SCur_3_8);
        [RFC_SCur_4_8] = tp2rfc(TP_SCur_4_8);
        [RFC_SCur_5_8] = tp2rfc(TP_SCur_5_8);
        [RFC_SCur_6_8] = tp2rfc(TP_SCur_6_8);
        [RFC_SCur_7_8] = tp2rfc(TP_SCur_7_8);
        [RFC_SCur_8_8] = tp2rfc(TP_SCur_8_8);
        [RFC_SCur_9_8] = tp2rfc(TP_SCur_9_8);
        [RFC_SCur_10_8] = tp2rfc(TP_SCur_10_8);
        [RFC_SCur_11_8] = tp2rfc(TP_SCur_11_8);
        [RFC_SCur_12_8] = tp2rfc(TP_SCur_12_8);
        [RFC_SCur_13_8] = tp2rfc(TP_SCur_13_8);
        [RFC_SCur_14_8] = tp2rfc(TP_SCur_14_8);
        [RFC_SCur_15_8] = tp2rfc(TP_SCur_15_8);
        [RFC_SCur_16_8] = tp2rfc(TP_SCur_16_8);
        [RFC_SCur_17_8] = tp2rfc(TP_SCur_17_8);
        [RFC_SCur_18_8] = tp2rfc(TP_SCur_18_8);
        [RFC_SCur_19_8] = tp2rfc(TP_SCur_19_8);
        [RFC_SCur_20_8] = tp2rfc(TP_SCur_20_8);

        
        % One-year fatigue damage
        D_SCur_1_8(theta,i) = cc2dam(RFC_SCur_1_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_2_8(theta,i) = cc2dam(RFC_SCur_2_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_3_8(theta,i) = cc2dam(RFC_SCur_3_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_4_8(theta,i) = cc2dam(RFC_SCur_4_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_5_8(theta,i) = cc2dam(RFC_SCur_5_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_6_8(theta,i) = cc2dam(RFC_SCur_6_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_7_8(theta,i) = cc2dam(RFC_SCur_7_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_8_8(theta,i) = cc2dam(RFC_SCur_8_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_9_8(theta,i) = cc2dam(RFC_SCur_9_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_10_8(theta,i) = cc2dam(RFC_SCur_10_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_11_8(theta,i) = cc2dam(RFC_SCur_11_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_12_8(theta,i) = cc2dam(RFC_SCur_12_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_13_8(theta,i) = cc2dam(RFC_SCur_13_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_14_8(theta,i) = cc2dam(RFC_SCur_14_8,m0,K0)*2^m0/(ns11*dt11)*3600*24*365;
        D_SCur_15_8(theta,i) = cc2dam(RFC_SCur_15_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_16_8(theta,i) = cc2dam(RFC_SCur_16_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_17_8(theta,i) = cc2dam(RFC_SCur_17_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_18_8(theta,i) = cc2dam(RFC_SCur_18_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_19_8(theta,i) = cc2dam(RFC_SCur_19_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;
        D_SCur_20_8(theta,i) = cc2dam(RFC_SCur_20_8,m0,K0)*2^m0/(ns*dt)*3600*24*365;

        
    end
    end
 
%% Plots

%% Maximum Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_max_1_8)
plot(cord,SCur_y_max_2_8)
plot(cord,SCur_y_max_3_8)
plot(cord,SCur_y_max_4_8)
plot(cord,SCur_y_max_5_8)
plot(cord,SCur_y_max_6_8)
plot(cord,SCur_y_max_7_8)
plot(cord,SCur_y_max_8_8)
plot(cord,SCur_y_max_9_8)
plot(cord,SCur_y_max_10_8)
plot(cord,SCur_y_max_11_8)
plot(cord,SCur_y_max_12_8)
plot(cord,SCur_y_max_13_8)
plot(cord,SCur_y_max_14_8)
plot(cord,SCur_y_max_15_8)
plot(cord,SCur_y_max_16_8)
% plot(cord,SCur_y_max_17_8)
% plot(cord,SCur_y_max_18_8)
% plot(cord,SCur_y_max_19_8)
% plot(cord,SCur_y_max_20_8)

hold off
title('Maximum CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Minimum Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_min_1_8)
plot(cord,SCur_y_min_2_8)
plot(cord,SCur_y_min_3_8)
plot(cord,SCur_y_min_4_8)
plot(cord,SCur_y_min_5_8)
plot(cord,SCur_y_min_6_8)
plot(cord,SCur_y_min_7_8)
plot(cord,SCur_y_min_8_8)
plot(cord,SCur_y_min_9_8)
plot(cord,SCur_y_min_10_8)
plot(cord,SCur_y_min_11_8)
plot(cord,SCur_y_min_12_8)
plot(cord,SCur_y_min_13_8)
plot(cord,SCur_y_min_14_8)
plot(cord,SCur_y_min_15_8)
plot(cord,SCur_y_min_16_8)
% plot(cord,SCur_y_min_17_8)
% plot(cord,SCur_y_min_18_8)
% plot(cord,SCur_y_min_19_8)
% plot(cord,SCur_y_min_20_8)

hold off
title('Minimum CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Mean Bending stress about y-axis (CF) along the pipeline

figure
hold on
plot(cord,SCur_y_mean_1_8)
plot(cord,SCur_y_mean_2_8)
plot(cord,SCur_y_mean_3_8)
plot(cord,SCur_y_mean_4_8)
plot(cord,SCur_y_mean_5_8)
plot(cord,SCur_y_mean_6_8)
plot(cord,SCur_y_mean_7_8)
plot(cord,SCur_y_mean_8_8)
plot(cord,SCur_y_mean_9_8)
plot(cord,SCur_y_mean_10_8)
plot(cord,SCur_y_mean_11_8)
plot(cord,SCur_y_mean_12_8)
plot(cord,SCur_y_mean_13_8)
plot(cord,SCur_y_mean_14_8)
plot(cord,SCur_y_mean_15_8)
plot(cord,SCur_y_mean_16_8)
% plot(cord,SCur_y_mean_17_8)
% plot(cord,SCur_y_mean_18_8)
% plot(cord,SCur_y_mean_19_8)
% plot(cord,SCur_y_mean_20_8)

hold off
title('Mean CF Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Maximum Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_max_1_8)
plot(cord,SCur_z_max_2_8)
plot(cord,SCur_z_max_3_8)
plot(cord,SCur_z_max_4_8)
plot(cord,SCur_z_max_5_8)
plot(cord,SCur_z_max_6_8)
plot(cord,SCur_z_max_7_8)
plot(cord,SCur_z_max_8_8)
plot(cord,SCur_z_max_9_8)
plot(cord,SCur_z_max_10_8)
plot(cord,SCur_z_max_11_8)
plot(cord,SCur_z_max_12_8)
plot(cord,SCur_z_max_13_8)
plot(cord,SCur_z_max_14_8)
plot(cord,SCur_z_max_15_8)
plot(cord,SCur_z_max_16_8)
% plot(cord,SCur_z_max_17_8)
% plot(cord,SCur_z_max_18_8)
% plot(cord,SCur_z_max_19_8)
% plot(cord,SCur_z_max_20_8)

hold off
title('Maximum IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','east','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Minimum Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_min_1_8)
plot(cord,SCur_z_min_2_8)
plot(cord,SCur_z_min_3_8)
plot(cord,SCur_z_min_4_8)
plot(cord,SCur_z_min_5_8)
plot(cord,SCur_z_min_6_8)
plot(cord,SCur_z_min_7_8)
plot(cord,SCur_z_min_8_8)
plot(cord,SCur_z_min_9_8)
plot(cord,SCur_z_min_10_8)
plot(cord,SCur_z_min_11_8)
plot(cord,SCur_z_min_12_8)
plot(cord,SCur_z_min_13_8)
plot(cord,SCur_z_min_14_8)
plot(cord,SCur_z_min_15_8)
plot(cord,SCur_z_min_16_8)
% plot(cord,SCur_z_min_17_8)
% plot(cord,SCur_z_min_18_8)
% plot(cord,SCur_z_min_19_8)
% plot(cord,SCur_z_min_20_8)

hold off
title('Minimum IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','east','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)

%% Mean Bending stress about z-axis (IL) along the pipeline

figure
hold on
plot(cord,SCur_z_mean_1_8)
plot(cord,SCur_z_mean_2_8)
plot(cord,SCur_z_mean_3_8)
plot(cord,SCur_z_mean_4_8)
plot(cord,SCur_z_mean_5_8)
plot(cord,SCur_z_mean_6_8)
plot(cord,SCur_z_mean_7_8)
plot(cord,SCur_z_mean_8_8)
plot(cord,SCur_z_mean_9_8)
plot(cord,SCur_z_mean_10_8)
plot(cord,SCur_z_mean_11_8)
plot(cord,SCur_z_mean_12_8)
plot(cord,SCur_z_mean_13_8)
plot(cord,SCur_z_mean_14_8)
plot(cord,SCur_z_mean_15_8)
plot(cord,SCur_z_mean_16_8)
% plot(cord,SCur_z_mean_17_8)
% plot(cord,SCur_z_mean_18_8)
% plot(cord,SCur_z_mean_19_8)
% plot(cord,SCur_z_mean_20_8)

hold off
title('Mean IL Bending Stress','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Stress [MPa]','FontSize',20)


%% One-Year CF Fatigue Damage along the pipeline

figure
hold on
plot(cord,D_SCur_y_1_8)
plot(cord,D_SCur_y_2_8)
plot(cord,D_SCur_y_3_8)
plot(cord,D_SCur_y_4_8)
plot(cord,D_SCur_y_5_8)
plot(cord,D_SCur_y_6_8)
plot(cord,D_SCur_y_7_8)
plot(cord,D_SCur_y_8_8)
plot(cord,D_SCur_y_9_8)
plot(cord,D_SCur_y_10_8)
plot(cord,D_SCur_y_11_8)
plot(cord,D_SCur_y_12_8)
plot(cord,D_SCur_y_13_8)
plot(cord,D_SCur_y_14_8)
plot(cord,D_SCur_y_15_8)
plot(cord,D_SCur_y_16_8)
% plot(cord,D_SCur_y_17_8)
% plot(cord,D_SCur_y_18_8)
% plot(cord,D_SCur_y_19_8)
% plot(cord,D_SCur_y_20_8)

hold off
title('CF Fatigue Damage','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Damage','FontSize',20)

%% One-Year IL Fatigue Damage along the pipeline

figure
hold on
plot(cord,D_SCur_z_1_8)
plot(cord,D_SCur_z_2_8)
plot(cord,D_SCur_z_3_8)
plot(cord,D_SCur_z_4_8)
plot(cord,D_SCur_z_5_8)
plot(cord,D_SCur_z_6_8)
plot(cord,D_SCur_z_7_8)
plot(cord,D_SCur_z_8_8)
plot(cord,D_SCur_z_9_8)
plot(cord,D_SCur_z_10_8)
plot(cord,D_SCur_z_11_8)
plot(cord,D_SCur_z_12_8)
plot(cord,D_SCur_z_13_8)
plot(cord,D_SCur_z_14_8)
plot(cord,D_SCur_z_15_8)
plot(cord,D_SCur_z_16_8)
% plot(cord,D_SCur_z_17_8)
% plot(cord,D_SCur_z_18_8)
% plot(cord,D_SCur_z_19_8)
% plot(cord,D_SCur_z_20_8)

hold off
title('IL Fatigue Damage','FontSize',20)
legend('0.5 m/s','0.6 m/s','0.7 m/s','0.8 m/s','0.9 m/s','1.0 m/s','1.1 m/s','1.2 m/s','1.3 m/s','1.4 m/s','1.5 m/s','1.6 m/s','1.7 m/s','1.8 m/s','1.9 m/s','2.0 m/s','2.1 m/s','2.2 m/s','2.3 m/s','2.4 m/s','location','best','FontSize',15)
xlabel('Position [m]','FontSize',20)
ylabel('Damage','FontSize',20)
