clc
clear all
close all

%% Note !!!!! After finishing post-processing using this script Save!!!
%% the workspace as 'Displacement_post_processed_8.mat'. It will be used
%% afterwards for the comparative study

%% Loading displacement data for the 20 examined current velocities
R1 = load('sima_noddis_1.asc', '-ascii');
R2 = load('sima_noddis_2.asc', '-ascii');
R3 = load('sima_noddis_3.asc', '-ascii');
R4 = load('sima_noddis_4.asc', '-ascii');
R5 = load('sima_noddis_5.asc', '-ascii');
R6 = load('sima_noddis_6.asc', '-ascii');
R7 = load('sima_noddis_7.asc', '-ascii');
R8 = load('sima_noddis_8.asc', '-ascii');
R9 = load('sima_noddis_9.asc', '-ascii');
R10 = load('sima_noddis_10.asc', '-ascii');
R11 = load('sima_noddis_11.asc', '-ascii');
R12 = load('sima_noddis_12.asc', '-ascii');
R13 = load('sima_noddis_13.asc', '-ascii');
R14 = load('sima_noddis_14.asc', '-ascii');
R15 = load('sima_noddis_15.asc', '-ascii');
R16 = load('sima_noddis_16.asc', '-ascii');
R17 = load('sima_noddis_17.asc', '-ascii');
R18 = load('sima_noddis_18.asc', '-ascii');
R19 = load('sima_noddis_19.asc', '-ascii');
R20 = load('sima_noddis_20.asc', '-ascii');

%% Load Static Configuration
Static_yz_8 = load('Static_yz_8.asc', '-ascii');

%% Removing transient
R1(1:23999,:)=[];
R2(1:23999,:)=[];
R3(1:23999,:)=[];
R4(1:23999,:)=[];
R5(1:23999,:)=[];
R6(1:23999,:)=[];
R7(1:23999,:)=[];
R8(1:23999,:)=[];
R9(1:23999,:)=[];
R10(1:23999,:)=[];
% R11(1:23999,:)=[];
R11(1:69999,:)=[];% a smaller timestep was used for this velocity
R12(1:23999,:)=[];
R13(1:23999,:)=[];
% R14(1:23999,:)=[];
R14(1:69999,:)=[];% a smaller timestep was used for this velocity
R15(1:23999,:)=[];
R16(1:23999,:)=[];
R17(1:23999,:)=[];
R18(1:23999,:)=[];
R19(1:23999,:)=[];
R20(1:23999,:)=[];

%% IL Response
% Time series of IL Displacement
for n=1:(length(R1(1,:))-1)/3 
    counter=3*n;
Res_y_1_8(:,n)=R1(:,counter);
Res_y_2_8(:,n)=R2(:,counter);
Res_y_3_8(:,n)=R3(:,counter);
Res_y_4_8(:,n)=R4(:,counter);
Res_y_5_8(:,n)=R5(:,counter);
Res_y_6_8(:,n)=R6(:,counter);
Res_y_7_8(:,n)=R7(:,counter);
Res_y_8_8(:,n)=R8(:,counter);
Res_y_9_8(:,n)=R9(:,counter);
Res_y_10_8(:,n)=R10(:,counter);
Res_y_11_8(:,n)=R11(:,counter);
Res_y_12_8(:,n)=R12(:,counter);
Res_y_13_8(:,n)=R13(:,counter);
Res_y_14_8(:,n)=R14(:,counter);
Res_y_15_8(:,n)=R15(:,counter);
Res_y_16_8(:,n)=R16(:,counter);
Res_y_17_8(:,n)=R17(:,counter);
Res_y_18_8(:,n)=R18(:,counter);
Res_y_19_8(:,n)=R19(:,counter);
Res_y_20_8(:,n)=R20(:,counter);
end

%%
% Removing overlapping nodes
Res_y_1_8=[Res_y_1_8(:,1:61),Res_y_1_8(:,63:82),Res_y_1_8(:,84:97),Res_y_1_8(:,99:118),Res_y_1_8(:,120:179)];
Res_y_2_8=[Res_y_2_8(:,1:61),Res_y_2_8(:,63:82),Res_y_2_8(:,84:97),Res_y_2_8(:,99:118),Res_y_2_8(:,120:179)];
Res_y_3_8=[Res_y_3_8(:,1:61),Res_y_3_8(:,63:82),Res_y_3_8(:,84:97),Res_y_3_8(:,99:118),Res_y_3_8(:,120:179)];
Res_y_4_8=[Res_y_4_8(:,1:61),Res_y_4_8(:,63:82),Res_y_4_8(:,84:97),Res_y_4_8(:,99:118),Res_y_4_8(:,120:179)];
Res_y_5_8=[Res_y_5_8(:,1:61),Res_y_5_8(:,63:82),Res_y_5_8(:,84:97),Res_y_5_8(:,99:118),Res_y_5_8(:,120:179)];
Res_y_6_8=[Res_y_6_8(:,1:61),Res_y_6_8(:,63:82),Res_y_6_8(:,84:97),Res_y_6_8(:,99:118),Res_y_6_8(:,120:179)];
Res_y_7_8=[Res_y_7_8(:,1:61),Res_y_7_8(:,63:82),Res_y_7_8(:,84:97),Res_y_7_8(:,99:118),Res_y_7_8(:,120:179)];
Res_y_8_8=[Res_y_8_8(:,1:61),Res_y_8_8(:,63:82),Res_y_8_8(:,84:97),Res_y_8_8(:,99:118),Res_y_8_8(:,120:179)];
Res_y_9_8=[Res_y_9_8(:,1:61),Res_y_9_8(:,63:82),Res_y_9_8(:,84:97),Res_y_9_8(:,99:118),Res_y_9_8(:,120:179)];
Res_y_10_8=[Res_y_10_8(:,1:61),Res_y_10_8(:,63:82),Res_y_10_8(:,84:97),Res_y_10_8(:,99:118),Res_y_10_8(:,120:179)];
Res_y_11_8=[Res_y_11_8(:,1:61),Res_y_11_8(:,63:82),Res_y_11_8(:,84:97),Res_y_11_8(:,99:118),Res_y_11_8(:,120:179)];
Res_y_12_8=[Res_y_12_8(:,1:61),Res_y_12_8(:,63:82),Res_y_12_8(:,84:97),Res_y_12_8(:,99:118),Res_y_12_8(:,120:179)];
Res_y_13_8=[Res_y_13_8(:,1:61),Res_y_13_8(:,63:82),Res_y_13_8(:,84:97),Res_y_13_8(:,99:118),Res_y_13_8(:,120:179)];
Res_y_14_8=[Res_y_14_8(:,1:61),Res_y_14_8(:,63:82),Res_y_14_8(:,84:97),Res_y_14_8(:,99:118),Res_y_14_8(:,120:179)];
Res_y_15_8=[Res_y_15_8(:,1:61),Res_y_15_8(:,63:82),Res_y_15_8(:,84:97),Res_y_15_8(:,99:118),Res_y_15_8(:,120:179)];
Res_y_16_8=[Res_y_16_8(:,1:61),Res_y_16_8(:,63:82),Res_y_16_8(:,84:97),Res_y_16_8(:,99:118),Res_y_16_8(:,120:179)];
Res_y_17_8=[Res_y_17_8(:,1:61),Res_y_17_8(:,63:82),Res_y_17_8(:,84:97),Res_y_17_8(:,99:118),Res_y_17_8(:,120:179)];
Res_y_18_8=[Res_y_18_8(:,1:61),Res_y_18_8(:,63:82),Res_y_18_8(:,84:97),Res_y_18_8(:,99:118),Res_y_18_8(:,120:179)];
Res_y_19_8=[Res_y_19_8(:,1:61),Res_y_19_8(:,63:82),Res_y_19_8(:,84:97),Res_y_19_8(:,99:118),Res_y_19_8(:,120:179)];
Res_y_20_8=[Res_y_20_8(:,1:61),Res_y_20_8(:,63:82),Res_y_20_8(:,84:97),Res_y_20_8(:,99:118),Res_y_20_8(:,120:179)];


%% CF Response
% Time series of CF Displacement
for n=1:(length(R1(1,:))-1)/3 
    counter=3*n+1;
Res_z_1_8(:,n)=R1(:,counter);
Res_z_2_8(:,n)=R2(:,counter);
Res_z_3_8(:,n)=R3(:,counter);
Res_z_4_8(:,n)=R4(:,counter);
Res_z_5_8(:,n)=R5(:,counter);
Res_z_6_8(:,n)=R6(:,counter);
Res_z_7_8(:,n)=R7(:,counter);
Res_z_8_8(:,n)=R8(:,counter);
Res_z_9_8(:,n)=R9(:,counter);
Res_z_10_8(:,n)=R10(:,counter);
Res_z_11_8(:,n)=R11(:,counter);
Res_z_12_8(:,n)=R12(:,counter);
Res_z_13_8(:,n)=R13(:,counter);
Res_z_14_8(:,n)=R14(:,counter);
Res_z_15_8(:,n)=R15(:,counter);
Res_z_16_8(:,n)=R16(:,counter);
Res_z_17_8(:,n)=R17(:,counter);
Res_z_18_8(:,n)=R18(:,counter);
Res_z_19_8(:,n)=R19(:,counter);
Res_z_20_8(:,n)=R20(:,counter);
end

%%
% Removing overlapping nodes
Res_z_1_8=[Res_z_1_8(:,1:61),Res_z_1_8(:,63:82),Res_z_1_8(:,84:97),Res_z_1_8(:,99:118),Res_z_1_8(:,120:179)];
Res_z_2_8=[Res_z_2_8(:,1:61),Res_z_2_8(:,63:82),Res_z_2_8(:,84:97),Res_z_2_8(:,99:118),Res_z_2_8(:,120:179)];
Res_z_3_8=[Res_z_3_8(:,1:61),Res_z_3_8(:,63:82),Res_z_3_8(:,84:97),Res_z_3_8(:,99:118),Res_z_3_8(:,120:179)];
Res_z_4_8=[Res_z_4_8(:,1:61),Res_z_4_8(:,63:82),Res_z_4_8(:,84:97),Res_z_4_8(:,99:118),Res_z_4_8(:,120:179)];
Res_z_5_8=[Res_z_5_8(:,1:61),Res_z_5_8(:,63:82),Res_z_5_8(:,84:97),Res_z_5_8(:,99:118),Res_z_5_8(:,120:179)];
Res_z_6_8=[Res_z_6_8(:,1:61),Res_z_6_8(:,63:82),Res_z_6_8(:,84:97),Res_z_6_8(:,99:118),Res_z_6_8(:,120:179)];
Res_z_7_8=[Res_z_7_8(:,1:61),Res_z_7_8(:,63:82),Res_z_7_8(:,84:97),Res_z_7_8(:,99:118),Res_z_7_8(:,120:179)];
Res_z_8_8=[Res_z_8_8(:,1:61),Res_z_8_8(:,63:82),Res_z_8_8(:,84:97),Res_z_8_8(:,99:118),Res_z_8_8(:,120:179)];
Res_z_9_8=[Res_z_9_8(:,1:61),Res_z_9_8(:,63:82),Res_z_9_8(:,84:97),Res_z_9_8(:,99:118),Res_z_9_8(:,120:179)];
Res_z_10_8=[Res_z_10_8(:,1:61),Res_z_10_8(:,63:82),Res_z_10_8(:,84:97),Res_z_10_8(:,99:118),Res_z_10_8(:,120:179)];
Res_z_11_8=[Res_z_11_8(:,1:61),Res_z_11_8(:,63:82),Res_z_11_8(:,84:97),Res_z_11_8(:,99:118),Res_z_11_8(:,120:179)];
Res_z_12_8=[Res_z_12_8(:,1:61),Res_z_12_8(:,63:82),Res_z_12_8(:,84:97),Res_z_12_8(:,99:118),Res_z_12_8(:,120:179)];
Res_z_13_8=[Res_z_13_8(:,1:61),Res_z_13_8(:,63:82),Res_z_13_8(:,84:97),Res_z_13_8(:,99:118),Res_z_13_8(:,120:179)];
Res_z_14_8=[Res_z_14_8(:,1:61),Res_z_14_8(:,63:82),Res_z_14_8(:,84:97),Res_z_14_8(:,99:118),Res_z_14_8(:,120:179)];
Res_z_15_8=[Res_z_15_8(:,1:61),Res_z_15_8(:,63:82),Res_z_15_8(:,84:97),Res_z_15_8(:,99:118),Res_z_15_8(:,120:179)];
Res_z_16_8=[Res_z_16_8(:,1:61),Res_z_16_8(:,63:82),Res_z_16_8(:,84:97),Res_z_16_8(:,99:118),Res_z_16_8(:,120:179)];
Res_z_17_8=[Res_z_17_8(:,1:61),Res_z_17_8(:,63:82),Res_z_17_8(:,84:97),Res_z_17_8(:,99:118),Res_z_17_8(:,120:179)];
Res_z_18_8=[Res_z_18_8(:,1:61),Res_z_18_8(:,63:82),Res_z_18_8(:,84:97),Res_z_18_8(:,99:118),Res_z_18_8(:,120:179)];
Res_z_19_8=[Res_z_19_8(:,1:61),Res_z_19_8(:,63:82),Res_z_19_8(:,84:97),Res_z_19_8(:,99:118),Res_z_19_8(:,120:179)];
Res_z_20_8=[Res_z_20_8(:,1:61),Res_z_20_8(:,63:82),Res_z_20_8(:,84:97),Res_z_20_8(:,99:118),Res_z_20_8(:,120:179)];

%%
%% General Input
D=0.702;                       % Hydrodynamic Diameter [m]
Ds=0.61;                       % Steel Pipe Diameter [m]
L=114;                         %Length [m]
nnod=length(Res_y_1_8(1,:));   %Number of nodes
cord(1:61)=0:30/60:30;         %Length coordinates along the pipe
cord(61:81)=30:20.25/20:50.25;
cord(81:95)=50.25:13.5/14:63.75;
cord(95:115)=63.75:20.25/20:84;
cord(115:175)=84:30/60:114;
t11=R11(:,1)-R11(1,1);         %Time vector for the special cases
ns11=length(t11);              %Number of data points for the special cases
dt11=t11(2)-t11(1);            %Time step of sample for the special cases
Fs11=1/dt11;                   %Sampling frequency for the special cases

t=R1(:,1)-R1(1,1);             %Time vector
ns=length(t);                  %Number of data points
dt=t(2)-t(1);                  %Time step of sample
Fs=1/dt;                       %Sampling frequency
u_cur=0.5:0.1:2.4;             %Current velocities

%% Seafloor Configurations
Seafloor_disp_8 = load('Seafloor_disp_8.asc', '-ascii');
Seafloor_z_initial_8=zeros(1,175);
Seafloor_x_initial_8=cord;
Seafloor_z_initial_8(1:61)=-399.8;
Seafloor_z_initial_8(62:114)=-401.0;
Seafloor_z_initial_8(115:175)=-399.8;
Seafloor_x_final_8=zeros(20,175);
Seafloor_z_final_8=zeros(20,175);
for n=1:20
    counter=2*n-1;
    Seafloor_x_final_8(n,:)=Seafloor_x_initial_8+Seafloor_disp_8(:,counter)';
end
for n=1:20
    counter=2*n;
    Seafloor_z_final_8(n,:)=Seafloor_z_initial_8-Seafloor_disp_8(:,counter)';
    Seafloor_z_final_8(n,61)=Static_yz_8(61,counter)';
end

%%
%% Remove Static Configuration of IL Displacement (not used in the analysis)
%     for n=1:nnod
%         Res_y_1_8(:,n)=Res_y_1_8(:,n)-Static_yz_8(n,1);
%         Res_y_2_8(:,n)=Res_y_2_8(:,n)-Static_yz_8(n,3);
%         Res_y_3_8(:,n)=Res_y_3_8(:,n)-Static_yz_8(n,5);
%         Res_y_4_8(:,n)=Res_y_4_8(:,n)-Static_yz_8(n,7);
%         Res_y_5_8(:,n)=Res_y_5_8(:,n)-Static_yz_8(n,9);
%         Res_y_6_8(:,n)=Res_y_6_8(:,n)-Static_yz_8(n,11);
%         Res_y_7_8(:,n)=Res_y_7_8(:,n)-Static_yz_8(n,13);
%         Res_y_8_8(:,n)=Res_y_8_8(:,n)-Static_yz_8(n,15);
%         Res_y_9_8(:,n)=Res_y_9_8(:,n)-Static_yz_8(n,17);
%         Res_y_10_8(:,n)=Res_y_10_8(:,n)-Static_yz_8(n,19);
%         Res_y_11_8(:,n)=Res_y_11_8(:,n)-Static_yz_8(n,21);
%         Res_y_12_8(:,n)=Res_y_12_8(:,n)-Static_yz_8(n,23);
%         Res_y_13_8(:,n)=Res_y_13_8(:,n)-Static_yz_8(n,25);
%         Res_y_14_8(:,n)=Res_y_14_8(:,n)-Static_yz_8(n,27);
%         Res_y_15_8(:,n)=Res_y_15_8(:,n)-Static_yz_8(n,29);
%         Res_y_16_8(:,n)=Res_y_16_8(:,n)-Static_yz_8(n,31);
%         Res_y_17_8(:,n)=Res_y_17_8(:,n)-Static_yz_8(n,33);
%         Res_y_18_8(:,n)=Res_y_18_8(:,n)-Static_yz_8(n,35);
%         Res_y_19_8(:,n)=Res_y_19_8(:,n)-Static_yz_8(n,37);
%         Res_y_20_8(:,n)=Res_y_20_8(:,n)-Static_yz_8(n,39);        
%     end
    
    %%
%% Remove Static Configuration of CF Displacement (not used in the analysis)
%     for n=1:nnod
%         Res_z_1_8(:,n)=Res_z_1_8(:,n)-Static_yz_8(n,2);
%         Res_z_2_8(:,n)=Res_z_2_8(:,n)-Static_yz_8(n,4);
%         Res_z_3_8(:,n)=Res_z_3_8(:,n)-Static_yz_8(n,6);
%         Res_z_4_8(:,n)=Res_z_4_8(:,n)-Static_yz_8(n,8);
%         Res_z_5_8(:,n)=Res_z_5_8(:,n)-Static_yz_8(n,10);
%         Res_z_6_8(:,n)=Res_z_6_8(:,n)-Static_yz_8(n,12);
%         Res_z_7_8(:,n)=Res_z_7_8(:,n)-Static_yz_8(n,14);
%         Res_z_8_8(:,n)=Res_z_8_8(:,n)-Static_yz_8(n,16);
%         Res_z_9_8(:,n)=Res_z_9_8(:,n)-Static_yz_8(n,18);
%         Res_z_10_8(:,n)=Res_z_10_8(:,n)-Static_yz_8(n,20);
%         Res_z_11_8(:,n)=Res_z_11_8(:,n)-Static_yz_8(n,22);
%         Res_z_12_8(:,n)=Res_z_12_8(:,n)-Static_yz_8(n,24);
%         Res_z_13_8(:,n)=Res_z_13_8(:,n)-Static_yz_8(n,26);
%         Res_z_14_8(:,n)=Res_z_14_8(:,n)-Static_yz_8(n,28);
%         Res_z_15_8(:,n)=Res_z_15_8(:,n)-Static_yz_8(n,30);
%         Res_z_16_8(:,n)=Res_z_16_8(:,n)-Static_yz_8(n,32);
%         Res_z_17_8(:,n)=Res_z_17_8(:,n)-Static_yz_8(n,34);
%         Res_z_18_8(:,n)=Res_z_18_8(:,n)-Static_yz_8(n,36);
%         Res_z_19_8(:,n)=Res_z_19_8(:,n)-Static_yz_8(n,38);
%         Res_z_20_8(:,n)=Res_z_20_8(:,n)-Static_yz_8(n,40);
%     end

%% Finding maximum response amplitudes Amax in the IL direction
A_y_max_8=zeros(1,20);
Index_8=zeros(1,20);
[A_y_max_8(1),Index_8(1)]=max((max(Res_y_1_8(:,:))-min(Res_y_1_8(:,:)))/2);
[A_y_max_8(2),Index_8(2)]=max((max(Res_y_2_8(:,:))-min(Res_y_2_8(:,:)))/2);
[A_y_max_8(3),Index_8(3)]=max((max(Res_y_3_8(:,:))-min(Res_y_3_8(:,:)))/2);
[A_y_max_8(4),Index_8(4)]=max((max(Res_y_4_8(:,:))-min(Res_y_4_8(:,:)))/2);
[A_y_max_8(5),Index_8(5)]=max((max(Res_y_5_8(:,:))-min(Res_y_5_8(:,:)))/2);
[A_y_max_8(6),Index_8(6)]=max((max(Res_y_6_8(:,:))-min(Res_y_6_8(:,:)))/2);
[A_y_max_8(7),Index_8(7)]=max((max(Res_y_7_8(:,:))-min(Res_y_7_8(:,:)))/2);
[A_y_max_8(8),Index_8(8)]=max((max(Res_y_8_8(:,:))-min(Res_y_8_8(:,:)))/2);
[A_y_max_8(9),Index_8(9)]=max((max(Res_y_9_8(:,:))-min(Res_y_9_8(:,:)))/2);
[A_y_max_8(10),Index_8(10)]=max((max(Res_y_10_8(:,:))-min(Res_y_10_8(:,:)))/2);
[A_y_max_8(11),Index_8(11)]=max((max(Res_y_11_8(:,:))-min(Res_y_11_8(:,:)))/2);
[A_y_max_8(12),Index_8(12)]=max((max(Res_y_12_8(:,:))-min(Res_y_12_8(:,:)))/2);
[A_y_max_8(13),Index_8(13)]=max((max(Res_y_13_8(:,:))-min(Res_y_13_8(:,:)))/2);
[A_y_max_8(14),Index_8(14)]=max((max(Res_y_14_8(:,:))-min(Res_y_14_8(:,:)))/2);
[A_y_max_8(15),Index_8(15)]=max((max(Res_y_15_8(:,:))-min(Res_y_15_8(:,:)))/2);
[A_y_max_8(16),Index_8(16)]=max((max(Res_y_16_8(:,:))-min(Res_y_16_8(:,:)))/2);
[A_y_max_8(17),Index_8(17)]=max((max(Res_y_17_8(:,:))-min(Res_y_17_8(:,:)))/2);
[A_y_max_8(18),Index_8(18)]=max((max(Res_y_18_8(:,:))-min(Res_y_18_8(:,:)))/2);
[A_y_max_8(19),Index_8(19)]=max((max(Res_y_19_8(:,:))-min(Res_y_19_8(:,:)))/2);
[A_y_max_8(20),Index_8(20)]=max((max(Res_y_20_8(:,:))-min(Res_y_20_8(:,:)))/2);

%% Finding maximum response amplitudes Amax in the CF direction
A_z_max_8=zeros(1,20);
Index_z_8=zeros(1,20);
[A_z_max_8(1),Index_z_8(1)]=max((max(Res_z_1_8(:,:))-min(Res_z_1_8(:,:)))/2);
[A_z_max_8(2),Index_z_8(2)]=max((max(Res_z_2_8(:,:))-min(Res_z_2_8(:,:)))/2);
[A_z_max_8(3),Index_z_8(3)]=max((max(Res_z_3_8(:,:))-min(Res_z_3_8(:,:)))/2);
[A_z_max_8(4),Index_z_8(4)]=max((max(Res_z_4_8(:,:))-min(Res_z_4_8(:,:)))/2);
[A_z_max_8(5),Index_z_8(5)]=max((max(Res_z_5_8(:,:))-min(Res_z_5_8(:,:)))/2);
[A_z_max_8(6),Index_z_8(6)]=max((max(Res_z_6_8(:,:))-min(Res_z_6_8(:,:)))/2);
[A_z_max_8(7),Index_z_8(7)]=max((max(Res_z_7_8(:,:))-min(Res_z_7_8(:,:)))/2);
[A_z_max_8(8),Index_z_8(8)]=max((max(Res_z_8_8(:,:))-min(Res_z_8_8(:,:)))/2);
[A_z_max_8(9),Index_z_8(9)]=max((max(Res_z_9_8(:,:))-min(Res_z_9_8(:,:)))/2);
[A_z_max_8(10),Index_z_8(10)]=max((max(Res_z_10_8(:,:))-min(Res_z_10_8(:,:)))/2);
[A_z_max_8(11),Index_z_8(11)]=max((max(Res_z_11_8(:,:))-min(Res_z_11_8(:,:)))/2);
[A_z_max_8(12),Index_z_8(12)]=max((max(Res_z_12_8(:,:))-min(Res_z_12_8(:,:)))/2);
[A_z_max_8(13),Index_z_8(13)]=max((max(Res_z_13_8(:,:))-min(Res_z_13_8(:,:)))/2);
[A_z_max_8(14),Index_z_8(14)]=max((max(Res_z_14_8(:,:))-min(Res_z_14_8(:,:)))/2);
[A_z_max_8(15),Index_z_8(15)]=max((max(Res_z_15_8(:,:))-min(Res_z_15_8(:,:)))/2);
[A_z_max_8(16),Index_z_8(16)]=max((max(Res_z_16_8(:,:))-min(Res_z_16_8(:,:)))/2);
[A_z_max_8(17),Index_z_8(17)]=max((max(Res_z_17_8(:,:))-min(Res_z_17_8(:,:)))/2);
[A_z_max_8(18),Index_z_8(18)]=max((max(Res_z_18_8(:,:))-min(Res_z_18_8(:,:)))/2);
[A_z_max_8(19),Index_z_8(19)]=max((max(Res_z_19_8(:,:))-min(Res_z_19_8(:,:)))/2);
[A_z_max_8(20),Index_z_8(20)]=max((max(Res_z_20_8(:,:))-min(Res_z_20_8(:,:)))/2);


%% Calculation of spectra

% IL response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective IL responses
resp_y_1_8=[t Res_y_1_8(:,Index_8(1))];
resp_y_2_8=[t Res_y_2_8(:,Index_8(2))];
resp_y_3_8=[t Res_y_3_8(:,Index_8(3))];
resp_y_4_8=[t Res_y_4_8(:,Index_8(4))];
resp_y_5_8=[t Res_y_5_8(:,Index_8(5))];
resp_y_6_8=[t Res_y_6_8(:,Index_8(6))];
resp_y_7_8=[t Res_y_7_8(:,Index_8(7))];
resp_y_8_8=[t Res_y_8_8(:,Index_8(8))];
resp_y_9_8=[t Res_y_9_8(:,Index_8(9))];
resp_y_10_8=[t Res_y_10_8(:,Index_8(10))];
resp_y_11_8=[t11 Res_y_11_8(:,Index_8(11))];
resp_y_12_8=[t Res_y_12_8(:,Index_8(12))];
resp_y_13_8=[t Res_y_13_8(:,Index_8(13))];
resp_y_14_8=[t11 Res_y_14_8(:,Index_8(14))];
resp_y_15_8=[t Res_y_15_8(:,Index_8(15))];
resp_y_16_8=[t Res_y_16_8(:,Index_8(16))];
resp_y_17_8=[t Res_y_17_8(:,Index_8(17))];
resp_y_18_8=[t Res_y_18_8(:,Index_8(18))];
resp_y_19_8=[t Res_y_19_8(:,Index_8(19))];
resp_y_20_8=[t Res_y_20_8(:,Index_8(20))];


% Structure to be used in WAFO

Sp_y_1_8=dat2spec(resp_y_1_8,1000);
Sp_y_2_8=dat2spec(resp_y_2_8,1000);
Sp_y_3_8=dat2spec(resp_y_3_8,1000);
Sp_y_4_8=dat2spec(resp_y_4_8,1000);
Sp_y_5_8=dat2spec(resp_y_5_8,1000);
Sp_y_6_8=dat2spec(resp_y_6_8,1000);
Sp_y_7_8=dat2spec(resp_y_7_8,1000);
Sp_y_8_8=dat2spec(resp_y_8_8,1000);
Sp_y_9_8=dat2spec(resp_y_9_8,1000);
Sp_y_10_8=dat2spec(resp_y_10_8,1000);
Sp_y_11_8=dat2spec(resp_y_11_8,1000);
Sp_y_12_8=dat2spec(resp_y_12_8,1000);
Sp_y_13_8=dat2spec(resp_y_13_8,1000);
Sp_y_14_8=dat2spec(resp_y_14_8,1000);
Sp_y_15_8=dat2spec(resp_y_15_8,1000);
Sp_y_16_8=dat2spec(resp_y_16_8,1000);
Sp_y_17_8=dat2spec(resp_y_17_8,1000);
Sp_y_18_8=dat2spec(resp_y_18_8,1000);
Sp_y_19_8=dat2spec(resp_y_19_8,1000);
Sp_y_20_8=dat2spec(resp_y_20_8,1000);


% Response Spectra of the IL Response Calculated using WAFO

Spec_y_1_8=Sp_y_1_8.S*2*pi; 
Spec_y_2_8=Sp_y_2_8.S*2*pi;
Spec_y_3_8=Sp_y_3_8.S*2*pi;
Spec_y_4_8=Sp_y_4_8.S*2*pi;
Spec_y_5_8=Sp_y_5_8.S*2*pi;
Spec_y_6_8=Sp_y_6_8.S*2*pi;
Spec_y_7_8=Sp_y_7_8.S*2*pi;
Spec_y_8_8=Sp_y_8_8.S*2*pi;
Spec_y_9_8=Sp_y_9_8.S*2*pi;
Spec_y_10_8=Sp_y_10_8.S*2*pi;
Spec_y_11_8=Sp_y_11_8.S*2*pi;
Spec_y_12_8=Sp_y_12_8.S*2*pi;
Spec_y_13_8=Sp_y_13_8.S*2*pi;
Spec_y_14_8=Sp_y_14_8.S*2*pi;
Spec_y_15_8=Sp_y_15_8.S*2*pi;
Spec_y_16_8=Sp_y_16_8.S*2*pi;
Spec_y_17_8=Sp_y_17_8.S*2*pi;
Spec_y_18_8=Sp_y_18_8.S*2*pi;
Spec_y_19_8=Sp_y_19_8.S*2*pi;
Spec_y_20_8=Sp_y_20_8.S*2*pi;


% Frequencies of the IL Response calculated using WAFO

Freq_y_1_8=Sp_y_1_8.w/(2*pi);
Freq_y_2_8=Sp_y_2_8.w/(2*pi);
Freq_y_3_8=Sp_y_3_8.w/(2*pi);
Freq_y_4_8=Sp_y_4_8.w/(2*pi);
Freq_y_5_8=Sp_y_5_8.w/(2*pi);
Freq_y_6_8=Sp_y_6_8.w/(2*pi);
Freq_y_7_8=Sp_y_7_8.w/(2*pi);
Freq_y_8_8=Sp_y_8_8.w/(2*pi);
Freq_y_9_8=Sp_y_9_8.w/(2*pi);
Freq_y_10_8=Sp_y_10_8.w/(2*pi);
Freq_y_11_8=Sp_y_11_8.w/(2*pi);
Freq_y_12_8=Sp_y_12_8.w/(2*pi);
Freq_y_13_8=Sp_y_13_8.w/(2*pi);
Freq_y_14_8=Sp_y_14_8.w/(2*pi);
Freq_y_15_8=Sp_y_15_8.w/(2*pi);
Freq_y_16_8=Sp_y_16_8.w/(2*pi);
Freq_y_17_8=Sp_y_17_8.w/(2*pi);
Freq_y_18_8=Sp_y_18_8.w/(2*pi);
Freq_y_19_8=Sp_y_19_8.w/(2*pi);
Freq_y_20_8=Sp_y_20_8.w/(2*pi);


%Finding the peak frequency of the IL Response
[Mx1_8,Ix1_8]=max(Spec_y_1_8(:));
[Mx2_8,Ix2_8]=max(Spec_y_2_8(:));
[Mx3_8,Ix3_8]=max(Spec_y_3_8(:));
[Mx4_8,Ix4_8]=max(Spec_y_4_8(:));
[Mx5_8,Ix5_8]=max(Spec_y_5_8(:));
[Mx6_8,Ix6_8]=max(Spec_y_6_8(:));
[Mx7_8,Ix7_8]=max(Spec_y_7_8(:));
[Mx8_8,Ix8_8]=max(Spec_y_8_8(:));
[Mx9_8,Ix9_8]=max(Spec_y_9_8(:));
[Mx10_8,Ix10_8]=max(Spec_y_10_8(:));
[Mx11_8,Ix11_8]=max(Spec_y_11_8(:));
[Mx12_8,Ix12_8]=max(Spec_y_12_8(:));
[Mx13_8,Ix13_8]=max(Spec_y_13_8(:));
[Mx14_8,Ix14_8]=max(Spec_y_14_8(:));
[Mx15_8,Ix15_8]=max(Spec_y_15_8(:));
[Mx16_8,Ix16_8]=max(Spec_y_16_8(:));
[Mx17_8,Ix17_8]=max(Spec_y_17_8(:));
[Mx18_8,Ix18_8]=max(Spec_y_18_8(:));
[Mx19_8,Ix19_8]=max(Spec_y_19_8(:));
[Mx20_8,Ix20_8]=max(Spec_y_20_8(:));


fun_freq_y_8=zeros(20,1);
fun_freq_y_8(1)=Freq_y_1_8(Ix1_8);
fun_freq_y_8(2)=Freq_y_2_8(Ix2_8);
fun_freq_y_8(3)=Freq_y_3_8(Ix3_8);
fun_freq_y_8(4)=Freq_y_4_8(Ix4_8);
fun_freq_y_8(5)=Freq_y_5_8(Ix5_8);
fun_freq_y_8(6)=Freq_y_6_8(Ix6_8);
fun_freq_y_8(7)=Freq_y_7_8(Ix7_8);
fun_freq_y_8(8)=Freq_y_8_8(Ix8_8);
fun_freq_y_8(9)=Freq_y_9_8(Ix9_8);
fun_freq_y_8(10)=Freq_y_10_8(Ix10_8);
fun_freq_y_8(11)=Freq_y_11_8(Ix11_8);
fun_freq_y_8(12)=Freq_y_12_8(Ix12_8);
fun_freq_y_8(13)=Freq_y_13_8(Ix13_8);
fun_freq_y_8(14)=Freq_y_14_8(Ix14_8);
fun_freq_y_8(15)=Freq_y_15_8(Ix15_8);
fun_freq_y_8(16)=Freq_y_16_8(Ix16_8);
fun_freq_y_8(17)=Freq_y_17_8(Ix17_8);
fun_freq_y_8(18)=Freq_y_18_8(Ix18_8);
fun_freq_y_8(19)=Freq_y_19_8(Ix19_8);
fun_freq_y_8(20)=Freq_y_20_8(Ix20_8);

 

%% Calculation of spectra

% CF response (displacement) of the node the maximum response amplitude

% Matrix with the time steps and the respective CF responses
resp_z_1_8=[t Res_z_1_8(:,Index_z_8(1))];
resp_z_2_8=[t Res_z_2_8(:,Index_z_8(2))];
resp_z_3_8=[t Res_z_3_8(:,Index_z_8(3))];
resp_z_4_8=[t Res_z_4_8(:,Index_z_8(4))];
resp_z_5_8=[t Res_z_5_8(:,Index_z_8(5))];
resp_z_6_8=[t Res_z_6_8(:,Index_z_8(6))];
resp_z_7_8=[t Res_z_7_8(:,Index_z_8(7))];
resp_z_8_8=[t Res_z_8_8(:,Index_z_8(8))];
resp_z_9_8=[t Res_z_9_8(:,Index_z_8(9))];
resp_z_10_8=[t Res_z_10_8(:,Index_z_8(10))];
resp_z_11_8=[t11 Res_z_11_8(:,Index_z_8(11))];
resp_z_12_8=[t Res_z_12_8(:,Index_z_8(12))];
resp_z_13_8=[t Res_z_13_8(:,Index_z_8(13))];
resp_z_14_8=[t11 Res_z_14_8(:,Index_z_8(14))];
resp_z_15_8=[t Res_z_15_8(:,Index_z_8(15))];
resp_z_16_8=[t Res_z_16_8(:,Index_z_8(16))];
resp_z_17_8=[t Res_z_17_8(:,Index_z_8(17))];
resp_z_18_8=[t Res_z_18_8(:,Index_z_8(18))];
resp_z_19_8=[t Res_z_19_8(:,Index_z_8(19))];
resp_z_20_8=[t Res_z_20_8(:,Index_z_8(20))];

% Structure to be used in WAFO

Sp_z_1_8=dat2spec(resp_z_1_8,1000);
Sp_z_2_8=dat2spec(resp_z_2_8,1000);
Sp_z_3_8=dat2spec(resp_z_3_8,1000);
Sp_z_4_8=dat2spec(resp_z_4_8,1000);
Sp_z_5_8=dat2spec(resp_z_5_8,1000);
Sp_z_6_8=dat2spec(resp_z_6_8,1000);
Sp_z_7_8=dat2spec(resp_z_7_8,1000);
Sp_z_8_8=dat2spec(resp_z_8_8,1000);
Sp_z_9_8=dat2spec(resp_z_9_8,1000);
Sp_z_10_8=dat2spec(resp_z_10_8,1000);
Sp_z_11_8=dat2spec(resp_z_11_8,1000);
Sp_z_12_8=dat2spec(resp_z_12_8,1000);
Sp_z_13_8=dat2spec(resp_z_13_8,1000);
Sp_z_14_8=dat2spec(resp_z_14_8,1000);
Sp_z_15_8=dat2spec(resp_z_15_8,1000);
Sp_z_16_8=dat2spec(resp_z_16_8,1000);
Sp_z_17_8=dat2spec(resp_z_17_8,1000);
Sp_z_18_8=dat2spec(resp_z_18_8,1000);
Sp_z_19_8=dat2spec(resp_z_19_8,1000);
Sp_z_20_8=dat2spec(resp_z_20_8,1000);


% Response Spectra of the CF Response Calculated using WAFO
Spec_z_1_8=Sp_z_1_8.S*2*pi; 
Spec_z_2_8=Sp_z_2_8.S*2*pi;
Spec_z_3_8=Sp_z_3_8.S*2*pi;
Spec_z_4_8=Sp_z_4_8.S*2*pi;
Spec_z_5_8=Sp_z_5_8.S*2*pi;
Spec_z_6_8=Sp_z_6_8.S*2*pi;
Spec_z_7_8=Sp_z_7_8.S*2*pi;
Spec_z_8_8=Sp_z_8_8.S*2*pi;
Spec_z_9_8=Sp_z_9_8.S*2*pi;
Spec_z_10_8=Sp_z_10_8.S*2*pi;
Spec_z_11_8=Sp_z_11_8.S*2*pi;
Spec_z_12_8=Sp_z_12_8.S*2*pi;
Spec_z_13_8=Sp_z_13_8.S*2*pi;
Spec_z_14_8=Sp_z_14_8.S*2*pi;
Spec_z_15_8=Sp_z_15_8.S*2*pi;
Spec_z_16_8=Sp_z_16_8.S*2*pi;
Spec_z_17_8=Sp_z_17_8.S*2*pi;
Spec_z_18_8=Sp_z_18_8.S*2*pi;
Spec_z_19_8=Sp_z_19_8.S*2*pi;
Spec_z_20_8=Sp_z_20_8.S*2*pi;


% Frequencies of the CF Response calculated using WAFO
Freq_z_1_8=Sp_z_1_8.w/(2*pi);
Freq_z_2_8=Sp_z_2_8.w/(2*pi);
Freq_z_3_8=Sp_z_3_8.w/(2*pi);
Freq_z_4_8=Sp_z_4_8.w/(2*pi);
Freq_z_5_8=Sp_z_5_8.w/(2*pi);
Freq_z_6_8=Sp_z_6_8.w/(2*pi);
Freq_z_7_8=Sp_z_7_8.w/(2*pi);
Freq_z_8_8=Sp_z_8_8.w/(2*pi);
Freq_z_9_8=Sp_z_9_8.w/(2*pi);
Freq_z_10_8=Sp_z_10_8.w/(2*pi);
Freq_z_11_8=Sp_z_11_8.w/(2*pi);
Freq_z_12_8=Sp_z_12_8.w/(2*pi);
Freq_z_13_8=Sp_z_13_8.w/(2*pi);
Freq_z_14_8=Sp_z_14_8.w/(2*pi);
Freq_z_15_8=Sp_z_15_8.w/(2*pi);
Freq_z_16_8=Sp_z_16_8.w/(2*pi);
Freq_z_17_8=Sp_z_17_8.w/(2*pi);
Freq_z_18_8=Sp_z_18_8.w/(2*pi);
Freq_z_19_8=Sp_z_19_8.w/(2*pi);
Freq_z_20_8=Sp_z_20_8.w/(2*pi);


% Finding the peak frequencies of the CF Response
[M1_8,I1_8]=max(Spec_z_1_8(:));
[M2_8,I2_8]=max(Spec_z_2_8(:));
[M3_8,I3_8]=max(Spec_z_3_8(:));
[M4_8,I4_8]=max(Spec_z_4_8(:));
[M5_8,I5_8]=max(Spec_z_5_8(:));
[M6_8,I6_8]=max(Spec_z_6_8(:));
[M7_8,I7_8]=max(Spec_z_7_8(:));
[M8_8,I8_8]=max(Spec_z_8_8(:));
[M9_8,I9_8]=max(Spec_z_9_8(:));
[M10_8,I10_8]=max(Spec_z_10_8(:));
[M11_8,I11_8]=max(Spec_z_11_8(:));
[M12_8,I12_8]=max(Spec_z_12_8(:));
[M13_8,I13_8]=max(Spec_z_13_8(:));
[M14_8,I14_8]=max(Spec_z_14_8(:));
[M15_8,I15_8]=max(Spec_z_15_8(:));
[M16_8,I16_8]=max(Spec_z_16_8(:));
[M17_8,I17_8]=max(Spec_z_17_8(:));
[M18_8,I18_8]=max(Spec_z_18_8(:));
[M19_8,I19_8]=max(Spec_z_19_8(:));
[M20_8,I20_8]=max(Spec_z_20_8(:));


fun_freq_z_8=zeros(20,1);
fun_freq_z_8(1)=Freq_z_1_8(I1_8);
fun_freq_z_8(2)=Freq_z_2_8(I2_8);
fun_freq_z_8(3)=Freq_z_3_8(I3_8);
fun_freq_z_8(4)=Freq_z_4_8(I4_8);
fun_freq_z_8(5)=Freq_z_5_8(I5_8);
fun_freq_z_8(6)=Freq_z_6_8(I6_8);
fun_freq_z_8(7)=Freq_z_7_8(I7_8);
fun_freq_z_8(8)=Freq_z_8_8(I8_8);
fun_freq_z_8(9)=Freq_z_9_8(I9_8);
fun_freq_z_8(10)=Freq_z_10_8(I10_8);
fun_freq_z_8(11)=Freq_z_11_8(I11_8);
fun_freq_z_8(12)=Freq_z_12_8(I12_8);
fun_freq_z_8(13)=Freq_z_13_8(I13_8);
fun_freq_z_8(14)=Freq_z_14_8(I14_8);
fun_freq_z_8(15)=Freq_z_15_8(I15_8);
fun_freq_z_8(16)=Freq_z_16_8(I16_8);
fun_freq_z_8(17)=Freq_z_17_8(I17_8);
fun_freq_z_8(18)=Freq_z_18_8(I18_8);
fun_freq_z_8(19)=Freq_z_19_8(I19_8);
fun_freq_z_8(20)=Freq_z_20_8(I20_8);

%% Plots

%% Plots of Spectra using different methods
% Using WAFO
figure
plot(Freq_y_19,Spec_y_19,'b')
 legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off

figure
plot(Freq_z_19,Spec_z_19,'r')
 legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
hold off
%%
figure
plotspec(Sp_y_19)
title('IL')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')

figure
plotspec(Sp_z_19)
title('CF')
xlabel('Frequency $\omega$ [rad/s]','Interpreter','latex')
ylabel('S($\omega$)','Interpreter','latex')
%%
% Using Method 2
[Spciy,fy,Nhiy]=spec(Res_y_19(:,Index(19)),ns,Fs); %IL displacement
[Spciz,fz,Nhiz]=spec(Res_z_19(:,Index_z(19)),ns,Fs); %CF displacement
figure
plot(fy(1:Nhiy),Spciy(1:Nhiy),'b')

legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')


figure
plot(fz(1:Nhiz),Spciz(1:Nhiz),'r')
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')
%%
% Uzing Method 3
L1 = numel(Res_y_19(:,Index(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_y_19(:,Index(19)) - mean(Res_y_19(:,Index(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'b')
grid
legend('IL')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

L1 = numel(Res_z_19(:,Index_z(19)));                   % Signal Length
Fn = Fs/2;                              % Nyquist Frequency
FTs = fft(Res_z_19(:,Index_z(19)) - mean(Res_z_19(:,Index_z(19))))/L1; % Subtract Mean To See Other Peaks
Fv = linspace(0, 1, fix(L1/2)+1)*Fn;     % Frequency Vector
Iv = 1:numel(Fv);                       % Index Vector

figure
plot(Fv, abs(FTs(Iv))*2,'r')
grid
legend('CF')
xlabel('Frequency f [Hz]')
ylabel('S(f)')

%% Plot of peak frequencies
figure
plot(u_cur,fun_freq_y_8,'b-x')
hold on
plot(u_cur,fun_freq_z_8,'r-+')
hold off
legend('IL-TD','CF-TD','location','best')
xlabel('Current Velocity U [m/s]')
ylabel('Frequency f [Hz]')

%%  Plot of Maximum Response Amplitudes
figure
plot(u_cur,A_y_max_8/D,'bx-')
hold on
plot(u_cur,A_z_max_8/D,'r+-')
hold off
legend('IL-TD','CF-TD','location','northwest')
xlabel('Current Velocity U [m/s]')
ylabel('A_{max}/D')

%% Snapshots

%% 0.5 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_1_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,1)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(1,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(1,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_1_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,2)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(1,:),(Seafloor_z_final_8(1,:)),'-.g','linewidth',3);
hold off
title('0.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_2_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,3)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(2,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(2,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_2_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,4)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(2,:),(Seafloor_z_final_8(2,:)),'-.g','linewidth',3);
hold off
title('0.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.7 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_3_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,5)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(3,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(3,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_3_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,6)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(3,:),(Seafloor_z_final_8(3,:)),'-.g','linewidth',3);
hold off
title('0.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.8 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_4_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,7)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(4,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(4,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_4_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,8)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(4,:),(Seafloor_z_final_8(4,:)),'-.g','linewidth',3);
hold off
title('0.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 0.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_5_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,9)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(5,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(5,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_5_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,10)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(5,:),(Seafloor_z_final_8(5,:)),'-.g','linewidth',3);
hold off
title('0.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_6_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,11)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(6,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(6,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_6_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,12)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(6,:),(Seafloor_z_final_8(6,:)),'-.g','linewidth',3);
hold off
title('1.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_7_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,13)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(7,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(7,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_7_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,14)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(7,:),(Seafloor_z_final_8(7,:)),'-.g','linewidth',3);
hold off
title('1.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_8_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,15)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(8,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(8,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_8_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,16)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(8,:),(Seafloor_z_final_8(8,:)),'-.g','linewidth',3);
hold off
title('1.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 1.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_9_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,17)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(9,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(9,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_9_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,18)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(9,:),(Seafloor_z_final_8(9,:)),'-.g','linewidth',3);
hold off
title('1.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_10_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,19)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(10,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(10,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_10_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,20)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(10,:),(Seafloor_z_final_8(10,:)),'-.g','linewidth',3);
hold off
title('1.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.5 m/s
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_y_11_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,21)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(11,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(11,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_z_11_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,22)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(11,:),(Seafloor_z_final_8(11,:)),'-.g','linewidth',3);
hold off
title('1.5 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.6 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_12_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,23)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(12,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(12,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_12_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,24)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(12,:),(Seafloor_z_final_8(12,:)),'-.g','linewidth',3);
hold off
title('1.6 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.7 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_13_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,25)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(13,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(13,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_13_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,26)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(13,:),(Seafloor_z_final_8(13,:)),'-.g','linewidth',3);
hold off
title('1.7 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.8 m/s
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_y_14_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,27)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(14,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(14,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:450:170001
    
h1=plot(cord,Res_z_14_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,28)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(14,:),(Seafloor_z_final_8(14,:)),'-.g','linewidth',3);
hold off
title('1.8 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 1.9 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_15_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,29)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(15,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(15,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_15_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,30)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(15,:),(Seafloor_z_final_8(15,:)),'-.g','linewidth',3);
hold off
title('1.9 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
%% 2.0 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_16_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,31)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(16,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(16,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_16_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,32)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(16,:),(Seafloor_z_final_8(16,:)),'-.g','linewidth',3);
hold off
title('2.0 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.1 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_17_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,33)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(17,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(17,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_17_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,34)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(17,:),(Seafloor_z_final_8(17,:)),'-.g','linewidth',3);
hold off
title('2.1 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.2 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_18_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,35)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(18,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(18,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_18_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,36)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(18,:),(Seafloor_z_final_8(18,:)),'-.g','linewidth',3);
hold off
title('2.2 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.3 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_19_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,37)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(19,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(19,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_19_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,38)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(19,:),(Seafloor_z_final_8(19,:)),'-.g','linewidth',3);
hold off
title('2.3 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')

%% 2.4 m/s
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_y_20_8(i,:),'b');
end
h2=plot(cord,(Static_yz_8(:,39)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(20,1:61),zeros(1,61),'-.g','linewidth',3);
plot(Seafloor_x_final_8(20,115:175),zeros(1,61),'-.g','linewidth',3)
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'IL Dynamic','IL Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
figure
hold on
for i=1:150:68001
    
h1=plot(cord,Res_z_20_8(i,:),'r');
end
h2=plot(cord,(Static_yz_8(:,40)),'k','linewidth',2);
h3=plot(Seafloor_x_final_8(20,:),(Seafloor_z_final_8(20,:)),'-.g','linewidth',3);
hold off
title('2.4 m/s')
legend([h1,h2,h3],{'CF Dynamic','CF Static','Seafloor'},'location','best')
xlabel('Position [m]')
ylabel('A [m]')
