% Module DAMAGE in WAFO Toolbox. 
% Version 2.5.3  30-05-2017 
% 
%
% This module contains routines connected to fatigue damage calculations.
% 
% The routines are described in the contents of 'Fatigue in WAFO'.
% Try 'help fatigue'.
%
%   cc2dam     - Calculates the total Palmgren-Miner damage of a cycle count.
%   cmat2dam   - Calculates the total Palmgren-Miner damage of a cycle matrix.
%   cmat2dmat  - Calculates (Palmgren-Miner) damage matrix from a cycle matrix.
%   damint     - Calculates damage intensity from counting distribution.
%   down2cc    - Calculates the cycle count which has the highest damage 
%   ftf        - Calculates the fatigue failure time distribution.
%   lc2dplus   - Upper bound for total damage from level crossings.
%   plotsn     - Plots SN-data and estimate parameters 
%   roadspec   - Spectral density (frequency) for a road 
%   snplot     - Plots SN-data and estimates parameters 
%   spec2dplus - Calculates an upper bound of the damage intensity explicitly
%   sphdam     - Calculates spherical damage for a 3-D load.
